===================== 2024-09-04 Version 5.8.3 Released =====================

===================== Changes Since Version 5.8.2 ===========================

commit 38b407b353131b74032892e6eb0269731d00145f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 09:49:06 2024 +0200

    pkg/kamailio: version set 5.8.3 for rpms and alpine

commit 6b0e0e0dd0415077371a45a63dc00b13f9611d7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 09:47:28 2024 +0200

     Makefile.defs: version set to 5.8.3

commit abedff80d532b3b9896ff46fd28e1c9a68da0702
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 4 09:46:17 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 4f891e5343ba74b4ca459285438c2a064a363a60
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 18:08:44 2024 +0200

    secsipid: docs update about libsecsipid installation
    
    (cherry picked from commit 7abbc93d8db807077ca2afc10b026be0835f4b65)

commit 60423dbe90d3603fa98e0aaf161b7bef7f8b2a23
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Aug 30 12:52:46 2024 +0200

    http_client: clang-format
    
    (cherry picked from commit fde8bd21dca9c8b45b314b04b21f742363f028b1)

commit 6ee9bc2f34f9b20b576510e2e81a96bbfcc5a3be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 30 11:36:29 2024 +0200

    sca: remove function name from log message
    
    (cherry picked from commit 4a57efa0f7ed2560420e10d0fe70037a14a12c12)

commit d86350ea9078b89677323ac86053b0f37b7d1722
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 4 09:30:26 2024 +0200

    pkg/kamailio/deb: set version to 5.8.3

commit 9e0f6acc23313f5b25300660b6a4b75aab5bd168
Author: Michel Pelletier <michel@voip.ms>
Date:   Wed Aug 28 12:49:46 2024 -0600

    app_python3: Fixes Kemi TypeError thrown when latency_limit_action is exceeded.
    
    Replace PyBytes_AsString(..) calls with calls to PyUnicode_AsUTF8(..) in the PY_VERSION_HEX >= 0x030B0000 block of apy_kemi.c.
    The PyBytes_AsString expects a Bytes value but receives a Unicode value instead, thus causing the TypeError exception.
    
    (cherry picked from commit 6cae3661419d8d79fc8fb0463f6787b06911fa9d)

commit 661b2670168530c21ee4dd23fcb29abf8b5bc3ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 28 10:51:44 2024 +0200

    usrloc: mark contacts with keepalive sent
    
    - properly detect if the contact record has to be expired or not
    
    (cherry picked from commit 6502872d35d9bd7043bf54cd1d640dd64ae87115)

commit 2dbc8b5bf3353fdd3b05f265075e6a3cac8c02d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 27 14:30:17 2024 +0200

    core: use defined type for flags inside build_req_buf_from_sip_req()
    
    - partial backport from 9ff1080cc6452343e6bc2de00350b2f7bcecf6d2

commit a9769ca3692f11fe36e86b29af37d94f9f0fc4c6
Author: Andrii Pogrebennyk <andrii@ng-voice.com>
Date:   Wed Aug 21 11:17:40 2024 +0200

    pua_reginfo: free pkg memory after getting the content of each XML attribute
    
    - free the memory from the state XML attribute that was returned and immediately
      used in another function call without freeing leaving one small mem leak;
    - add comments but keep the dead code regarding parsed but unused attrs.
    
    (cherry picked from commit ed6730aa64e0e7c1580584d6f808e76a665e5882)

commit 6a22677e281de00dc0088ad23d7c7a5ca6e69f84
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Aug 22 11:20:17 2024 +0200

    pua_dialoginfo: reformat exported structures more human friendly
    
    (cherry picked from commit 748da56717800c36c43bb6fe3739011f3d3105e0)

commit b2bfdd8eb6b40b1e70a2876cee46890813a0c699
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Aug 22 11:06:47 2024 +0200

    pua_dialoginfo: add section ID's to documentation
    
    (cherry picked from commit aba56a5aa3b8fa4f07d0c52cd7fd2d56103ca56c)

commit f32d67f1b4b08a8cc8dbae917e1a2d0c08adeb93
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Aug 17 17:08:31 2024 +0200

    msilo: removed duplicatred exported function
    
    (cherry picked from commit b712ddc4db9a9c1bb30b236a0a86082108b23f07)

commit ee5853b4eab6553821113ff64e9eed24a5c9d6b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Aug 17 16:30:21 2024 +0200

    msilo: added fixup free functions to exports structure
    
    (cherry picked from commit b6dea98ada293a3bbad004aa1b194d4bf44a60ab)

commit e9d5d37271e03cdec6cf87647e488c3b4f175258
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 14 18:37:06 2024 +0200

    phonenum: add fixup free functions to exports structure
    
    (cherry picked from commit 7d2fd09103680454aaaba30f5e46f83b362513eb)

commit 92e999228eb75856911386d280ab48389aeb7d3f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 13 21:01:51 2024 +0200

    phonenum: export match_cn() to kemi
    
    (cherry picked from commit e9dd041ce6af9ee4b9cc2e29b4417787a8056776)

commit 57b9c66cb7811c045caceb2f61047e07a108aabc
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Mon Aug 5 12:14:04 2024 +0200

    cdp: Error log caused crash
    
    (cherry picked from commit 4aaaca60ef2207100dd3f4e16ae63428aadc7dc5)

commit a024fb3c028b8df18a9b855fff99bcddc3a61ef2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 09:07:36 2024 +0200

    corex: switch to unsigned long long for iflag lookup
    
    (cherry picked from commit 072c44330297c653675b5078fb0facdc399a5ab4)

commit d102f40856512d2c51707bf5ec5a6c949c550890
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 08:55:08 2024 +0200

    corex: proper check for iflag lookup return code
    
    (cherry picked from commit fdb0ef987ca2b013104b06ece006f67bf8ae07d3)

commit e14522cab01eba9c5fa636a7c0f6ed40200c6871
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 08:44:03 2024 +0200

    corex: small formatting of iflag list
    
    (cherry picked from commit 70606e3ea575228b3ccc662d6f9048aa0eb899ce)

commit 2e4920fd292b6f1d064a75503dd3be3ca27fdeb5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 29 10:07:43 2024 +0200

    cplc: use long long constants for operations
    
    (cherry picked from commit 49a9c0a0f391c2e9fc45dff7c37a087dde0f7ba3)

commit bc8ea1022718c94fbdf9bb93c35759e1a6ce3cde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 28 18:44:45 2024 +0200

    core: tcp - use long long constants for operations
    
    (cherry picked from commit fc2f34e8bab022b0c99e8313aee3e4a87c1f2e52)

commit 1eb7db2f18724b91d18c6b30b529b51117d176b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jul 27 18:16:40 2024 +0200

    db_berkeley: buffer size set to the argument of strftime()
    
    (cherry picked from commit e86d6ee30227a3fc5cff98e7983d4a80f0c42c4b)

commit dfc2531cf7db70e315613b3242d1b5b41ac20857
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 26 19:49:57 2024 +0200

    core: cfg select - check res when getting the variable
    
    (cherry picked from commit 3333611a3ef9078cbcb9867db88921f0c48fce1b)

commit bbfb24d3cb841b37e6e1b84892b68daf6c237c46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 26 19:00:29 2024 +0200

    xprint: return on mod init error case
    
    (cherry picked from commit 660a019263b81d318700c205531bf4e042c912cf)

commit f8201e6d4848081a2dd564e0d5b216fca47ef3f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 25 10:58:40 2024 +0200

    janssonrpcc: free new servers list on error
    
    (cherry picked from commit b4efe7725728392d0c8921c006d6fbc6455e9b8f)

commit 61eb4fe44e66a952ba14e39e1c664878ef52919d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 25 08:44:15 2024 +0200

    core: cfg select - check res before initializing
    
    (cherry picked from commit a6c415713bb209b03ff110d4ae891173d04ac471)

commit 5baf49a179194ba0eaa5e7f4caba613c72859b0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 24 10:43:18 2024 +0200

    jsonrpcc: declare variables are the beginning of function
    
    (cherry picked from commit 7ba313f6f96ffa6042c163027c0c7bb65106fef7)

commit c447bf60d528d8fdc1f5aee52a796ed5f77b2f5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 24 10:37:21 2024 +0200

    jsonrpcc: free allocated pkg buffer on error
    
    (cherry picked from commit 796bcc038d7885e01dbad34abc68bf612062c533)

commit f57accd1820b26b40f14d420465402188cb13df1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 23 11:57:48 2024 +0200

    erlang: init xavps for safety destroy on error
    
    (cherry picked from commit 29510872607deb3238411b358c422d004fb307b7)

commit e016d1ada08edca0adacd42ffa67ffd3c8c2c384
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 22 11:01:16 2024 +0200

    utils: jump to error on pkg allocation failure
    
    (cherry picked from commit 34749ab13b31504358761c964f794b283931394c)

commit dd4d5e44a60a658772e8288d94193596f7a982a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 21 22:41:45 2024 +0200

    tls: check lenght when parsing pv alt name
    
    (cherry picked from commit 79a668b8bdb0e085adb3581d718e5fd5ae73e2e4)

commit 4732a4a88df9f4cbd2260564b94269157b3c0647
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 21 22:23:29 2024 +0200

    tls: remove uselss pv format parsing in pv_parse_alt_name()
    
    (cherry picked from commit 7c06997a1b6e77ae0642d369f532219dc35ef8e0)

commit e006c2c53d6b013253f6a95b96c0f81f016bc440
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jul 20 20:02:07 2024 +0200

    xprint: check to avoid double free
    
    (cherry picked from commit 5a1f80f266069dbc453b44a856f225c254e7c050)

commit fa8f0a401980f5dccdfe35983fb5b55040ef9e9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 19 19:59:20 2024 +0200

    topoh: 0-init alocated structures
    
    (cherry picked from commit dc71c0a5791ebc1306648b5ed338613050e32f5c)

commit 39d4d48abf9e3e2e1edd2f22780fb1bf233c9697
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 19 19:53:47 2024 +0200

    core: removed unnecessary destroy
    
    (cherry picked from commit 20f2096d314253e7e74688da664de2830289a276)

commit 445659c38bd54e26d085d8c5b07bfb8edba7762e
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Thu Jul 18 13:48:42 2024 +0300

    tcpops: fix memory leak in $tcp(conid)
    
    - reference counter to tcp session not decremented, so shm for session never free
    
    (cherry picked from commit acf50d86b502af36e3635d61745feaa5c577231d)

commit 7ca33c475b52703216f7d8d4e6c78530a8d7e723
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 12:29:05 2024 +0200

    core: remove unnecessary check after using the structure
    
    (cherry picked from commit 84ea36b4b79c07c4fc0a8c9e119184433353764e)

commit d69e65fa4e9448701729ac8f41b069dad294a51e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 12:17:10 2024 +0200

    core: set digit 0 in the md5 buffer in case of error inside char_msg_val()
    
    (cherry picked from commit 15b2a5467f11e009ae4efad1ee29af860326095f)

commit 92a3cc4549073d70b1b229149b29017e3a9cf06f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 12:00:47 2024 +0200

    core: init res inside select_cfg_var()
    
    (cherry picked from commit a471d34d6162387a1427f5d0c5b3c6079a2b0bdc)

commit b307c7eb8e58b43dca41deb3493b0888ec7e9aa4
Author: emvondo <106535097+emvondo@users.noreply.github.com>
Date:   Thu Jul 18 09:10:33 2024 +0100

    siprepo: fix int params and wrong copy data in siprepo_msg_async_pull (#3919)
    
    * siprepo: fix int params and wrong copy data in siprepo_msg_async_pull
    
    ---------
    
    Co-authored-by: emvondo <bycl2332@orange.com>
    (cherry picked from commit a3a63655dbcbf1bc8067f34c36f4a7295b2a1745)

commit 0ffd281b77ac48f24c04655cd962b4870ee00ba3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 17 13:56:30 2024 +0200

    dispatcher: remove reference to MI in comments
    
    (cherry picked from commit 8c3b5ab3818c86b90b02e20aa4631654e0b51745)

commit fc29c81bbc6e3fb0709e3367e2f1d803b2bf0669
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 16 08:27:42 2024 +0200

    core: remove unnecessary cleanup when locating a module
    
    (cherry picked from commit eda03789f693bb72ec4ee05a8b2b4723e5080504)

commit 89339b1fa6f08024a44d898ed9877f08911e4f68
Author: Dragos Vingarzan <vingarzan@gmail.com>
Date:   Fri Jul 12 13:30:41 2024 +0200

    nathelper: fixed handle_ruri_alias() for alias being an IPv6
    
    (cherry picked from commit 52ab6f3dcf5ad8d967be8bdecaa64ef31cbfbe33)

commit 743ebe918b89a42ce94b10fb9dc2fe2a807eb88b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 14 09:00:01 2024 +0200

    evrexec: remove unnecessary safety exit loop
    
    (cherry picked from commit d5076b557728b3f9d80df391ae71e2eab2c896dc)

commit ffa4eeded62507f15e4e9b26aa5b3ba519fa6513
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 12:05:40 2024 +0200

    pua: use long for time value diff operation
    
    (cherry picked from commit fc8bee5b87e95e43bda2635e65457b2025eab6f9)

commit a3f40f3c407d34b25717416b3ac500e61f9300cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 11:49:10 2024 +0200

    rls: remove unnecessary assignment
    
    (cherry picked from commit c97145862119e9001874cd07de9b20ad8e96ff54)

commit e11c132cbf57ea1ae6289e734f601104ba83fc25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 08:06:36 2024 +0200

    stun: check message len for response
    
    (cherry picked from commit 87e1a4a7f5d565a59a362f22e9372697f2f2f2af)

commit 164d1ecca7e94beba24013f31276bdc1f2ee04a1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 18 17:26:33 2024 +0200

    sipcapture: add missing headers for inet_ntop()
    
    fixes #3927
    
    (cherry picked from commit fe505c9654541ec60f14e5a50896bb11751e61e4)

commit 685f45c4adf911ac41c14b55ad36dd4b8b51897c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 18 13:40:24 2024 +0200

    dialplan: remove pcre2_free() warning
    
    related to #3851
    
    (cherry picked from commit 70563ca0629a8de5aa5427b003f441e6c3a40c6a)

commit 64a01ebec255ece59be3683bab421b35505d745d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 18 13:38:10 2024 +0200

    lcr: remove pcre2_free() warning
    
    related to #3851
    
    (cherry picked from commit 310b631007082f553117d126b6b9bd915be596ac)

commit 1946e35c4d144fba3067d3fee5d1bd030dc4a609
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 18 13:36:09 2024 +0200

    regex: remove pcre2_free() warning
    
    related to #3851
    
    (cherry picked from commit b86030cfbd66ba95f33f312595edae29e2b5cde0)

commit dbe51dc4ee53f6e4f00450745db709a9d741c481
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jul 9 10:53:07 2024 +0800

    db_mysql: fix check for enum MYSQL_OPT_SSL_CA for CentOS 7/5.5.x
    
    - MYSQL_OPT_SSL_CA is an enum not a macro
    - base check on MYSQL_VERSION_ID - 50568  used in CentOS 7
    
    Addresses #3910
    
    (cherry-picked from commit 92cfedaaffb034db536f3bcf68695b433db92706)

commit 3161964efba19e5e7bd730bf656d019cac2c6ed8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jul 1 09:16:18 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit ca3d4b3515024732805038509dd0d9f0b60ab273
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 27 10:07:11 2024 +0200

    cnxcc: check if final pulse is 0
    
    - avoid dividing with it in such case
    - GH #3859
    
    (cherry picked from commit 7061a79fe64066dd5a6598e38d714bd40bf2eabc)

commit f59f980d03b884f2494892eb4d007293b7ad4e34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 26 07:22:38 2024 +0200

    core: dns cache - check warnings made debug
    
    (cherry picked from commit 754f9ae28c9a731fc0bfd6d08411bf0913a7dbfc)

commit 4fa5fc10370d81d534d75b034322a6250c7e2557
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 24 10:22:25 2024 +0200

    core: removed duplicated break
    
    (cherry picked from commit 588b9c710b6555371bc8bbee21e474466bb099dd)

commit 70cf3ebd2b52c341a90c9b9b6149985667a6b96c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 22 17:52:34 2024 +0200

    textopsx: docs - note about @hf_value2 select
    
    (cherry picked from commit d13c741d90c3887cdf144a9094a78c0c7cb9856d)

commit 7bf787d00f9f7ed8a2d758219d6d1413b2b5c975
Author: Dragos Vingarzan <vingarzan@gmail.com>
Date:   Fri Jun 21 10:54:36 2024 +0200

    textopx/doc: fixed hard-to-read documentation for textopsx
    
    - was missing line-wraps in examples list, hence very hard to read
    
    (cherry picked from commit 48d97c1941f660aa396b5ef100584611cf92ad21)

commit 4c75991aa662bddc1bbe65c83f7861cb72a65a61
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 19 15:00:12 2024 +0200

    db_mysql: switch warn to dbg for log messages for opt_ssl_ca option
    
    fixes #3884
    
    (cherry picked from commit be5172a84b02a1ab4fc7e97e7dc0813056302bdd)

commit ec27c0207a364fd4f563707b740877ab77bfb5a5
Author: Victor Seva <vseva@sipwise.com>
Date:   Wed Jun 19 10:12:10 2024 +0200

    rabbitmq: don't try to use ssl_socket functions to a tcp_socket
    
    fixes #3883
    
    (cherry picked from commit 3a803770d4fb80347ba70dac94625b0e9aeab44d)

commit e430a7b5eac9311cde1ea6a4d6f9fddacebe7302
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jun 19 11:16:19 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 7360ab7fbe672259c7433b1a5199467d24183d79
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 19 10:43:12 2024 +0200

    db_mysql: switch warn to dbg for log messages for opt_ssl_mode
    
    - GH #3884
    
    (cherry picked from commit 8f98317e92da61160a1c416e0da45938a205d358)

commit 1a6907f11b1c8455c14cd24f3a55aff7a3aa0184
Author: H.Yavari <hyavari@senasoftware.com>
Date:   Tue Jun 11 13:21:32 2024 -0700

    ims_usrloc_pcscf: Update the module document
    
    - Fixing the db_url param value from int to string in admin document.
    
    (cherry picked from commit 04e065af3d46e4b0def5ed3de6502442466f04bc)

commit 9cbe3176f5c8c298956ed2d4b83818ceb64af528
Author: H.Yavari <hyavari@senasoftware.com>
Date:   Tue Jun 11 13:05:00 2024 -0700

    ims_icscf: add missing documents for database params
    
    - Adding missing ims_icscf database parameters to admin documents.
    - Change the default value for ims_icscf db_url to Kamailio default db_url value.
    
    (cherry picked from commit 57087e42f1b1cae86132c558aa9497f4839af7e0)

commit c73ea949c046697916fd86eaf614b59075264b73
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Tue Jun 4 10:44:34 2024 +0200

    ims_ipsec_pcscf: update security params of newly created ipsec tunnel in contact
    
    (cherry picked from commit bf863877f666dd8350e855bf933270b2fd8ad0fd)

commit f861301003d96fec599bef936c2e1f181b170d9f
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Tue Jun 4 10:43:52 2024 +0200

    ims_registrar_pcscf: fix typo in comments
    
    (cherry picked from commit d17b97a864585782e03eedada6d226550630f7bb)

commit 2606c4e07e598ea41cb5a8814e3587bf49f94c1e
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Thu May 2 12:28:11 2024 +0300

    siptrace: add SND_F_FORCE_SOCKET flag if send_sock_name/send_sock_address config parameters are used
    
    - send_sock_name/send_sock_address is ineffective for tcp based transports if SND_F_FORCE_SOCKET flag is not set
    
    (cherry picked from commit 1b97a0271b27794263b3eff61f4acfa81e66069f)

commit be76a51422df3294c533accae1b6a621ee9d3a7d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 12 10:13:56 2024 +0200

    tls: remove confusing error message when trying to print socket for <default> server
    
    > CRITICAL: <core> [core/ip_addr.c:232]: ip_addr2sbuf(): unknown address family 0
    > NOTICE: tls [tls_domain.c:1176]: ksr_tls_fix_domain(): registered server_name callback handler for socket [:0], server_name='<default>' ...
    
    (cherry picked from commit 87c8290ab934fd27f8baebabaf66d1fb4168ba72)

commit bdb3f32991f756b852d4bc695dc44e634e5ffc6c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jun 13 18:21:47 2024 +0200

    pkg/kamailio/deb: refresh fix for tls_wolfssl

commit 65873cd2cdd390ce10ec99888fb35b0095a90c65
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jun 13 17:01:36 2024 +0200

    pkg/kamailio/deb: fix tls_wolfssl packaging
    
    * packages can't have '_' in name
    * distinguish grp module and deb module name
      '_' => '-' so tls_wolfssl => tls-wolfssl
    
    (cherry picked from commit 1d82805ef084d90e5ea14e4894f3e5076e29e2f3)

commit 8a027b99cf8dc4f7e889aa7644f1f7699c7cb08e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 16:21:34 2024 +0200

    core: tcp - change log levels for failing to set source for tcp connections
    
    - it is not possible always and it can fill the logs
    
    (cherry picked from commit 15403a543d83e337ee578ad37dc1d84316e4cf16)


===================== 2024-06-12 Version 5.8.2 Released =====================

===================== Changes Since Version 5.8.1 ===========================

commit 5a090532b2e702ae758b384b54550fed5ddddfdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 10:02:55 2024 +0200

    Makefile.defs: version set to 5.8.2

commit 2ce09cbd669753266bba8659073320af6f53664b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 09:40:58 2024 +0200

    pkg: deb specs updated for v5.8.2

commit f3daac3024c6a623fa9021d92f77daf2cf866c8d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 08:57:25 2024 +0200

    pkg/kamailio: version set 5.8.2 for rpms and alpine

commit 955c6e02ed0e31a4c7f148518bf44edb12c37a07
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Jun 8 20:31:20 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 8ef8db05dbc3a4cf5246354ce31dff18180a8e12
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri Jun 7 14:00:43 2024 +0000

    pua_dialoginfo: Fix ruri length
    
    (cherry picked from commit 2c7c2d215ec9277fa706053579a38f058f15ae85)

commit ed0cdf3a3c85a8d05aacec8917fe35a24dcdd62e
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri Jun 7 13:24:17 2024 +0200

    ims_ipsec_pcscf: Fix typo
    
    (cherry picked from commit 16e1b38fcc1593ad09eb03d86cd056ab8ff7f7f7)

commit 5571ea0ff8877a8a19b3fb76030af19b59f141db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 4 16:29:50 2024 +0200

    dmq_usrloc: reformat exported structures
    
    (cherry picked from commit e94812149c6f2867a5b23f1218a9af139590bf51)

commit e8dc8506dbc4d8964e02c3be175d7f18f5fe69a4
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Jun 4 09:37:01 2024 +0000

    nathelper: remove magic constant
    
    (cherry picked from commit 3d187336f22e30800acefd28e4d0f98e0f677a49)

commit eb4ec6f9305e334d9749e1fd56ad195c383cef77
Author: codenot <codenot@msn.com>
Date:   Wed May 29 10:10:28 2024 +0800

    nathelper: fixed handle_ruri_alias_mode(1) cannot proper handle multi alias
    
    (cherry picked from commit 8e0b2e4b6450fa50bd573fa013dc888aaaccd2bf)

commit 5999529be9ac2187dad465518bea3dee1b06d0f7
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri May 24 08:03:49 2024 +0000

    core/resolve: Check dns_cache_init and choose appropriate functions
    
    (cherry picked from commit 06d583e356351ae9d8a559c9f5de3e57fb128a38)

commit eb4a8e326b10d0c3e922cc524d8f46d2ba7e6eff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 2 21:28:19 2024 +0200

    iims_registrar_scscf: include header for common c functions
    
    - GH #3855
    
    (cherry picked from commit b508ef253cf996a5efd8bf13ded0c804f3557ada)

commit 54f9adb03ebbacf35eb0785dc46b55ce5dd00deb
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Mon Jun 3 08:48:40 2024 +0200

    geoip2: Reload database before accessing it
    
    Re-add reloading of database.
    
    GH #3861
    
    Fixes: 293193c55c ("geoip2: clang format module file")
    (cherry picked from commit 51dcab019a42e5b1f3b81247ca71ffcaf46180de)

commit c27094b8288b7a949fbfc766eb9223c0085340ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 2 04:58:23 2024 +0200

    geoip2: clang format module file
    
    (cherry picked from commit 293193c55caaf5d0c39dc456babe92f574b58b3b)

commit 45f2e2670a3eac768b97b58eeec228b06273050a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 2 04:51:33 2024 +0200

    geoip2: keep global structure per process
    
    - parsing db file allocates private memory
    - reworked reload to rely on a global counter
    - GH #3861
    
    (cherry picked from commit baccbe0298f9fa46db285505bc4386f997de5a47)

commit ae3be6af4ea8d50c29fe8e523c9548217956849a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 1 07:50:45 2024 +0200

    geoip2: rename global lock variable
    
    (cherry picked from commit 4bd619d3517f129362de3ce50eed2620d5002b42)

commit 2cc901e8be63791432a49f87d434eeb009e48d28
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 1 07:39:54 2024 +0200

    geoip2: do not close global MMDB_s on destroy
    
    - GH #3861
    
    (cherry picked from commit e066613cac308d1129baebc47d7c245b36eba4b0)

commit 614b5601170578c2d0eb79e7e5c64e68d80d885b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 31 19:23:41 2024 +0200

    geoip2: init MMDB_s global pointer and check on destroy
    
    (cherry picked from commit 8ba4ee4e00798ca015adc48542d0e4de8ed9daad)

commit 5c9c13080be2b15252492dca388777d06915045c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 30 16:24:03 2024 +0200

    regex: fix pcre2 migration
    
    instead of reserving an array in pkg_mem and later
    copy the pointers to shm_mem just use shm_mem in
    the first place.
    
    fixes #3812
    
    (cherry picked from commit d89333748662c0e7c72e3579d41fd14ef05c0fee)

commit ebc8acef7617a69dcc06b163c47e88a99d835f9e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 29 10:18:44 2024 +0200

    siputils: free head of params list for get_uri_param()
    
    - GH #3857
    
    (cherry picked from commit 8363208fff7c101a2779ff64783e5b7dbf8ffd7c)

commit 833b93563f43fa95e4bfdd175b144670b66a11cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 29 10:15:21 2024 +0200

    siputils: free head of params list for get_uri_param()
    
    - GH #3857
    
    (cherry picked from commit d72a3fbc903da02ae3b26f3aae2ea228c9f8b255)

commit f4eea76a15b220b15337b60a77f7978b0694b0fd
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Tue May 28 14:17:58 2024 +0200

    rtpengine: Fix extra process in pkg.stats
    
    When DTMF events socket is not configured, pkg.stats RPC method returns
    an empty entry.
    {
            entry: 13
            pid: 0
            rank: -128
            used: 0
            free: 0
            real_used: 0
            total_size: 67108864
            total_frags: 0
            desc:
    }
    
    Fixes: 26f6e57c8f ("Register a new worker process for dtmf event listener")
    (cherry picked from commit e67f6048f4883d446df2d88fe7a7d7f2ff6daf8c)

commit 7087ce6aa496de9b6015e5054d8fd70bf2e055b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 28 11:45:37 2024 +0200

    htable: error on not finding htable in pv get
    
    (cherry picked from commit 24b27214231166366cceb88fcb3724298cc53b32)

commit 9a7e3e54f1c52ee69c68b1165de115894c2afc55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 27 09:11:48 2024 +0200

    htable: error on not finding htable in pv set
    
    (cherry picked from commit 82cfea317fd8d02a6c94347bc1be18c8a06e580f)

commit deb11ee814e1591698d120a113630aa7a9791ad7
Author: Rick Barenthin <rick@ng-voice.com>
Date:   Thu Apr 25 19:16:58 2024 +0200

    usrloc: delete location_attrs in db_only mode on delete_urecord
    
    When calling delete_urecord in DB_ONLY mode the location_attrs are not deleted.
    This fix makes sure to delete location_attrs when calling db_delete_urecord is called.
    
    (cherry picked from commit 6b8f6d3b5d563d91234b8d4b7e155b7e74b9d313)

commit d53843c75da9115a9c3cb6b1b909fd3827b6c437
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 11 17:45:08 2024 +0300

    db_mysql: fixed build on CentOS 7
    
    (cherry picked from commit 767b3faee3af450d6482b919c81431ea6d707807)

commit 5c4f687d0ed06d6c7a5696917982b1cf03f9c8bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 10 12:45:25 2024 +0200

    sipcapture: use local static buffers for ip address and port
    
    - GH #3835
    
    (cherry picked from commit d1f377ff23f491bfd5162cb7bf510759440dd8e5)

commit f9bd2c5a4341913ac3e887e0324a19d5cd071a12
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 9 08:17:15 2024 +0200

    tcpops: reformat exported structures
    
    (cherry picked from commit 9b087fd618ab6c5cbd6a29c352b09c7198f1b594)

commit c8e4fe87985a413dfe6871463c31375750d3a6f2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 30 14:59:05 2024 +0200

    dialplan: don't call free on empty pcre pointer
    
    fixes #3851
    
    (cherry picked from commit 630a6f2c11c10c4f3be3570553d86486942d60fe)

commit c1c8c066b29798189a50dd9b4f27c5af574d991d
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Apr 29 13:37:24 2024 +0000

    db_cluster: Update log levels
    
    (cherry picked from commit 467dbf3e1be16d5a760178d0801834ac67bad888)

commit 3a34b468ad93904c507bd0fc7ef592b25321807f
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon May 20 11:41:42 2024 +0300

    tm: add mandatory Max-Forwards header to local AC

commit ba7a4901268493f5432d5efd59d6dbd7b422742f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 8 06:58:13 2024 +0200

    etc/kamailio.cfg: remove executable flag

commit 191aec6ef644024741c23776c35fc712aa82a6b5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 7 21:16:19 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 29ef69b8807023e082d7c9880c63bee11d4f3b30
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue May 7 16:14:46 2024 +0000

    sipcapture: fix default DB URL docs
    
    (cherry picked from commit aeeeb0c2f46c2575639dd725bef78fac64219a07)

commit c3f424bd6c0f8b9a2557cd58a3e3f5ac586d8c99
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 7 19:46:19 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 383a81bb9d81e06ab9da99cdaa3def3b63028040
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 19:32:39 2024 +0200

    tcpops: note about execution of event routes by TCP main process
    
    (cherry picked from commit be9af338e3afdab1045cdd7c30a72a9ecddcb680)

commit 1ee553a6f406af5eb4838a8c46a992c4099dd30b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 7 17:31:19 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit b5eb4f5ca037239f2ec1d99a16a71af0383f737e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 16:55:24 2024 +0200

    ctl: info log on ECONNRESET (connection reset by peer)
    
    - not a type of error that can be controlled by kamailio
    
    (cherry picked from commit 446c75e0e2194b6e42d768d2e3c79b5f0222905f)

commit 24e43d27544bdfa1acfce7ebb8b6e3ba7841fc13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 16:49:49 2024 +0200

    ctl: removed level and function names from log messages
    
    (cherry picked from commit 65bafaffd6bcfebc508b774cfbb78120e68bb3f0)

commit 11f0cfec4d2fc6043d282cdb2258520559f0fcd1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 4 20:18:18 2024 +0200

    core: parse/contact: jump to error on too many contacts
    
    (cherry picked from commit f69b22d44cb5abc803c2b58790dd33f2310c1c59)

commit d75dba611808322356fc8d1ebc9f8c30b4124a15
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 14:57:47 2024 +0200

    core: parser/contact - basic validation tests for contact uri
    
    (cherry picked from commit fc52a54370c085d6fa951da876eee99580677922)

commit 5b97d29f1bbac2656eba506c7fd94b412dfb9b7f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 14:36:29 2024 +0200

    core: parser/contact - add limit for max number of contacts
    
    - defined to 256
    
    (cherry picked from commit d6b0beb5a219ae57a62e9e7201a6ec1fe66e5a96)

commit 244319c67a191cf1f093b2220fa1a8579179d734
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 2 09:27:41 2024 +0200

    pua: check if local requests are dropped and free the param
    
    (cherry picked from commit 53e1a29c265df1489c9bd91deddc0719f8ca2092)

commit 46c8e1a5b0e11162eee2c0b201bb535529397a0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 07:00:58 2024 +0200

    uac: check if local requests are dropped and free the param
    
    (cherry picked from commit 00aac8d48370fac356eecff535835d918c631cc5)

commit 965a02ba4aca9283e4f43f8153ebeb81721835f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 06:20:43 2024 +0200

    presence: check if the local notify was dropped in event route
    
    - free tm cb parameter on drop
    - related to GH #3403
    
    (cherry picked from commit d12fc31056cb37aac347ec05f9ada7bafa5f52de)

commit e54b03fc41bc55486430b09d9a4839bcd52278fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 06:08:28 2024 +0200

    pv_headers: print also the new TMCB_LOCAL_REQUEST_DROP in debug function
    
    (cherry picked from commit 68624c2da093ab789d4e8d35df65ef1bce024bca)

commit a86d7d2bad119fc4cccf5c19719b4457ab066a04
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 06:07:26 2024 +0200

    tm: cb_flags made unsigned for uac_req
    
    (cherry picked from commit ebd1c6c75a1b832ce85d576aad134b99d47b5738)

commit f9ca6854d88e4fcc161e1083a953f47142fca90d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 05:57:46 2024 +0200

    tm: cb flag to mark local uac on request drop
    
    (cherry picked from commit f5da773c5fa29edbf9d0e65a83a62f495928ddec)

commit fc54fdcd67e244ad075c54b5f24bb6442998b4cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 05:28:18 2024 +0200

    tm: free new buffer on drop for local requests
    
    - GH #3403
    
    (cherry picked from commit ee06666c43d96029315dae7618e10d381265a85a)

commit 3aac0c7379577480fb09902bfb31b9aed49e7f88
Author: Jannik <40364587+volkland@users.noreply.github.com>
Date:   Tue Apr 30 12:28:20 2024 +0200

    sipcapture: docs - fix default value for parameter
    
    (cherry picked from commit 265c948286f2df5136179c95fbb1d7f1255e4c71)

commit 4e98a4ae06ec0bbff408af211680c97e1f41ca11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 30 10:19:35 2024 +0200

    ims_ipsec_pcscf: cascade on options to get the uri for fill_contact()
    
    (cherry picked from commit 60d2ab6464657abf38136a771c297c6f5536e27a)

commit 4b3620d0f0d7d636bf1d9e4c2b19bf50b8ac9da0
Author: Alexander Couzens <lynxis@fe80.eu>
Date:   Mon Mar 4 17:33:50 2024 +0100

    ims_registrar_scscf: free_uint_fixup: fix memleak/freeing the wrong parameter
    
    The free_uint_fixup() freed the wrong parameter in the past.
    
    (cherry picked from commit c3e6c1edc7531406208efe2965243e6e81506127)

commit 569662043b656063be97d0ea0e22dd8f6082320e
Author: Alexander Couzens <lynxis@fe80.eu>
Date:   Mon Mar 4 17:32:00 2024 +0100

    ims_registrar_scscf: fix typo in function name uint_fixup
    
    (cherry picked from commit 6f908f05d4691abcb1b3a745048d3cc2a9996676)

commit 8bb9f0601eb94597f3bfab4ede97971de83cc1e7
Author: Alexander Couzens <lynxis@fe80.eu>
Date:   Mon Mar 4 17:21:25 2024 +0100

    ims_registrar_scscf: refactor save_fixup4
    
    Rename function to match argument number.
    Use assign_save_fixup3_async instead of the code copy
    
    (cherry picked from commit 82a6d7ea6edbaca60879a38c5e74e40920e89342)

commit 4aa0920b2e573661959d5c9149ee04177cae8264
Author: Alexander Couzens <lynxis@fe80.eu>
Date:   Fri Mar 1 17:38:21 2024 +0100

    ims_registrar_scscf: fix uninitialized arguments in save()
    
    The script "save" command can be used with different arguments:
    2, 3 and 4.
    But internally for all save() calls the exact same function is use, w_save().
    When calling save("PRE_REG_SAR_REPLY","location"); as given by the examples,
    kamailio will call w_save().
    Because the command code will cast the function pointer, the w_save() function
    is called with 2 uninitialized arguments *mode, *c_flags.
    mode is unused, seems a legacy argument. c_flags is referenced resulting in a crash
    if not null.
    
    Use separate wrapper functions to handle different argument number.
    
    Fixes: a627c9a04a74 ("ims_registrar_scscf: Extend save() with optional flag")
    (cherry picked from commit 20a75004d53a06da0f22b11804a4d83496ad8919)

commit 00f51e28875c209cbf25a47c96e60c9f73add952
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 29 10:08:29 2024 +0200

    ims_ipsec_pcscf: handle tls for replies
    
    (cherry picked from commit 48dab490965fa7f2f7200d95edd7dbb1407b2536)

commit 9493dc0c895d1dde50239c903fd976c8c6e0325f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 29 06:49:47 2024 +0200

    ims_ipsec_pcscf: updated comments for ipsec_forward() flags
    
    (cherry picked from commit f7f93828993b5975dfe5f26ad63ba6c489aa69f7)

commit 7e202ec38593462559e81db7b0f97e46567f379d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 29 06:46:56 2024 +0200

    ims_ipsec_pcscf: docs updated for ipsec_forward() flags
    
    (cherry picked from commit 575b17d23cd5fa060f775bc56b42c735048bc849)

commit 1387c32dfa601496c38f9c10d554c490c867d4d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 29 06:32:07 2024 +0200

    ims_ipsec_pcscf: decouple IPSEC_FORWARD_USEVIA and IPSEC_TCPPORT_UEC for requests
    
    - both flags should be avaible for use at the same time in
      ipsec_forward()
    - for request IPSEC_FORWARD_USEVIA gets the protocol from the next hop
      address
    
    (cherry picked from commit ab261540d656ed456bac8876f77f940457a9baf6)

commit 8af0605ade36566597ff691a2adc1e524081a6fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 28 23:28:38 2024 +0200

    ims_registrar_scscf: init variable to fix analyzer warning
    
    (cherry picked from commit 8558947034f16b162c15eda39d18f5f5df4ef562)

commit 89343b6031f186c59ecd6707109bd0269762075f
Author: Ostap <ostap_mal@hotmail.com>
Date:   Mon Apr 29 00:15:28 2024 +0300

    modules/statsd: ensure statsd failures do not stop execution (#3819)
    
    * modules/statsd: avoid stopping flow when sending statsd metric fails
    
    Currently statsd functions return bool: `true` or `false` depending when
    the function succeeds or fails respectively.
    
    This value gets implicitly converted to `int`: `true` -> `1`, `false` ->
    `0`.
    
    For Kamailio `1` means succesfull execution, but `0` means to stop
    processing messages, which is not what we want as statsd should not impact
    flow execution. Instead we want to return `-1` which signifies error,
    but the flow continues.
    
    * modules/statsd: do not fail module initilization when statsd init fails
    
    statsd_init executes `statsd_connect` which tries to connect to statd
    server.
    
    If connection fails then kamailio fails to start.
    This is not the desired behaviour as:
    1. Kamailio should continue working even if statsd server is down,
       metrics should not impact runtime.
    2. `statsd_connect` is also re-executed each time we try to send the metric https://github.com/salemove/kamailio/blame/master/src/modules/statsd/lib_statsd.c#L76,
    so it's initial result is not essential.
    
    Note, that before 5.8 the result of init was already ignored due to
    implicit conversion of `false` to `0`
    until after
    https://github.com/kamailio/kamailio/commit/0186246fce8f0e4bb46b30c05174983cd957a3ba
    was introduced (which could be considered a breaking change even if it
    seemingly fixes a bug in conversion).
    
    (cherry picked from commit 5e66ba23851f115bcb88d7e3f71f78ab33fc1e30)

commit 620aa3f2a0faf3a4d54908bac0aa3ffcd8376ab5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 26 14:35:22 2024 +0200

    ims_usrloc_scscf: enclose examples in dotted lines for better visibility
    
    (cherry picked from commit 8506a6fe781e6e0b0b1418f4087db50480db6b57)

commit 1dd7c4038eb9a0c7eec506994a58a56d04e6cee5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 26 14:24:16 2024 +0200

    ims_usrloc_scscf: reformat exported structures
    
    (cherry picked from commit 15d859e1e96552fca2708cf56047021beae29711)

commit b2352bc1c6f3eff3aba85a087107f4ca29cedc22
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Apr 26 05:54:27 2024 +0000

    uid_auth_db: spelling fix in documentation
    
    (cherry picked from commit 9f28450312749dfbc021a8cbc23472c8a39d3fef)

commit 0bf03aa1987b9cff2fc0d776605620e26c163609
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Apr 26 05:53:30 2024 +0000

    core: spelling fix in comment and log message
    
    (cherry picked from commit db176a4918c0b500f5f051cad16fd8d442450ab7)

commit cafe437dcb637b0e571a2d2ffd04d911584404d9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Apr 29 09:24:16 2024 +0200

    tls: clear thread-local variables up to tls_pthreads_key_mark
    
    - other libraries may set thread-locals via pthread_setspecific
    - assume that tls_pthreads_key_mark demarcates libssl's values
    - only clean thread-local values up to tls_pthreads_key_mark
    
    Currently only used by app_python[s]
    
    (cherry picked from commit fe6f4fcde2fa06a3c00479cef169c27dc32ae490)

commit 03ff5051b640d2478dd68ea89ad74d516752ab0f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Apr 25 14:01:16 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit e76d755de6482e51c9ddac5bba3834cb58ad79b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 25 13:49:58 2024 +0200

    tcpops: removed unused variable introduced recently
    
    (cherry picked from commit fe8f052c29528b656062927626f9784b32b7c8f6)

commit 3ff024fd0057d3a9d045d3f20df5d1d7f7c9c7aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 21:34:28 2024 +0200

    regex: reformat exported structures
    
    (cherry picked from commit 0ebfddd20b43396d602b4c68a88f7c2bc58ed211)

commit c8f685359c411ac43000dd77cbc2e4f95b6cb3f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 12:08:30 2024 +0200

    regex: allocate pcres array
    
    - GH #3812
    
    (cherry picked from commit 2cc62133db4f6875f55e73e044f37dafbb2274c2)

commit eaacc171adbcd84fb2b95b4c182cd1e954624e2b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 11:49:23 2024 +0200

    regex: init globals for safer shutdown on failure
    
    (cherry picked from commit 84517c14ca38a8371c67b858077a42019c2217a8)

commit 794c2edeaffe059bf8de6ab1d3df5db003ed4cb0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 11:19:30 2024 +0200

    core: fmsg - parse loopback ip when initializing faked msg structure
    
    - GH #3817
    
    (cherry picked from commit 66b3c04a9653425b1602c82dd2456a7eb7cf59d1)

commit 7e987d8937349246f2abfa041679f568344ff402
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:42:02 2024 +0200

    pv: use global tcp connection callback for event route on $conid
    
    (cherry picked from commit f5c05a68ae72881ab0691bb8488112356fc67c79)

commit 069de99576b5f8bff002176331ed2f545afe8158
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:36:35 2024 +0200

    core: tcp - set a global shortcut to tcp connection for event route
    
    (cherry picked from commit d114d11724dc4157e7e5809504531d26da6bcc57)

commit c9fe59d6cd73179aa75e21b3b215bc0465b182aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:21:20 2024 +0200

    tcpops: reworked some debug messages
    
    (cherry picked from commit 27e3b7f3f82957c6dc80f2ff89c40bdd87cecb81)

commit db2e96ec2aacde1bd50b65ea6357388bad39e86f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:19:29 2024 +0200

    core: tcp - keep connection id on event route cb structure
    
    (cherry picked from commit 11e7d71e5c2ee9428298658ed3b9a0f625d40f00)

commit 28bbcd5a50f45b8217125481706180a76323dc44
Author: Rick Barenthin <rick@ng-voice.com>
Date:   Wed Apr 17 13:02:02 2024 +0200

    usrloc: check on db delete the return value of memchr
    
    When inserting into the database the AOR is split at the @ sign and
    if there is no @ sign in the AOR only the domain part is filled and the
    user part is left empty.
    
    But for deleting this is not done and the query failed to be executed
    and the AOR is not deleted. This PR add this behaviour of only comparing against the
    domain part if the AOR doesn't contain a @ sign.
    
    (cherry picked from commit 49276a1f43b1a3bf4a8d681888df964000360c79)

commit 3052565e3ce14d5d3c45d790877a562185085548
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Apr 10 11:14:45 2024 +0000

    tcp_main: Match wss protocol
    
    (cherry picked from commit 175d755c40bc50b78b2cf4f18ad22429289af90d)

commit 7d103cf3887401fca32d95f7ea7ee10f28e9e127
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Apr 10 11:13:32 2024 +0000

    core/forward: Match protocol when forwarding
    
    (cherry picked from commit d81e5113884b933251499630d112ec5b1150b8a4)

commit a19e6e0e49d9881ab990d23ad31a95773fe1a00b
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Apr 8 09:42:49 2024 +0000

    tcp_main: Update comment docs
    
    (cherry picked from commit 0a28a93c6e060081267dc686e342d45ef03358e7)

commit 0c070443b585c597d2d6249ac6ac32490d9c7f48
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Apr 8 09:29:57 2024 +0000

    tcp_main: Add proto argument to tcpconn_exists function
    
    (cherry picked from commit 6779efd430178adff0ae438d178e38c003e4e05c)

commit 2661594bf7f31558e6ac7524f33ebb358aefce21
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri Apr 5 13:23:56 2024 +0000

    tcp_main: Add protocol argument for searching tcp/tls connections
    
    (cherry picked from commit 4a40b16d4f9bef9bc75d3272c83878e6348aa0b8)

commit d2cf78f5c70977639f3b7f66b852350b764e4b13
Author: vijay kumar <vijay.kumar@exotel.in>
Date:   Sat Apr 13 01:26:13 2024 +0530

    rtpengine: fix pkg mem leak in send_rtpp_command()
    - freed request.s after sending request to websocket
    
    (cherry picked from commit b4753ae4216b0c960ac094f4be8232fb4d0147b0)

commit 595d3f472179402dce7a51672c2dbfbcf3b54bd5
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Thu Apr 11 10:47:11 2024 +0000

    corex: Fix unknown af in list_sockets
    
    (cherry picked from commit 8bc64a9e6820243336387d9cd9acf81f24d89993)

commit 800ed174b9402d1b253b2cb4ab04b5fb7030dc8d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 5 21:41:21 2024 +0200

    ims_ipsec_pcscf: log error message made info
    
    (cherry picked from commit 92d3573b500374d100639484e5a84cb640dc6b1d)

commit 8d312ded02559b325cdd691bde61c54148b077a5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 5 16:19:42 2024 +0200

    siputils: tel2sip2() - memset to 0 pkg allocs and recompute len of new uri
    
    (cherry picked from commit d1118064d04bb77c818540e68edf1766db1d560a)

commit 7295607e680ad1dd5290b15dab7fed77c65bfb88
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 5 07:54:12 2024 +0200

    core: parser/sdp - rename parameter to suggest better its role
    
    (cherry picked from commit b03ec73589c12e566b11ce2c653401daa915c805)

commit 855c76780c4399d6d9881ce3c525a7df56e111c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 4 13:40:13 2024 +0200

    sdpops: reformat the codecs map
    
    (cherry picked from commit 359a442e14a156b0bcf60dc5b2580cbc57924e34)

commit f337f13cdbc7e8805c0130dbae3befaf4b684c7c
Author: Jannik Volkland <volkland@sipgate.de>
Date:   Thu Apr 4 11:06:10 2024 +0200

    ndb_redis: docs - refine docs regarding client certificates [skip ci]
    
    The created ssl context does not use client certificates [1,2] which is against the default in current Redis configurations [3]. The used Redis server therefore needs to be configured to not use tls-auth-clients [3].
    
    There is also a small typo in "ac_path" which was fixed to "ca_path".
    
    [1]: https://github.com/kamailio/kamailio/blob/8047c958b42ea5af2e8f9ede0152f892ac0eea3a/src/modules/db_redis/redis_connection.c#L168
    [2]: https://github.com/kamailio/kamailio/blob/8047c958b42ea5af2e8f9ede0152f892ac0eea3a/src/modules/db_redis/redis_connection.c#L212
    [3]: https://redis.io/docs/management/security/encryption/#client-certificate-authentication
    
    (cherry picked from commit 6faa180661e799187eff3a498f8b13e96719fa92)

commit bb48da13adfe36716c3d958ed1d9c410424f4d19
Author: Jannik Volkland <volkland@sipgate.de>
Date:   Thu Apr 4 11:03:32 2024 +0200

    db_redis: docs - refine docs regarding client certificates [skip ci]
    
    The created ssl context does not use client certificates [1,2] which is against the default in current Redis configurations [3]. The used Redis server therefore needs to be configured to not use tls-auth-clients [3].
    
    There is also a small typo in "ac_path" which was fixed to "ca_path".
    
    [1]: https://github.com/kamailio/kamailio/blob/8047c958b42ea5af2e8f9ede0152f892ac0eea3a/src/modules/db_redis/redis_connection.c#L168
    [2]: https://github.com/kamailio/kamailio/blob/8047c958b42ea5af2e8f9ede0152f892ac0eea3a/src/modules/db_redis/redis_connection.c#L212
    [3]: https://redis.io/docs/management/security/encryption/#client-certificate-authentication
    
    (cherry picked from commit 40a50243f0bae782b7acd97cf0a9b1138185068b)

commit 215af59832efc6e485563b55e3af9d209121d0c5
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Mon Apr 8 11:35:38 2024 +0300

    pdb server: allow carrier id 0
    
    (cherry-picked from commit 60ded00a3b574a08457a696334d11d668595cc0b)


===================== 2024-04-03 Version 5.8.1 Released =====================

===================== Changes Since Version 5.8.0 ===========================

commit e8aa98718d91d0e5af7d757176a180e0f2940417
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 12:23:42 2024 +0200

    Makefile.defs: version set to 5.8.1

commit 69f667fe9b95d09a642cb7edd7f16ce09bbac3f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 12:18:47 2024 +0200

    core: msg translator - duplicate reply via xavp params and handle errors
    
    (cherry picked from commit 5f83d4f9c447f5a7e3de8336dc0e076b10e43833)

commit 1caec71aeddb7f65afb93bf05cb9e0aae2a2c0cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 12:16:18 2024 +0200

    core: xavp - added missing closing parenthesis in log messages
    
    (cherry picked from commit 3b09fd343575c56d9658a61efebd4851662de338)

commit 4708758f1c428cc94d1abdf9bb706c7c509efebe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 08:22:44 2024 +0200

    pkg: deb specs updated for v5.8.1

commit 3b00630c8a20cc0f2b2f458742d885ea7e28e05f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 08:20:49 2024 +0200

    pkg/kamailio: version set 5.8.1 for rpms and alpine

commit 4e4e935c45ccf32dab9bf5af693a0f52f54684ae
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Apr 1 08:31:34 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit e394a05152b29d4009c9cb963bced72526c7651b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 28 08:30:17 2024 +0100

    blst: reformat exported structures
    
    (cherry picked from commit e39557c96d2f419184c826d779f1a3309acc4269)

commit c0c8ee05ab25256b9154d2056ee04b07f3f2290a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 27 08:19:03 2024 +0100

    smsops: short reference section about variables
    
    (cherry picked from commit 9a94930ae1168d5df79e3dc1414841cdf23a2eba)

commit b21a7aaa467f2b76a52308557657c65274e34087
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 26 19:17:23 2024 +0100

    smsops: reformat module exports structures
    
    (cherry picked from commit 9848d43cb367d6901a0b8c727759feb8a8fad930)

commit 3f3c1940788a4713705169f8d96ae9a13ee2bad1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 25 23:25:19 2024 +0100

    db_mysql: right position for define KSR_MYSQL_OPT_RECONNECT
    
    - follow up of previous commit
    
    (cherry picked from commit 14dc277e29a170b9ac51e7dda07fa25cbd9be048)

commit 557d7e83c01c930df608b9d96791553d8f2bf724
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 25 23:07:55 2024 +0100

    db_mysql: MYSQL_OPT_RECONNECT is deprecated by MySQL 8.0.34
    
    - https://dev.mysql.com/doc/c-api/8.0/en/c-api-auto-reconnect.html
    - MariaDB seems to still have it
    
    (cherry picked from commit da3d6e9a74b63fdb7b1c4063d6be017f1ce42bea)

commit c9edb30ffa0c9544a10d0e72aabe84a1b3b2a103
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 23 21:38:00 2024 +0100

    keepalive: reformat module exports structures
    
    (cherry picked from commit dd221a6e5162838b979fd38ffdfb750663aef869)

commit 3f44cabcfc0abc83ae1971ac74fbb0bd36829ce4
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Mar 23 09:58:46 2024 +0100

    corex: fix conditions for dns_cache modparam srv attributes
    
    (cherry picked from commit 8114b2016d032484edafe4edd04fb02d52cfd058)

commit dbf9208f3a402844c9981fb7ed09493a1338dfdd
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Mar 23 09:51:47 2024 +0100

    core: resolve/create_srv_pref_list() - insert at correct position in list
    
    (cherry picked from commit f35cf8904119dcf582ea2451648de5fef095466b)

commit 0e00ae1db0242fc01e6f8c332e3920fd9465b3f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 22 10:25:48 2024 +0100

    core: socket info - parse advertise ip part to get address family
    
    (cherry picked from commit 5f901c3557f9f875545d82a7ab00f6d0c5c1fe52)

commit c48fbea981c7b0bd281cd1fc2abedcda41d92c13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 20 13:40:28 2024 +0100

    gcrypt: docs - module name used for section ids
    
    (cherry picked from commit 68c69966c38b56775a3966d07c33ff94c2a8ba95)

commit 613e2cdfc3ae9242d259bf8b67b6ed715c0c0ad8
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Mar 27 15:48:50 2024 +0000

    file_out: FIx âforâ loop initial declarations error
    
    (cherry picked from commit ae04ccac92225a1e7b573a28ded555789e8604cd)

commit f4d44a9201a79acf0620a005008f2594ff8d26ee
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Mar 27 15:48:25 2024 +0000

    tls: Fix âforâ loop initial declarations error
    
    (cherry picked from commit 9f2abc69e27c4b3246628138ec81fced81d7bc7a)

commit 3fac5afc42a606391d6a7c0337ef5e4e136d6b80
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri Mar 22 10:24:05 2024 +0000

    file_out: Cast to correct type of str
    
    (cherry picked from commit 4ada818099b5b7cb7deff1b1ce93b5aacaa1b84e)

commit 028ba8f9d6bc40dcd47e6a0e5b40e5b3e2ea7b17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 11:42:45 2024 +0100

    file_out: additional checks for silenting warnings
    
    (cherry picked from commit 19894425684504e2a19622ae5a9cdfc565f16fd3)

commit 814f5bdc9ee5d4594ffb0fd72843bca7b5fa79ea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Mar 23 00:00:44 2024 +0100

    dmq: fix inter-lock on error
    
    triggered by intermittent DNS resolution error. dmq workers
    were getting locked at dmq_notification_callback_f() due to
    this missing lock_release()
    
    (cherry picked from commit 0d240e4e0dc3184ef37d338ba6872d295d6b16f2)

commit 7bcef8ef487a713f5b6c6fadb7a3166ed41fb136
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 20 13:31:25 2024 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 60fd6c2622c9c5edbe82908c0e461d646225c8a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 17:39:19 2024 +0100

    ndb_redis: break on finding a server via sentinel inside redisc_reconnect_server()
    
    (cherry picked from commit 951ab118bb7d9955f8e69b66bec1f0c107d474a2)

commit 86df978bc9842687035d6673ee1b71e542dcbd71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 14:29:11 2024 +0100

    ndb_redis: fix index on parsing sentinel address inside redisc_reconnect_server()
    
    (cherry picked from commit c8f3b496a05ae5bf29341dc7e2630f951d4effc5)

commit a0dfa0ac81ed4aec33863fc20cf5cb3ee077a90c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 14:26:27 2024 +0100

    ndb_redis: clang-format for WITH_SSL code
    
    (cherry picked from commit e54051d698b059aa168229493dc2d6bf3cdd757c)

commit a7d4ce95b383dc26c547ef9ee07b05d51abc50f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 10:21:51 2024 +0100

    keepalive: small formatting updates and comments to the ka dest structure
    
    (cherry picked from commit cee82c92b06a026b88fea654944f6146eb5cb4d8)

commit 0b3aa00775a5c0b4b1dc4990f4c26bc637fc6de5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 09:51:28 2024 +0100

    keepalive: proper storing of last up/down timestamps
    
    - GH #3790
    
    (cherry picked from commit 9e2a0ee545646bd4491ecdbe58d7fea770764b54)

commit 91b0962679092f28abb5022d1505372356460f7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 18 11:02:07 2024 +0100

    acc: more log messages of failure arsing extra acc string
    
    (cherry picked from commit 04a73ace6572dd5c95a8f50b39b2ce712f7ebe84)

commit 5daadecd248322e5f8eaf15555e46692f3d1c267
Author: Axel Sommerfeldt <axel.sommerfeldt@fastmail.de>
Date:   Fri Mar 8 12:32:07 2024 +0100

    ims_ipsec_pcscf: TLS support in ipsec_forward() improved
    
    This patch was initially done by Herle Supreeth in his fork but isn't present upstream yet:
    https://github.com/kamailio/kamailio/commit/8b9a2977e111d9adb8595d98ab59f8c8eb033120
    
    See also: https://github.com/kamailio/kamailio/issues/3772
    
    (cherry picked from commit 3154a0aba5543cab75153429bc8ec617c3484f71)

commit 7df7508d7d2b7b9495dafab8b515a5721bd669ee
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Mon Mar 11 14:22:37 2024 +0300

    dispatcher: refine documentation
    - more clear documentation for the new ds_is_from_list flags
    
    (cherry picked from commit 761e963c0f7d9bf1b66c1ef18a409756b919ae2c)

commit 90f8117f9669069b4dab7e9d747dfa06245ec8a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 15 21:24:42 2024 +0100

    ctl: handle int input for double storage
    
    (cherry picked from commit 1380a4a0d18159c7130b70c0216134a253ad83f7)

commit 0af55b0eac8c3457db859a9c37fea211ece91b8a
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Tue Mar 5 16:30:01 2024 +0200

    pdb server: Return negative carrierid for failures. Clang format
    
    (cherry-picked from commit 88b698e0f62c39ed60af9f0a4fb3ca2dc6867d8f)

commit 6410f375cd6d1e357afeb9e100bd3a3c51321280
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Tue Mar 5 16:14:11 2024 +0200

    pdb: Return negative carrierid for failures
    
    (cherry-picked from commit bf78b619ae28924361fb2c757a4d09eb1a39f5cd)

commit d6cd0859158a8013e998ec779e956a550b493934
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Thu Mar 14 16:47:28 2024 +0000

    file_out: Fix var position and initialize
    
    (cherry picked from commit e36b2232e9b097794845659f71543bc57ef58a35)

commit f9b1cca33a45560f06b2708975c624da9728b6f5
Author: Oded Arbel <oded@geek.co.il>
Date:   Sun Mar 10 19:55:20 2024 +0200

    pkg/kamailio/obs: Allow builders to disable wolfssl module [skip ci]
    
    Building the WolfSSL module should be optional, even if it is on by default, builders should be able to choose to not need to install 4th party repositories.
    
    fixes #3781
    
    (cherry picked from commit 5392dbf8070abf36734d9c857924df91186bc2dd)

commit 45ee72fcf0ae8aeb135196ef8729fe0cea14048e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 9 20:11:07 2024 +0100

    topos: properly handle cases of no user in contact for mode 1
    
    - contact mode 1 accepted cases with no-user in contact uri but not in
      r-uri, however, requests within dialog can have one's contact in r-uri
      and then processing failed
    
    (cherry picked from commit 24e410f9a20d004f55bcc79cd10fb35cb26e4570)

commit 772b464552cff0b9ebb769e57fae718c0357ba11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 8 19:43:49 2024 +0100

    topos: small rearangement by removing else after return in the true block
    
    - reduce level of indentation
    - a few wraps in curly braces for clearer view of the if block
    
    (cherry picked from commit b6fccea258e56b7d3195659245713a6d44acb013)

commit 2122afae2a6604c0bc44a43ab37ee274a15a700a
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Mar 12 22:16:23 2024 +0200

    Avoid 'qm_strnstr' defined but not used warning

commit 1928af8f90ebf02f610c0904bc3d24a00aaedb81
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Mar 12 07:54:50 2024 +0200

    core: set null-terminated char for modparam (backport from master)

commit c229e11ba39da40cadaecd1b6aa3ae153e014bb1
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Mar 7 13:32:22 2024 +0200

    pkg/kamailio/obs: packaged README.file_out
    
    (cherry picked from commit 20edb64247a20a5d6b4b8bfb264b6e31d283b039)



===================== 2024-03-07 Version 5.8.0 Released =====================

===================== Changes Since Version 5.7.0 ===========================

commit 1fa3ba8ee48b6a68f2133544da56e0d68eae8609
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 7 12:29:02 2024 +0100

    Makefile.defs: version set to 5.8.0

    - first in the new 5.8.x series

commit e6b67b13a75a49d9269c53443de7233888c0df00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 7 12:23:09 2024 +0100

    pkg/kamailio: version set 5.8.0 for rpms and alpine

commit 50a0f82eab0a1f9dc5738f022231eba349a46a3a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Mar 7 11:41:19 2024 +0100

    pkg/kamailio/deb: version set 5.8.0 [skip ci]

commit ed99a5e2648c39e29fbbc7842c86425147c607c6
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Mar 7 10:17:15 2024 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 22f274513a98cc081d44a6694e35c3e96844dae3
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Mar 5 14:34:19 2024 +0000

    tls/docs: Update certificate generation docs
    
    (cherry picked from commit 67785fea8f906236e4a30bc09bb11b3292c46572)

commit 6533c42fc0bba6408376a8f8b41b02b97b04ca1b
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Mar 5 12:52:51 2024 +0000

    tls/docs: Update tls.reload docs
    
    (cherry picked from commit 4c9cfa7a6a770a693ecb3b840ad042fb201db675)

commit a814df7e828db7be0b34738c2eb78b133c22ddef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 5 20:53:47 2024 +0100

    presence: docs - remove extra section end tag
    
    (cherry picked from commit ed32512f4594cc0ddc3437e274bcba5acfc16410)

commit 500e5fabf9da31b5fa2949cac90956da99751223
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 15:31:18 2024 +0100

    core: main - init local variables used for cli param parsing
    
    (cherry picked from commit 8a2894cd6180f904dd37acb4985db4e4935aa434)

commit d45c78eeeaea6a9fc9dcb927436f834392d9d7c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 13:58:35 2024 +0100

    ctl: reset log prefix on reading ctl traffic
    
    - it may be previously set in process by some event route
    
    (cherry picked from commit 5b8b2717ee2f57da932132683b27eb33cea3fd59)

commit 42282a2c78fc24ff2b3856983a6dbb188a2912e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 09:07:22 2024 +0100

    acc: cdr - do not free static empty string in case of error
    
    (cherry picked from commit 0fc0cdd791ce5157232dd2139238708403cdde1d)

commit 4626cb7f0e0b273153ce0004900a92553783a893
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 3 20:57:45 2024 +0100

    core: parser rr - check for rr value before serializing
    
    (cherry picked from commit 6ee26a3ae3293aaeb4507d5d0b16ad31173cc39a)

commit 089bf63178039b13cde0beccfacab1536af76179
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 12:46:17 2024 +0100

    core: select - handle ws and wss inside select_ip_port()
    
    (cherry picked from commit d8e0942c9e83c8cad7c182bf41c156ba35bf24d2)

commit 4c78a564c5ad8662014cf686428a37238a6d8476
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 12:41:13 2024 +0100

    core: ppcfg - jump to end when defexp eval does not get a str val
    
    (cherry picked from commit daac0bdb88f6f732bda7c683af45b90f87fdb7c9)

commit 219c21fe62638e7191dd1b5ad32ba098273e2009
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 09:55:16 2024 +0100

    influxdbc: copy with buffer size limit
    
    (cherry picked from commit 73c66150c604326c07d454002c12cb221289936a)

commit 0747c18d5c4db2e7e8408ad2c7efa120ec76523e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 09:37:59 2024 +0100

    core: rthreads - init return variable
    
    (cherry picked from commit 181c602616e13323786335e8e28f182871aa5e9b)

commit c06ea12d0fff50569803ea0fef9486726ab428ce
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Tue Feb 27 21:01:44 2024 +0100

    ims_registrar_pcscf: update registered state to pending registration if contact exists
    
    (cherry picked from commit 4fb8accc6747ad56fec3dc84d70cb2b8bbd7316e)

commit ab981daa54c1afc1017af16afbb67ef55567e6fa
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sun Feb 25 16:16:14 2024 +0100

    ims_usrloc: make matching of username in contact conditional
    
    (cherry picked from commit 17bdbd34b1038de936f14c1a41ce55f571e6402a)

commit 8835f04334981b81df7eed6c03e581fcc4070da8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 27 09:50:05 2024 +0100

    tcpops: if connection not found, return attributes from sip msg rcv
    
    (cherry picked from commit c3d753885b3cd1bc0cb9f46986e5798dfb5f6552)

commit c2ac3ffc907ded71bcde59c3c5c0d6b69e997696
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 27 07:57:22 2024 +0100

    tcpops: variables to get active connection attributes
    
    (cherry picked from commit 59230a07b8c6a79c4a574890bae775c3d166c471)

commit 50c759030f024dd080c08a3d94127f1d1af544e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 26 14:06:38 2024 +0100

    ndb_redis: init enabled for tcp-main and postchildinit callbacks
    
    - GH #3768
    
    (cherry picked from commit 19e5bf3d4cfc2b7d47623e307fff7e60e73e8a18)

commit 2d2006701f491f732ea07b36a48016f7fbe436bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 26 13:09:27 2024 +0100

    microhttpd: docs - note about variables available in the event route
    
    (cherry picked from commit 993583015b127b0a83603acd352925c8d6e6db70)

commit 3415be29303bbacaf25b646d6c86027e93cf7c7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 25 19:29:24 2024 +0100

    evrexec: reformat exported structures
    
    (cherry picked from commit 65eef5c5446c1f6870eecf8bbc84d68d12271bc7)

commit 15ffdf7c0721fb5d05772d96e133ac74412c0068
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 25 01:15:28 2024 +0100

    ndb_redis: reformat exported structures
    
    (cherry picked from commit fb21f89dc544551b1bb65805303131fa990d2f44)

commit dae15377dac1b019f2278baca208162154d5a7ad
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Mar 5 09:59:41 2024 +0800

    tls: NULL safety check
    
    (cherry picked from commit f6f9d90ada963b53b6552e1a172b8f2fd021c33b)

commit 56aeb0723562409aa97098e51c602bcddc8b6789
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Mar 5 06:47:24 2024 +0800

    etc/kamailio.cfg: document tls_threads_mode = 2 to use atfork handler
    
    (cherry picked from commit 5b4926b04ba0fcd8f65f5709789abd83181a381a)

commit 0ba1ff1d430e5e51c7745d7eb1242dcae2557db9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Mar 4 22:00:14 2024 +0800

    tls: new option tls_threads_mode = 2
    
    - use pthread_atfork to force all thread-locals
      to 0x0 after fork()
    
    (cherry picked from commit 464299c202f3ba963aed821b777075397e843856)

commit 0a565d34b98b7ec4de0524a3e216e8d907661181
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Mar 4 21:49:10 2024 +0800

    core/rthreads.h: add new option tls_threads_mode = 2
    
    - add global handling of thread-locals with
      tls_threads_mode = 2
    - this will run a pthread_atfork handler to reset
      all thread-locals to 0x0
    - alternative solution to running functions
      in thread executors
    - requires tls.so to be loaded to be effective
    
    (cherry picked from commit e7f040f219b46592081a6053b4ed1ae0d0552b1a)

commit 3d80bc811c75eb0cbcf0f4aee8929a5082b4de6a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 2 20:46:16 2024 +0800

    tls: basic OpenSSL 3 support of provider keys (replaces ENGINE)
    
    - initial support for v3 provider keys (replaces ENGINE from v1.1.1)
    - can be disabled behind build flag -DOPENSSL_NO_PROVIDER
    - provider keys start with /uri: e.g
      private_key = /uri:pkcs11:token=NSS%20Certificate%20DB;type=private;object=Fork-Test-c67cc0e0
    - global config:
      provider_quirks: 0 | 1
      - 0 - default
      - 1 - create a new OSS_LIB_CTX* in the child
    
    This integration does not load any providers itself and depends on
    the usual
    
    export OPENSSL_CONF=my-openssl.cnf
    
    to configure providers.
    
    (cherry picked from commit 69883dd381368ca219cc52140e71d571775f95d5)

commit 6ee443731a23032fce9a32ce9609ae5b7c6bd171
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 2 21:41:11 2024 +0800

    tls: remove unused ENGINE define
    
    (cherry-picked from commit 73e7123c2dd19b82db167ceee93444e43f70f446)

commit 8e81774d5a71c06906df84fb4809bcfb73bd532e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 2 08:13:40 2024 +0100

    tlsa: removed the map files used in the past for tls engine
    
    - sync with code of tls module
    
    (cherry picked from commit d443a1e37d85e0eec6f6c9875bb8e821b34c8d6b)

commit 9d42e4aacab4a7bf18192701cd66cba95c2c98dd
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 2 08:29:31 2024 +0800

    tls: clean-up of ENGINE
    
    - remove tls_map.* - not needed anymore
    - install an ENGINE in each worker SSL_CTX
      no need to replicate to all processes
    
    Cherry-pick from 5933893b91

commit 0ddbd961e91abf3e967285d80cc1c6f8d2aa5cf9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Mar 1 08:06:13 2024 +0800

    tls: make explicit ENGINE deprecation in OpenSSL 3
    
    Cherry-pick from 0c68a5511e

commit f53c6b49e158203ba0783ec6a6fbadd76c5fdde9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 29 19:01:14 2024 +0800

    tls: fix OpenSSL 1.1.1 engine keys
    
    Cherry-pick from e535cc5eb2

commit 59ab58551e5895b710893985d0072c8c510c672c
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Feb 27 11:50:54 2024 +0000

    file_out: Fix leaks
    
    (cherry picked from commit 8af509ae280b2ef155f1946acac5a7d977bb5c14)

commit 6721fb7aae373d42c4059a630fc79815d2f709b7
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Feb 26 11:17:19 2024 +0000

    file_out: Add header guards
    
    (cherry picked from commit 967fb30b14fb63bcb396956f9e9ed0ca92028682)

commit bc4c206999094ed74e77c73f5537e857111d0a30
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 12:38:09 2024 +0800

    http_async_client: libssl refactor thread executors for curl
    
    Cherry-pick from 6a0c86bba8

commit 533989406d0fa1e57ff007fd8d7f702f5831dacd
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:01:45 2024 +0800

    xcap_client: libssl thread executor for curl_global_init()
    
    Cherry-pick from f5164b39c8

commit 49c3290fc6eb50de0b08661c50ff42663ff3de6b
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:01:31 2024 +0800

    http_client: libssl thread executor for curl_global_init()
    
    Cherry-pick from f58225950c

commit 5d4fae5c24eb4f13d585e1af4cb1753ea5a784c5
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:01:14 2024 +0800

    http_async_client: libssl thread executor for curl_global_init()
    
    Cherry-pick from 514635dc3e

commit ce17fee304e9ffa5046194a0827f771742113640
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:00:35 2024 +0800

    core/rthreads.h: add thread executor for curl_global_init()
    
    Cherry-pick from db05449932

commit b1a308801430a5561c4c13c1d4602fe5d5542cf8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:03:10 2024 +0800

    Revert ac4f1be039 - split into per module commits

commit ac4f1be039809d68483fe39e94b0803da1661a48
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Feb 26 10:25:19 2024 +0800

    OpenSSL integration: manage curl_global_init(...) used by modules
    
    - http_client, http_async_client, xcap_client use libcurl
    - call curl_global_init in a thread executor as it invokes
      OpenSSL functions on Debian 12
    - clang-format

commit b98718c28f72b1372a62b17174b43c403fa6b729
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 25 20:42:14 2024 +0800

    tls: fix OpenSSL 1.1.1 compatibility

commit aa8fcf9ec76e7c4543db22de6de5ef62374c80be
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 25 12:56:19 2024 +0800

    tls: fix restore early init

commit 49a9d8a4fb2f8a03d478aed2a405f812d2c2c5e8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 25 08:03:17 2024 +0800

    tls: restore early init for other modules that use TLS
    
    Client modules (e.g. dispatcher) that require outbound TLS
    may race if tls init is too late.
    
    Restore tls init to PROC_INIT with a thread executor.
    
    Addresses GH #3765
    
    Cherry-pick from 706d7b7ff3

commit 5af33b2e0ddc1098919008d44ab91959bc7dfb80
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 23 21:24:19 2024 +0100

    pkg/docker: set branch 5.8 and refresh [skip ci]

commit fbdca3da6293aba548989e3ab9d600be338199b2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 23 20:43:33 2024 +0100

    github: set branch to 5.8 [skip ci]

commit 3566edd00ea729bb187b160a80b54fe92e2bbe4d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 23 20:05:34 2024 +0100

    pkg/kamailio/deb: version set 5.8.0~rc0

commit faddcecbf04a0221aa4a2531141571246d043060
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 23 19:35:27 2024 +0100

    Makefile.defs: version set to 5.8.0-rc0
    
    - entering the phase to prepare releasing next major version series
      5.8.x

commit 716319089c3e7bbc4caf9a2454235d77c3a9f88b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 23 19:24:55 2024 +0100

    Makefile.defs: version set to 5.8.0-pre1
    
    - marking end of first phase of testing

commit 7e22636bb2797f6ed9cac677678a7a1bfc4f2537
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 23 12:53:39 2024 +0100

    dispatcher: rename interal define to reflect better is a mix of matching
    
    - rather than a full address matching

commit 17536b1064b40c305f28c4c19392504afc0b9701
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Thu Jan 4 18:28:56 2024 +0300

    dispatcher: added two new flags to mode parameter of ds_is_from_list function for more strictly matching
    
    - Two new flgs added:
      DS_MATCH_SOCKET (8) to take in account socket/sockname attribute of gw
      DS_MATCH_TRY_FULLADDRSOCK (16) try to find the most complete "address/protocol/port/local socket" combination for all dispatcher targets

commit 6948a3cc1f81cd468eae92518215d0fe9178b1e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 23 12:18:07 2024 +0100

    microhttpd: added the header return option for pv

commit 998a790563fcba9d6263c18f83f59e9080c78af0
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Thu Feb 22 17:46:00 2024 +0000

    file_out: Refactor

commit 06d0596ef34f1c213cc28442594bb6f1ebae46b4
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Thu Feb 22 13:11:54 2024 +0000

    file_out: Prefix can use PVs

commit ff8229b58d6f91bae527bc2f5912c7d291c55268
Author: falshunov <37283637+falshunov@users.noreply.github.com>
Date:   Thu Feb 22 08:56:00 2024 +0000

    microhttpd: fixed typo in the documentation [skip ci]

commit e54152e06e4a097ac17522e282f26b277ecae4da
Author: Torrey Searle <torrey.searle@wavecrest.com>
Date:   Wed Feb 21 08:05:10 2024 +0100

    tools/kemi: fix bug in mock
    
    remove stray debug print statement that results in generated code
    being invalid

commit e3e6fd75bdd688acebf0ec8a1b7efa6fcada1de6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 19 22:24:21 2024 +0100

    core: tcp - skip checking when tcp_accept_iplimit is 0

commit dad7f3ff3af02d086c1cb3f915f1502bca127d58
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Feb 19 20:30:45 2024 +0000

    file_out: small extensions to the module docs

commit a722d4cba1ab18f481bfe8353cebc0c6fa1a7ebb
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Feb 19 14:04:58 2024 +0000

    file_out: Add a prefix paramater

commit 22581f95690415681ea233c97923137e46fb55ae
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Feb 19 13:56:34 2024 +0000

    file_out: Free allocated memory

commit d2459f4a9978e6b42ba99212b77dd856005df0d7
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:38:24 2024 +0000

    file_out: Fix fixup functions to handle all string.

commit d3fbee58cb5505130ea73cfa0143adfd470d2c27
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:27:33 2024 +0000

    file_out: Improve logging

commit 6ac4148d3d7e6ea772438b7c5b42807175e5888a
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:26:02 2024 +0000

    file_out: Free message when done

commit e4163d287e1c8c617ef9f21452a88f09c040bd47
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:25:32 2024 +0000

    file_out: Switch to str type for string handling

commit e15a15cf8ce0c09aa6b26200dd2bce0e3933b6cd
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:12:19 2024 +0000

    file_out: Add initial Readme and improve docs

commit 107d8c9ae4cb1191d9e0132a42acad8af4cc66c9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:27:59 2024 +0000

    file_out: Change default base folder format

commit 1e4236445167d837a89d54ce6bee5ef14aef568e
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 19:49:10 2024 +0800

    db_mysql: libssl thread guard for db_mysql_query (and libmysqlclient)
    
    This function is observed to call SSL_read() when compiled with
    libmysqlclient.so.21 (but not libmariadb.so.3).
    
    Apply a thread executor just in case.

commit 87ef83d23f68a43fc5265a81330cbeed6205f922
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Feb 14 08:31:13 2024 +0100

    modules: readme files regenerated - db_mysql ... [skip ci]

commit c89fe41b1583af74cdf7e20d2357d7c90990839f
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 15:17:26 2024 +0800

    db_mysql: fix typos
    
    The option opt_ssl_ca is a string not integer.
    
    The comment for ea81e6cb should show the code fix as
    mysql_options(ptr->con, MYSQL_OPT_SSL_CA, (void *)db_mysql_opt_ssl_ca)

commit a61bfe9fb8357cedf5cb22e2698ec5d817fcfe5a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Feb 14 08:16:19 2024 +0100

    modules: readme files regenerated - db_mysql ... [skip ci]

commit eafd93f0576504ea03fe6b5e3898506072218cef
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 14:59:52 2024 +0800

    db_mysql: update docs for opt_ssl_ca

commit ea81e6cb8b2b2d896de7a07ce191876f9f182673
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 14:15:10 2024 +0800

    db_mysql: new module param opt_ssl_ca to configure CA certs
    
    ERROR: db_mysql [km_my_con.c:200]: db_mysql_new_connection():
    driver error: SSL connection error: CA certificate is required
    if ssl-mode is VERIFY_CA or VERIFY_IDENTITY
    
    When opt_ssl_mode = 4 | 5 libmysqclient
    requires that the trusted CAs be configured.
    Fixed with:
    mysql_options(ptr->con, MYSQL_OPT_SSL_CA, (void *)db_mysql_opt_ssl_mode)
    
    Note: libmariadb3  doesn't require this setting
    and uses the system trust store.

commit c4e4b266ad6852bacdb4513e9cc79166ac661f23
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Feb 12 10:17:15 2024 +0100

    modules: readme files regenerated - influxdbc ... [skip ci]

commit 7e1f521f2086b50b3ad73bc19ea98deb18686e82
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 11 16:17:47 2024 +0100

    influxdbc: docs for a couple of existing functions

commit f2772bd0248a1e75a82f4cad55280fa2b4f98578
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 10 22:27:30 2024 +0100

    influxdbc: function to add double value as divison of int numbers

commit ce437384ce13bb78b01d3d18f9ddfdd6b8e37fa5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 9 08:02:26 2024 +0100

    core: helper fixup functions for (str, str, int) parameters

commit 44fcca3596438841c0752d39dedfbe7de07a30c5
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Feb 8 15:10:22 2024 +0000

    file_out: Update docs

commit 62e3069f484ea28745bce93dd5e1e7634c336f6b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Feb 8 14:31:13 2024 +0000

    file_out: Add support for multiple files, extensions and interval

commit 3e1a7bb5f6143383b1f486b8c67c3bf97cb32a3f
Author: tsearle <torrey.searle@wavecrest.com>
Date:   Fri Feb 9 10:17:58 2024 +0100

    tools/kemi: update kemi_mock for python (#3751)
    
    fixes code generation when python keywords are uses
    fixes formating issues of generated code
    fixes crash from pv.setl reporting parameters as null instead of 'none'

commit 6918c9e34b826f8d8c7fb1746851055fa35f8ece
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Feb 9 10:01:34 2024 +0100

    modules: readme files regenerated - ldap ... [skip ci]

commit e7397acb86db5cf0a214fe7f2812e21130e7b2f6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Feb 7 12:23:30 2024 +0000

    ldap/docs: Add connect_mode docs

commit 3120d1dfcfa393b90272526e6fe2efb3aa32a19d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Feb 6 14:39:15 2024 +0000

    ldap: option to start even when connecting to server fails

commit 7043a581c4cfe05d6f9a0161368a61f7c67e326c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 12:50:03 2024 +0800

    db_mysql: libssl thread guard for db_mysql_close

commit c393d5d5d167bdbf9a2f465effdc761195ed1279
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 07:41:45 2024 +0800

    db_unixodbc: libssl thread guards for db_unixodbc_(close|free_result|query)

commit e33911f5edbac36f54b6371f9b952b57488bcced
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 07:18:16 2024 +0800

    db_postgres: libssl thread guard for db_postgres_close

commit 4baa76cd3e0d4052baf037c663a898fd11c54514
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 07:30:48 2024 +0800

    core/rthreads.h: thread wrapper for db_XXXX_query

commit 5844207ce42ef830fe560e408c6e807184c8d31e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 8 16:31:19 2024 +0100

    influxdbc: functions for kemi framework

commit c8306ceb46c201172f84f72e5566922c22578fc2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 7 20:10:34 2024 +0100

    influxdb: added missing for sub start and end

commit fb7c4ec9a33d8147094aa664ce3c96b6c3cb7d35
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 7 14:08:01 2024 +0800

    core/rthreads.h: fix missing returns

commit 1a2993ca370da35c34abae1cb44086492faa0ade
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 7 05:54:35 2024 +0800

    core/rthreads.h: fix missing return

commit e52bc4ba41417362c79da1cd3d41b283aabc4eb8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 7 05:49:14 2024 +0800

    Sample etc/kamailio.cfg: add tls_threads_mode to config

commit aa15489f0a8de4a27197602d771fe02cf5745287
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 21:43:22 2024 +0800

    core/rthreads.h: use global ksr_tls_threads_mode to constrain thread
    wrapping
    
    - 0: run wrapped function directly
    - 1: run wrapped function in thread for process#0 else run directly
    - 2: always run wrapped function in thread

commit 4d6e37fa048a1aaa2d2fc6655985b4bcb9754258
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 6 14:24:08 2024 +0100

    core: added tls_threads_mode global parameter
    
    - control how to execute functions that may be using libssl3 behind

commit 475b4da798fce232eba6834c3cb05e3c97e12d03
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 11:09:04 2024 +0800

    Sample etc/kamailio.cfg: tls should be loaded first if used

commit d638c774ed816eec800e72ba2546004215cfe097
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:29:55 2024 +0800

    db_postgres: handle SSL and submit query

commit 51d9f92eca3ef1044052581c9438af6e643652a1
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:29:41 2024 +0800

    db_mysql: handle SSL and submit query

commit 7d917e6649be7188bb9ab152ada75bc7199b2980
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:23:16 2024 +0800

    db_unixodbc: handle SSL and submit query

commit ba921b2112e87625fba5789d1b049161bb611073
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:22:52 2024 +0800

    core/rthread.h: add prototype for db queries

commit 2ab212ccf0b4ecd7a0671235641e2a80feb251ff
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Feb 5 16:32:00 2024 +0100

    modules: readme files regenerated - influxdbc ... [skip ci]

commit 10b86323cc47f29b41c21fd601d5b309cca050e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 5 16:18:47 2024 +0100

    influxdbc: convert string value to double

commit ba2d0e171b0171ba98bc7219a420dcda7677d366
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 4 08:30:50 2024 +0100

    influxdbc: docs for several parameters and functions

commit faaad7e0e654359e744d0c18253cc0dc84cd906e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 3 16:06:06 2024 +0100

    rtpengine: docs for ping_mode parameter

commit 81605f9289364a273a7b904d12972a6d01dc6207
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Feb 4 17:53:48 2024 +0200

    pkg/kamailio: RPM packaged new modules

commit 8bdd9ca4b3c3d4f9f2f201b0a9e0ad9a61eee41d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Feb 3 10:53:33 2024 +0100

    outbound: fix build on xenial
    
    > outbound_mod.c: In function 'mod_init':
    > outbound_mod.c:122:2: error: too many arguments to function 'mod_init_openssl'
    >   mod_init_openssl(NULL);
    >   ^
    > outbound_mod.c:82:13: note: declared here
    >  static void mod_init_openssl(void)
                 ^

commit b8c0a3757eb282ddb9e4878deb7120c4efd7f571
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Feb 3 10:41:43 2024 +0100

    db_mysql: fix build for stretch
    
    * mysql_optionsv is not there. We still use the deprecated flavour
    * MYSQL_OPT_SSL_ENFORCE is not there

commit 2cb2e5c99c3e565762820ef702404ae5ec59a6c9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Feb 3 09:47:46 2024 +0100

    Revert "db_mysql: fix build for older releases"
    
    it doesn't fix anything
    
    This reverts commit f0e73eabee3be198dbad2e50752d9889e4aa8e5f.

commit 80214d2f878b3f2d7547060c9d4bd578a9e1a837
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 2 15:21:14 2024 +0100

    pkg/kamailio/deb: version set 5.8.0~pre0

commit 976670db1313e96a859009288abbf1ea97583357
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 2 14:44:13 2024 +0100

    pkg/kamailio/deb: remove mono from wheezy

commit 015da378ab8b4ce5ced8b05f9c51e809ec11e53e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 2 14:19:30 2024 +0100

    pkg/kamailio/deb: no libpcre2-dev on older releases

commit f0e73eabee3be198dbad2e50752d9889e4aa8e5f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 2 08:33:14 2024 +0100

    db_mysql: fix build for older releases
    
    > km_my_con.c: In function 'db_mysql_new_connection':
    > km_my_con.c:132:4: warning: implicit declaration of function 'mysql_optionsv' [-Wimplicit-function-declaration]
    >      mysql_optionsv(ptr->con, MYSQL_OPT_SSL_ENFORCE, (void *)&(int){1});
    >      ^~~~~~~~~~~~~~
    > km_my_con.c:132:29: error: 'MYSQL_OPT_SSL_ENFORCE' undeclared (first use in this function)
    >     mysql_optionsv(ptr->con, MYSQL_OPT_SSL_ENFORCE, (void *)&(int){1});
    >                              ^~~~~~~~~~~~~~~~~~~~~
    > km_my_con.c:132:29: note: each undeclared identifier is reported only once for each function it appears in
    > ../../Makefile.rules:100: recipe for target 'km_my_con.o' failed

commit 1fcf99817580379d3e7550d1d874050a3e0315bc
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 2 13:16:08 2024 +0000

    file_out: make worker sleep period configurable, to allow to adapt performance parameters

commit 82593a09f8ef6d53e7e88238c057bbcdd9ab287b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 2 10:56:41 2024 +0100

    core: properly handle drop() action for kemi engines
    
    - GH #3718

commit a226823910735c315fc31df0e46132710db38def
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 2 09:27:10 2024 +0100

    influxdbc: fix compile warnings

commit b85471a7c28324fcb890961a1ad67810bfbb8ac4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 2 08:56:52 2024 +0100

    Makefile.defs: version set to 5.8.0-pre0
    
    - mark start of testing for v5.8.x series

commit 8c5e97589fc0fed121ee6e8ca4adbf9ec63ad2eb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 2 08:55:38 2024 +0100

    Makefile.defs: version set to 5.8.0-dev3
    
    - mark end of development for v5.8.x series

commit 03e60c809a0ac26b402bdf1154d6ec7b0476f26a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 2 07:35:48 2024 +0100

    Makefile.groups: added file_out to extra group

commit 49bc5b266dad33e418e8895e9ed7ead46e254016
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 21:32:18 2024 +0100

    rtpengine: new modparam to disable pinging rtpengines at startup

commit 40b735216c610cae2da5b0758af31b1d3ade4731
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 21:19:11 2024 +0100

    rtpengine: optional ping parameter for rpc reload command
    
    - specify if ping should be done to rtpengines at reload time

commit df3d1e5cb80b7a6ac6ce93b582352aaa8e6fd369
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Feb 1 19:41:22 2024 +0000

    file_out: use name instead of index for file_out function parameter

commit 6478ac00e9bf1180092010b0df4656630d4550c2
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Feb 1 19:33:38 2024 +0000

    file_out: adjust syntax of examples to standard

commit a6892009361ceff1475b568a2317b5d8a7c889cc
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Feb 1 19:25:12 2024 +0000

    file_out: fix error in XML include for README

commit 4c144ac1ad40008b5bd9396aa18d7630145b4c4c
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Feb 1 19:22:53 2024 +0000

    file_out: small doc adaptions

commit dd5c9a5204eb946e731550a0ee7f3046c7065515
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Feb 1 19:15:17 2024 +0200

    file_out: Module to log custom strings to files (GH #3741)
    
    * add new module to log custom strings to files (GH #3741)
    * support for multiple files and also file balancing
    * smaller refactorings will be done afterwards (use string in function for names with internal matching, make worker sleep also configurable
    * a round of tests has been done, but it will be certainly tested more in the next days

commit f0ef9d29e8736e7eb7e7e2c62485704d3506fbdd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 13:48:41 2024 +0100

    Makefile.groups: added influxdbc module to extra group

commit ff94b5a691c525ed5687ad76bbf5436a8d877768
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 13:47:28 2024 +0100

    influxdbc: added functions to push string and double values

commit 4efd1fc33ceb5dc33b01020968b0d7281e902d1f
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Thu Feb 1 14:00:14 2024 +0200

    p_usrloc: Add new modparam 'preload'
    
    Useful when using kemi with p_usrloc, in order to preload
    location table.

commit 46e04c65dfa07ada122ad2132e9a7a841bc1e8ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 08:08:23 2024 +0100

    influxdbc: initial doc files

commit dc6930581ab21df13c086fdb6f69130adf0e00f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 31 17:57:19 2024 +0100

    influxdbc: new module - client connector for influxdb

commit 0833a72d4b70d224ab02c90b7b94648db7f52c73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 31 10:13:48 2024 +0100

    db_mysql: proper macro to check mysql version id

commit 94f6df509bf77c19c745749716a9e075ec17f3c7
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 14:07:11 2024 +0800

    outbound: use core/rthreads.h

commit 8a1c383f6af5bc0547e32430a4469333160b93e6
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 07:42:34 2024 +0800

    db_postgres: use core/rthreads.h

commit 733a268114261d49ed11aec83fe39ea8c34a0b69
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 07:42:05 2024 +0800

    db_mysql: use core/rthreads.h

commit b71ce6e5733ab08b84ff09481ada91e5fca43a33
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 07:41:37 2024 +0800

    db_unixodbc: use core/rthreads.h

commit f8909163c47c8776d23373fad688586f02d31e67
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 07:40:54 2024 +0800

    core: add infrastructure to run functions in threads

commit 1e87f96ad3a85b35935f14db36626036469cb6b0
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 22:12:18 2024 +0800

    tls_wolfssl: un-break jammy using libwolfssl32

commit dad7c857eaab613deed27ab687ddd0b1fdf8001b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 30 14:32:10 2024 +0100

    modules: readme files regenerated - db_mysql ... [skip ci]

commit 2bcc32a14e63d895077071715b0321fbdcdb8a33
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 21:12:50 2024 +0800

    db_mysql: update docs for MariaDB Connector/C builds

commit d772b4c24a3a4995b93287ccf8eac9b80d1a5bac
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 16:49:32 2024 +0800

    db_mysql: enable TLS when building with mariadb-connector-c
    
    - mariadb-connector-c requires at least one non-NULL configuration
      value to use TLS
    - emulate MySQL SSL_MODE_XXXX options

commit e470f67c9aaaeb2dc39f49a1b5abb3352b45ad13
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 30 10:43:33 2024 +0100

    github: [skip ci] enable dependabot for devcontainers

commit 8e2a1a36f14a18834d1a98e8483b4595a533abff
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jan 29 21:22:54 2024 +0000

    github: [skip ci]: bump wolletd/clang-format-checker from 1.10 to 1.11
    
    Bumps [wolletd/clang-format-checker](https://github.com/wolletd/clang-format-checker) from 1.10 to 1.11.
    - [Release notes](https://github.com/wolletd/clang-format-checker/releases)
    - [Commits](https://github.com/wolletd/clang-format-checker/compare/v1.10...v1.11)
    
    ---
    updated-dependencies:
    - dependency-name: wolletd/clang-format-checker
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 520b9dce03d695cd1d95432e6bf52ed47d046cd4
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jan 29 21:22:56 2024 +0000

    github: [skip ci]: bump ammaraskar/gcc-problem-matcher
    
    Bumps [ammaraskar/gcc-problem-matcher](https://github.com/ammaraskar/gcc-problem-matcher) from 0.2.0 to 0.3.0.
    - [Release notes](https://github.com/ammaraskar/gcc-problem-matcher/releases)
    - [Commits](https://github.com/ammaraskar/gcc-problem-matcher/compare/0.2.0...0.3.0)
    
    ---
    updated-dependencies:
    - dependency-name: ammaraskar/gcc-problem-matcher
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 3426b153d02d9d8d3e909eff9d18cb14108072ca
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 29 12:06:56 2024 +0800

    db_postgres: init libssl in a thread

commit 5dffb934a2f7f986fdc09e433833991c54612646
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 28 08:19:44 2024 +0800

    db_mysql: init libssl in a thread

commit 2611a4670c65dd32fc1daf6b67e37852936ba69c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 28 07:38:16 2024 +0800

    db_unixodbc: init libssl in a thread

commit 9560e973807bc454dab84bdfd5ac0e300c847864
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 29 20:02:42 2024 +0800

    tls_wolfssl: fix possible uninitialised variable

commit c2f14e0dccbabdd74dbddcbd569c32d0b429617e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 29 10:02:14 2024 +0100

    modules: readme files regenerated - sdpops ... [skip ci]

commit 68331254149a2ef3f2986bb92549cb63bb355989
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 28 17:17:40 2024 +0100

    textopsx: proper define id for body line interator name size

commit 03d93a43a38f2af44640f42e3fd0f8f2a073b108
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 27 10:45:12 2024 +0100

    sdpops: docs for sdp line interator functions and variable

commit ff54f183cdedded4ef9d24d055c755b770b07651
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 27 09:57:24 2024 +0100

    sdpops: added sdp line interator functions and variables
    
    - walk sdb lines in the message body (also for multipart body)
    - append/insert/remove line of the current iterator
    - variable to get the value of the curent iterator

commit 7b676473d2193b34ba59600eb3ce9c5acd19da1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 27 09:16:39 2024 +0100

    textopsx: reformat module exported structures

commit 0f963a7a1e2aca28611c2238f4c29180a0acd320
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 29 11:26:35 2024 +0800

    tls_wolfssl: clang-format

commit 04ca08d0da622519578c479664a85563ec6db483
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Jan 27 07:09:19 2024 +0800

    tls_wolfssl: fix ring buffer write

commit c286bacad82b84165753187a326952573fe5fc7a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jan 26 11:16:15 2024 +0100

    modules: readme files regenerated - sdpops ... [skip ci]

commit 46e3727368f7e801b3731272d219cefdceebadde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 26 11:02:27 2024 +0100

    sdpops: docs - listed $sdp(c:ip) variable

commit faaefbb02563b8ba0827b23422a363a71259ad1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 26 10:55:43 2024 +0100

    sdpops: added $sdp(c:ip) variable to return connection ip

commit fe9b8f04cacd2ca92bf3fac1dc2fac323b8cf62d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 26 08:27:36 2024 +0100

    sl: format module exports structures

commit cab001e9677670585facf5cf2b7fd0c9889ac069
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 26 08:23:21 2024 +0100

    sdpops: format module exports structures

commit 247e6164cbacdcc5d260e98c1085c84ad93957ee
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 26 09:03:37 2024 +0100

    pkg/kamailio/deb: restore tls_wolfssl for bookworm and jammy
    
    fixed build error at 43ec11a7e0a37dfdaead873d555b26cb65589bd1

commit 4db5d7eb3fb34ad1282c9ded9b2d05b3f81fd476
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 25 20:11:19 2024 +0100

    core: mem - relocated unfinished memory allocators to archive repository
    
    - many years without development activity

commit 43ec11a7e0a37dfdaead873d555b26cb65589bd1
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 25 21:44:07 2024 +0800

    tls_wolfssl: allow building with debian libwolfssl35
    
    - internal submodule is v5.6.6-stable
    - libwolfssl35 is at v5.5.4-stable

commit aaa3b102c62af9ac0abe1aaac12876abaa7ad351
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 25 12:23:47 2024 +0100

    pkg/kamailio/deb: remove support for tls_wolfssl on bookworm/jammy
    
    > module expects wolfssl ~ v5.6.6-stable which is equivalent to libwolfssl42(5.6.6-1.2) libwolfssl-dev_5.6.6

commit 5d3c11c5e0854ce74424a10a88b0cca4453cee75
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Jan 24 16:30:48 2024 +0800

    tls_wolfssl: clean-up; continue to remove OpenSSL-isms

commit 099eceecab7af118bfa0bdfca68a8c0b30cec6f0
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 24 21:31:18 2024 +0100

    modules: readme files regenerated - ims_charging ... [skip ci]

commit 76cd7979aae176b3fde3b3d73975629b06cd509c
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Wed Jan 24 21:16:08 2024 +0100

    ims_charging: Add option to get and use P-Access-Network-Info for terminating scenario (#3726)
    
    Add option to configure node functionality for Ro requests

commit ba36c65dfb2a6608dd7d51422a7ed021206bcae3
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 24 17:32:06 2024 +0100

    modules: readme files regenerated - tm ... [skip ci]

commit d26b0bef2e76be55c5cb099520f221487d362b48
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 17:17:23 2024 +0100

    tm: docs - update to use send_reply_error() when t_relay() fails
    
    - the transaction might be already created and needs a stateful reply

commit 76b7beef6d089272b749aa53f29e100711aa4c50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 10:31:07 2024 +0100

    sl: do not send error reply if message marked with delayed-reply flag

commit 09c75716530f7d8be2671e5823dca5b640cad45a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 10:26:45 2024 +0100

    tm: mark request with delayed reply flag

commit 5c8cfdd803e81a592bf9fdeb208b13404e96da25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 10:23:01 2024 +0100

    core: parser - internal flag to mark delayed local replies

commit 236c56f5f4c11fb867e545f830182b386f0a0c66
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 08:21:19 2024 +0100

    tm: prefixed global kill reason variable

commit 3d0e7521c6de4023b6595685fc306129ef57b8ac
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 23 23:13:08 2024 +0800

    tls_wolfssl: clean-up; remove OpenSSL-isms

commit 33b2e513aefe00bf166cdcae360e305615b223da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 23 21:05:41 2024 +0100

    tm: release transaction on kill if a final response was sent
    
    - do not send another final response for error cases

commit 0f8f4d6926e53ca5e526a11729f6ee6277b185b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 23 14:23:27 2024 +0100

    auth: reformat exported structures

commit aa167c410860732918061106c4a84a7c6b030d69
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 23 14:18:19 2024 +0100

    auth: removed commented code and prefixed short global variable

commit 32089e134413200bf5d1a97f207378b7d10e65a2
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 21 18:17:37 2024 +0800

    tls_wolfssl: refactor custom BIO
    
    - remove use of custom BIO at the expense of some memory copies

commit 88f27e2b89142652ea1b8f133df1ff403f9f61b2
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 19 12:16:01 2024 +0800

    tls_wolfssl: use shared WOLFSSL_CTX

commit 255e563e94e9536f0e541c3baeec45cbc68fac5b
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 12:38:09 2024 +0800

    tls_wolfssl: clean-up OpenSSL compatibility
    
    - remove unneeded OpenSSL-isms

commit 100d96bf3819082ac38f8a4fae1f3c64c8d0c5e1
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jan 22 21:58:56 2024 +0000

    github: [skip ci]: bump tj-actions/changed-files from 41 to 42
    
    Bumps [tj-actions/changed-files](https://github.com/tj-actions/changed-files) from 41 to 42.
    - [Release notes](https://github.com/tj-actions/changed-files/releases)
    - [Changelog](https://github.com/tj-actions/changed-files/blob/main/HISTORY.md)
    - [Commits](https://github.com/tj-actions/changed-files/compare/v41...v42)
    
    ---
    updated-dependencies:
    - dependency-name: tj-actions/changed-files
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 569b536404afd855742a42320d7c858a8bb4952b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 14:11:29 2024 +0100

    tm: mark request with final reply flag
    
    - send error function checks flag and returns if set to avoid sending
      more than one final reply in case of failure

commit 1a2477ba348928e6bdff15be765cb907e32cffc4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 14:02:47 2024 +0100

    sl: mark request with final reply flag
    
    - send error function checks flag and returns if set to avoid sending
      more than one final reply in case of failures

commit c3b47e0c5cf4ed405b02aa2d0d4cb31073bab0aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 13:50:08 2024 +0100

    core: parser - flag to mark request when a local final reply is sent

commit 15aafe49a6a022809f278f596812c97dc5404982
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 13:25:04 2024 +0100

    presence: prefix short global variables

commit 7da07508bc74a6a0c87e1dc7993d0061b65e2faa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 13:18:15 2024 +0100

    presence: removed unused external variable

commit 050760411bac006c1e6351f179fab7ea6333b3e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 21 21:29:28 2024 +0100

    lib: presence - remove old commented code and adjust comments

commit 0a11489d4b699a62596b2c4626171e8d92e966fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 21 10:20:39 2024 +0100

    lib/srdb2: review and adapt old comments

commit 67f71d1b7c44a7d3ef1ba2917272e2ba36608cd7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 20 12:37:12 2024 +0100

    lib/xcap: reviewed and removed old comments and disabled code

commit e8ee31f6bce32050f8caaa8d053ddaea8d99cc1d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 20 12:16:13 2024 +0100

    lib/cds: reviewed and removed old comments

commit 2f7b7a5750815814bedb4b2a6b3716ea72e4d904
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 19 15:40:06 2024 +0100

    github: remove cleanup workflow [skip ci]
    
    it's removing untagged images that are layers of the tagged ones

commit f59dacf7993da83553cd67de516fc31f493d2a7d
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Fri Jan 19 15:54:15 2024 +0200

    p_usrloc: Add missing api function get_udomain()
    
    When registrar kemi save()/save_uri() function is called,
    then usrloc api function get_udomain() is called.
    
    This usrloc api function is missing in p_usrloc module
    and results in a segfault.

commit e506b60c1045cfbd4485434165305fbc2fb57aa9
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Wed Jan 10 17:20:27 2024 +0200

    xlog: add kemi xlog_facility function

commit 4a2665a8c5ff31d50468bd998ef0853c3ff510cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 19 10:18:33 2024 +0100

    pv: increase the number of slots for transformations
    
    - safer handling of chained transformations

commit 59104fe7d57bc8c75c835bbb75d5a1b7d01f6bda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 19 10:09:46 2024 +0100

    core: increase default pv buffer size to accomodate safer webrtc traffic

commit cc26d25eefac40ec1c7e209e25312eed978cf348
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 19 09:49:55 2024 +0100

    pv: convert pv value to long for ftime transformation

commit a2bff77c3f7bfee8dae90c3ef20522d480f2e14d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 19 09:44:33 2024 +0100

    jansson: declare variables at the beginning of blocks

commit 8a1613096ad86db125398e50d2ecced5d3ff1978
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 18 18:48:22 2024 +0100

    core: parser - check diversion pointer before accessing it

commit a972c3bd5287177f8fa73dfb0ed5b2da8e3f4f57
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 18 18:37:41 2024 +0100

    gcrypt: init allocated buffer

commit 304b8a41464f1bed83d733a3002088b759c7e679
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 18 16:01:19 2024 +0100

    modules: readme files regenerated - kex ... [skip ci]

commit 2ebf19b16987b815b2fc2902bff5ccbea6e90e13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 18 11:44:32 2024 +0100

    kex: reformat exported structures

commit ee191ccd01ec6391c715e22efed2dc6581fe9d72
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 17 19:40:23 2024 +0100

    kex: docs for is_myhost()

commit aaec01e0556bf6148ec50795f896af71f9680a70
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 17 17:49:33 2024 +0100

    kex: added is_myhost(uri) - check if host part only is local
    
    - similar to is_myself() but ignores the port and protocol

commit 79697b4d565665b696ee39021e27d82e716bc176
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 06:47:14 2024 +0800

    pkg: RPM spec missing %description for sqlang

commit d0e7aa5405a293401ad19347cc062d1585d06956
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 06:38:29 2024 +0800

    pkg: RPM spec use automatic dependency for wolfssl
    
    - wolfssl doesn't follow semantic versioning
    - let RPM figure out the correct runtime library name
      depending on the -devel package used for building
      i.e. based on the package used for pkgconfig(wolfssl)
    
      e.g. if wolfssl35-devel - then libwolfssl.so.35
      if wolfssl42-devel - then libwolfssl.so.42

commit 5bbb224fdad1770150dd2fc37c69393aeda96d40
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 06:21:55 2024 +0800

    tls_wolfssl: clean-upâusing wolfSSL native naming for functions / structs

commit 03456e5e5983e2236b8e182cf3317d14ebf34e18
Author: Elena-Ramona Modroiu <anomarme@users.noreply.github.com>
Date:   Tue Jan 16 16:07:43 2024 +0100

    tls: set parameter name for tls_h_mod_randctx()
    
    - without it fails to compile on Unbuntu 22.04 with low latency kernel

commit 14828091b06dca86c91659d705a4f58a6fead4d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 16 13:10:34 2024 +0100

    rtp_media_server: use local user for building contact
    
    - GH #3380

commit 167d8af9ff1c55804a66cc948670ab1d3069e063
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 16 11:02:20 2024 +0100

    core: snexpr - rename some inner blocks variables

commit 6ebe3b612d60e02854c7b88cd241615b50666b00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 16 09:22:29 2024 +0100

    ss7ops: rename local variable that hides the function parameter

commit 695f155f3a127f0bbe220a6b44a0fc3887e1e4be
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Jan 16 09:42:27 2024 +0100

    dialog: don't send the BYE if dialog is in deleted state (#3714)

commit 7e5843e28dc4e331f434381defeb4cef43c5298f
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 16 16:36:25 2024 +0800

    tls_wolfssl: mask outer make DESTDIR=XX if building internal submodule

commit 4df939428555f8c4fde67f7b8638809aca56c9f2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 16 09:33:20 2024 +0100

    github: add default registry credentials [skip ci]
    
    > https://docs.github.com/en/actions/using-workflows/workflow-syntax-for-github-actions#jobsjob_idcontainercredentials

commit a752fde2fd2eb3615d16eb8940364ceea2f7d79c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 16 16:06:45 2024 +0800

    tls_wolfssl: update to v5.6.6-stable

commit 404b47791678c4eaccd4cfc7a83e0bb97a29b5d3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 15 17:22:06 2024 +0000

    usrloc: synchronize attributes from DMQ (GH #3679)
    
    - make ucontact_xavp_store static and add some comments
    - change order of xavp operations in ucontact_xavp_store to not overwrite DMQ xavp
    - add logic to receive xavp information from DMQ and save it in the contact

commit d2eb6a9f324a2077d0f4422621aa4d125c72c880
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 15 17:21:39 2024 +0000

    dmq_usrloc: DMQ also copies and sends attributes related to contacts (GH #3679)

commit aa67092e6ea7d8581e11970993607511771c1be6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 15 15:23:55 2024 +0100

    github: fix cleanup matrix definition [skip ci]

commit f3b4f2fe2b88a06cdc49ba473e4b3fc3fbbfd8bf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 15 15:21:06 2024 +0100

    github: add all packages images to cleanup

commit cb520baa9349f86fc104e2c1eed633ea59157b1b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 15 15:03:15 2024 +0100

    github: use CLEAN_PACKAGES secret at cleanup workflow
    
    kamailio-sync PAT with delete:packages permissions as described
    > https://github.com/camargo/delete-untagged-action

commit fe5c7125c66e37d2db032a63328ad713738a4b0c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 15 21:32:53 2024 +0800

    outbound: update to OpenSSL 3 API

commit 47303fc34d4795edc7b58569fb97e7b0532b0367
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 15 12:07:16 2024 +0000

    Makefile.defs: remove unused define WITH_XAVP, its not used anymore from the code

commit 555530c70f8f7034046e0b81f4a8469ed76bb405
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 15 12:06:54 2024 +0000

    doc/tutorial: remove unused define WITH_XAVP, its not used anymore from the code

commit 6f9620704c661151415ad723e5f0b31f34b70c1d
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 15 12:06:25 2024 +0000

    docs/scripts: remove unused define WITH_XAVP, its not used anymore from the code

commit 2ffeaf6f480cbe1581395519b252c2bf35291ef7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 15 12:15:58 2024 +0100

    usrloc: fix condition for keepalive interval

commit 4d8e888c805ddecdb7227350c1c01e52c235ffb5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 15 10:37:42 2024 +0100

    usrloc: add ka_randomize to ka_interval when checking for keepalive

commit b3e19d8c97c099823ad439167b07ccbb30d05a25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 14 16:15:49 2024 +0100

    lcr: prefix global variable with short name

commit e6836cf2dc772fd7e5b4322d4243ca3c2177de1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 14 09:11:19 2024 +0100

    registrar: prefix global variables with short name

commit 82ae289d8f549b142aa0631b6225838bbbc1f446
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 13 21:00:32 2024 +0100

    sanity: prefix global variables with short name

commit 7867a29d3f49d6bc149b9f556ae28ce089e841f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 13 19:54:46 2024 +0100

    siptrace: prefix global variables with short name

commit 8dffc45ee91aeed839efb38d17040359dcac953a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 14 14:08:03 2024 +0800

    tls: remove thread-enablement on EVP_RAND_CTX
    
    - with late initialisation it is not necessary to enable thread locking
      on EVP_RAND_CTX
    - the function remains but is not used in case requirements change
      with OpenSSL >= 3.2

commit 42b9fe9781e6805436227e0e7b88db73767a94b1
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Sat Jan 13 16:26:20 2024 +0100

    src/Makefile.defs: recognize GCC 14 as recent â  not too old compiler
    
    similar to 87ed3d9c3ae3ecfabe6

commit 1c13e99efb119f75ddbd6a0aa4798cd27accbff5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 20:02:14 2024 +0100

    topoh: prefix global variable

commit cb92b6a23d622b06bcb18195b5c0525fcd273e7a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 19:53:57 2024 +0100

    topos: prefix global variable

commit 987e21a914edcebc9eafe21af19c8a476bf73b06
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 19:50:28 2024 +0100

    xhttp: prefix for global variable

commit 0479c40fe6fd6765de92eea8f9e0bf04dea8cbd0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 14:37:02 2024 +0100

    mohqueue: rename local variables to prevent shadowing the global

commit 0ea603413de9505b5312e5930168102e816dced3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 13:10:33 2024 +0100

    avp: rename local variable to prevent shadowing the global structure

commit 1671c96462f76d902b4c331c2f51e99cd2e33af1
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 11 17:17:12 2024 +0100

    modules: readme files regenerated - rtpengine ... [skip ci]

commit 1aec0c1397e4230e52f2b9427fdb32b10f649ecb
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 11 14:38:02 2024 +0000

    rtpengine/docs: Add codec-consume docs

commit a40d5b7d65394606f2200a5932284b874e196063
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 11 13:49:40 2024 +0000

    rtpengine: Add support for codec-accept and codec-consume

commit b678e66a974f3f88f5ed05e57e5d898e4715fe0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 11 15:34:33 2024 +0100

    p_usrloc: rename short global variable

commit 302231bf2262ef73a6aad4a2f476df7c9a3c05f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 11 15:23:55 2024 +0100

    ratelimit: rename variables to prevent global structure shadowing

commit 72595fe42d28d3e4a12341b405af63d41f827dc4
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Jan 11 10:30:40 2024 +0000

    http_async_client: use error log level (GH #3706)

commit b50036200c5bc09fd2d412a18585b42d63763b27
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 11 08:21:00 2024 +0100

    core: keep listen socket even if advertise address does not resolve
    
    - the core advertise_address parameter works in the same fashion
    - previously it was starting by skipping the listen, which resulted in
      unexpected runtime list of sockets

commit 29007ada5bc9e07ede3cdbce285f04d1298c0612
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 11 08:03:07 2024 +0800

    tls: historical code comment on repeating SSL_CTX per worker

commit 42bae2a634249fe7d8ba174eaffff0ee547f6d2b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 13:41:33 2024 +0100

    registrar: cumpute randmized-range expire value as float and then cast

commit 403ed48995e5eec5a795edd1748f9fe8a9ee520d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 10 13:32:13 2024 +0100

    modules: readme files regenerated - usrloc ... [skip ci]

commit bbb81e5f6ef5744cc9b74302e8ecee6687199872
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 13:16:14 2024 +0100

    usrloc: docs for ka_randomize parameter

commit 5bf1a7ab30f14d989ab185585427c868429224fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 13:07:14 2024 +0100

    usrloc: option to randomize when keepalive is sent
    
    - default adds a range from 0 to 20 seconds to ka_interval

commit 03f939e3d1a0dbf56791943f90942984984f2d72
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 10 12:47:06 2024 +0100

    modules: readme files regenerated - usrloc ... [skip ci]

commit 36608af81b3ed64b3800be1625647ed0a9e5031d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 12:40:56 2024 +0100

    usrloc: docs for ka_interval parameter

commit 53ace443020075f7ecd12c72f154193c6cfa6af3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 12:24:39 2024 +0100

    usrloc: added keepalive interval to set the step for sending
    
    - the keepalive is not going to be sent before the interval elapsed
    - the keepalive is no longer sent on every timer callback
    - default 40 seconds

commit 5a40d1ef1b484c4fc437a3f0183a101241e80313
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Jan 10 08:52:03 2024 +0100

    http_async_client: exit mod_init if tm is not loaded

commit f485a0c9f138ccfbeb548fa22ea9053afb449875
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 15:32:14 2024 +0100

    pkg: rpm obs spec - removed app_sqlang module from packaging

commit 577fb11010ff61af3c4b567581c0bbc5404654c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 14:06:21 2024 +0100

    htable: read rpc number value as long
    
    - remove autoconvert for number, it is only for string values
    - GH #3674

commit 3f4844b4ad1190a38eff8b377c89a9554be80e59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 12:39:11 2024 +0100

    siputils: reformat module exported structures

commit 0fcc950dc54990a51fe74616ec2d2972a4e1c094
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 12:32:36 2024 +0100

    siputils: added module prefix to global variables

commit 587c3e337c3cbabed1373b9308065d59392a370d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 9 12:17:06 2024 +0100

    modules: readme files regenerated - gcrypt ... [skip ci]

commit 33a0eeb40cb6be28c7921ccb61dcede1ebce4bad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 12:00:41 2024 +0100

    gcrypt: docs for aes_mode parameters

commit 2024253fac4c4fda48f2b0c5b9a1f9717294aa22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 11:56:50 2024 +0100

    gcrypt: added aes_mode parameter
    
    - specify AES encryption mode:
      - 0: ECB (GCRY_CIPHER_MODE_ECB) - default
      - 1: CBC (GCRY_CIPHER_MODE_CBC)

commit 977e4f3e4d2a002f8aed55035c4ab6c3ee9ea1b8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 9 11:02:08 2024 +0100

    modules: readme files regenerated - gcrypt ... [skip ci]

commit 4d96966272761816d16b40dc68adf3b24e79fbaf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 10:52:24 2024 +0100

    gcrypt: docs for register_callid parameter

commit fae3632a224cde753c2a6e3d1d2a72b6e9aa9ceb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 10:49:48 2024 +0100

    gcrypt: added functions to generate random call-id in uuid format
    
    - alternative to the option offered by crypto module

commit db8dd08b5506ac40314b70386b9ea83b509e17b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 20:20:36 2024 +0100

    Makefile.groups: added group for gcrypt module

commit 52e82aa79febcdc7aa422756e250d402b61dfe14
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 20:00:26 2024 +0100

    gcrypt: new module for crypto functions
    
    - uses the GNU libgcrypt library
    - implemented AES256 ECB encrypt/decrypt functions

commit 4df92312166d8aad700007ef0898d0a7c6ba40b7
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 4 11:43:21 2024 +0000

    parser/contact: Change addition order to the end of list
    
    - Contacts are now added at the end of the list.
    - hfl(Contact)[index] is now returning in the correct order.

commit b3ed254a85bd9528342d07c87791ee00f5d70622
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 8 12:31:30 2024 +0100

    modules: readme files regenerated - siputils ... [skip ci]

commit 257cfe9be9327054fb381a48df9605444ea8e6fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 12:25:32 2024 +0100

    siputils: docs for contact_param_check() function

commit eef07574be8499b517e4c333a36d618c608253ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 12:13:14 2024 +0100

    siputils: new function to check existence of a contact uri param

commit 9d8037bfd71996cfae756a030cdc3dd139162863
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 09:17:22 2024 +0100

    lcr: rename function parameters to avoid shadowing the global variable

commit ecca625fd265d0484165d7a56e958a634103b09a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 7 21:06:33 2024 +0100

    rtpengine: renamed function parameters to avoid shadowing the global variable

commit c53a3a0fdee77d6d638f2f50f405ee038288301d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 7 10:58:51 2024 +0100

    siptrace: rename parameters to avoid overlapping with global structure

commit 000404acbf84b0425d8d8e03ece29d525dc56efc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 6 18:50:02 2024 +0100

    smsops: prefix some global variables with module name

commit 69fab0d4005e09b6fd0b905e7c660a8fe62d3659
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 6 16:35:50 2024 +0100

    pdb: pass structure by pointer to debug function
    
    - avoid copying large parameter value

commit 95d8d9374a0e4385fd549078fcf56ecadef424a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 5 21:35:52 2024 +0100

    msilo: make static and add prefix to global variables with short name

commit 4708f537d7f5d28123b48cd89474a4931dd698ad
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 5 20:56:39 2024 +0800

    outbound: build, fix missing argument name

commit ef45b7b804a3ba79880afd218f6b3f3962c85ed7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 5 11:55:03 2024 +0100

    tm: free new uac dlg in case of errors

commit 8038fba2dd056193b37a5c2571f2d4d910c47e73
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 4 09:53:29 2024 +0000

    pv_core: Fix negative index bug for hfl()
    
    Before: -1 yielded null and -2 the last element of a header

commit 1c70775530b1a3a905e8a983610cb0d092b0d240
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 5 08:09:34 2024 +0800

    tls: thread-local, revert 1a9b0b6361 as double-layer locking is redundant
    
    - the 2nd lock was put in place as defensive programming for shm contention
    - GH #3695: the underlying issue is early init of thread-locals

commit 798cc26908395d2ba21015684ad6f0ac4f012b2e
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 5 07:38:56 2024 +0800

    tls: OpenSSL 3.x/1.1.1 thread-local, clean-up dead code and preprocessor
    blocks

commit 7b531cfe038fae5e3414ac74c4e076c10e32b86c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 21:56:00 2024 +0800

    tls: OpenSSL 1.1.1 thread-local, init libssl in thread
    
    - no need for RAND workaround; default is OpenSSL 1.1.1 RAND
    - linux/pthreads will handle forking

commit 7111687e1107261bcdd7a9f8cc90959754c93272
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 21:51:15 2024 +0800

    tls: fix compilation with OpenSSL <= 1.1.1

commit 689de2736f5c92f11860e5854ccd95c84239f032
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 21:47:23 2024 +0800

    outbound: OpenSSL 1.1.1 thread-local, init libssl in thread

commit 4742c8131aba878c4fc954e42b656b9d4bafdd24
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 20:11:21 2024 +0800

    outbound: OpenSSL 3.x thread-local, init libssl in thread

commit e49a60e1052c6c1dcebe7f78f2ac970338eabe2e
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 20:00:09 2024 +0800

    tls: OpenSSL 3.x thread-local, init libssl in thread or PROC_SIPINIT
    
    - avoid initialising ERR_STATE in rank 0(thread#1)

commit aef9cec329893f58b0c7df5aec2050b6c3cecc60
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Thu Jan 4 13:26:26 2024 +0100

    core: avoid C99 error

commit f67bfe4a183b2b629d3ac741ecb95bcc4b669b37
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 4 12:52:50 2024 +0100

    rtpengine: clang-format file and skip-wrap of exported structures

commit aab734e7a31a9df2dc731e849005ce6bb00d534e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 4 12:46:23 2024 +0100

    rtpengine: unsigned error field of 1-bit to prevent signness warnings

commit ad1365935e2f021095e6e14aca03da54d3862d5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 4 12:20:56 2024 +0100

    kamctl: dbtextdb/dbtextdb_test - do not store unused result of query

commit 42b22b6e2d91d907cbf80b499b9e4380def2e652
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 3 22:18:58 2024 +0100

    lcr: added module prefix to db_url global variable
    
    - safety for symbols overlapping

commit f0fbf4d74b8090614469b2a6a16f187275c4f067
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 3 22:14:32 2024 +0100

    dmq: rename global variables with short name
    
    - safety for symbols overlapping

commit ae90cb489cd07aac42994fbaa124966a34cd4514
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 2 16:20:59 2024 +0100

    xhttp_rpc: rename global variable with short name

commit b48c566218b15cac62cd1cc9dc838d241de73efd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 2 10:41:17 2024 +0100

    p_usrloc: rename global variable with short name

commit 4af2452fa9362f4df913003370b0a5279070f372
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 2 10:24:50 2024 +0100

    sms: renamed short global variables with common names

commit 05bcd7a893d2f607943eaa5ab65293e7e273de8d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 1 22:23:07 2024 +0100

    uac: global variable made static
    
    - renamed to avoid symbol conflicts

commit 619c7fe6db9c090ef9645ec8a39d43d00ba215bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 31 14:06:40 2023 +0100

    domainpolicy: removed constant condition

commit 5bbff26ce6e95b841e69f2dffc2214318a748c36
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 31 09:35:08 2023 +0100

    sca: removed if on rc before being set
    
    - reorder some conditions on range

commit 6c129bdc87352d0d883cc46fce0b78444e619084
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 31 09:22:28 2023 +0100

    ratelimit: removed unnecessary condition

commit a268f073bc9716fefc35248687d793bdcc6d66b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 30 10:15:04 2023 +0100

    core: main - typos in log messages

commit 9410ce3848c1ab7fa8b7ded47d090342fd4cf1c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 30 10:05:29 2023 +0100

    core: cfg.y - check limit for shm size

commit b59607bbcf6ca872e190dfcd9abf8fc5c0f64359
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 30 09:01:21 2023 +0100

    debugger: explicit cast for pointer arithmetic operation

commit 3d2bae3532e496648a902dac853edf013434672f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 29 10:01:51 2023 +0100

    modules: readme files regenerated - siputils ... [skip ci]

commit 3d6fecc6bc6d52f56d0fdd4e075a15032da91421
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 29 09:55:33 2023 +0100

    siputils: docs for tel2sip2() function

commit 366e28627dc7047d4dce2aefe67b5e97b5ae6682
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 29 09:43:10 2023 +0100

    siputils: added tel2sip2() function
    
    - based on proposal presented at:
      https://github.com/kamailio/kamailio/issues/1173#issuecomment-315198949
    - alternative to tel2sip() which has a simpler approach, but it does not
      follow all the RFC requirements. This is still kept as it proved to be
      useful over the years
    
    Co-authored-by: Donald Carr <doncarr@gmail.com>
    Co-authored-by: Supreeth Herle <herlesupreeth@gmail.com>

commit 453a8f1e2ae10d765790ddafe92bcaaf7f5b9c32
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 28 16:44:20 2023 +0100

    pike: renamed short common name global variable

commit a12895208595d966cc3d4ab06358c511d0222031
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 28 14:25:51 2023 +0100

    pike: use buffer size parameter in pike_top_print_addr()

commit 159282d6bd05b73961037b753e0a9df5ac9cdbe3
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Mon Dec 25 12:08:34 2023 +0100

    cdp: add destination realm avp only if not present

commit 7b9e90e06f95b4192fb40ed2c4854a8554fac45b
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sun Dec 24 21:33:52 2023 +0100

    cdp: fix disabled parts for openssl version newer than 1.1.0

commit 61d91d7a684df73a328c3062653522a7439d4d61
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Mon Dec 25 11:11:56 2023 +0100

    smsops: fix utf8 to ucs2 conversion

commit 75de09f369abad7192c853e74c99741feadec619
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sun Dec 24 13:46:07 2023 +0100

    ims_ipsec_pcscf: reset destination URI after value is used to decide destination protocol to use

commit 2d00ce546bb0852dc1784d5bc2e794d06f919577
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Wed Dec 20 16:11:56 2023 +0300

    dialog: fixed saving dialogs on shutdown that are already loaded at startup when using db_mode 3
    
    - The dialogs that loaded at startup are not saved in DB on shutdown, and so not loaded at restart,
      fixes issue #3669

commit c5237830f3e7fbeec403a0190471a066081c1117
Author: Nikolay Ivanuschak <ivanuschak.nikolay@gmail.com>
Date:   Mon Dec 18 22:20:50 2023 +0300

    core: fixed haproxy protocol parser
    
    fixes GH #3683

commit 23a1d06737fa6d2509b6f88574ad171aa32cf275
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 27 20:20:59 2023 +0100

    dialog: rename function parameter to avoid shadowing of global variable

commit 4b862326cce4b16154353d393d60c8f12762da86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 27 12:09:26 2023 +0100

    timer: rename local variable to avoid shadowing global

commit 9c72487cc5a54d7599e2904251133fc8cc29ed84
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 18:02:40 2023 +0100

    sipcature: rename global variable to avoid shadowing by function parameter

commit 0186246fce8f0e4bb46b30c05174983cd957a3ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 17:51:48 2023 +0100

    statsd: use bool type for local variable to match return of function

commit 934a5dd1347c7b54a2d5e4437e1d3ab581f90596
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 17:42:48 2023 +0100

    xhttp_prom: renamed global ctx variable
    
    - avoid short name code scanner warning and shadowing with function
      parameter

commit dde74dc1d3413bc677813502aa71d727cbe1e981
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 17:11:34 2023 +0100

    tm: remove redundant check in if condition
    
    - else branch is already for >= 200

commit 09318b6d0f224cace31d7db925f792b66cefd469
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 14:35:05 2023 +0100

    seas: if expression on else not needed
    
    - evaluation of it is true on else branch

commit 440a9955b4ce21b8c3dae9d6159d24a92ec28e7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 25 22:12:24 2023 +0100

    ss7ops: adapt if expression for uint
    
    - equal 0 or less than 1 is same in this case

commit 439d451ab3172c1a22f88fd4ba0756ede2318191
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 25 21:41:49 2023 +0000

    github: [skip ci]: bump tj-actions/changed-files from 40 to 41
    
    Bumps [tj-actions/changed-files](https://github.com/tj-actions/changed-files) from 40 to 41.
    - [Release notes](https://github.com/tj-actions/changed-files/releases)
    - [Changelog](https://github.com/tj-actions/changed-files/blob/main/HISTORY.md)
    - [Commits](https://github.com/tj-actions/changed-files/compare/v40...v41)
    
    ---
    updated-dependencies:
    - dependency-name: tj-actions/changed-files
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 973803b0a3944b9de7ebdc4366b23e933e66ffbe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 24 19:59:52 2023 +0100

    pkg/obs: removed auth_identity modules

commit 8a07c21b45d8afd0a0b84c09bbac6361a0f979d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 24 17:23:55 2023 +0100

    pkg/alpine: removed auth_identity module

commit 3bdc56654874b7e94e7052823714440b6457a100
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 24 17:21:57 2023 +0100

    Makefile.groups: removed auth_identity module
    
    - relocated to kamailio-archive repository

commit 5192e5d275761ccd1af49d4bf9dd12e1438947b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 24 12:20:57 2023 +0100

    tmx: rework cleaning up on init failure

commit 1b959ead18fc8d7d55b1abe6f03fa3f849b57385
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 23 17:20:40 2023 +0100

    auth_identity: module relocated to kamailio-archive repository
    
    - module is considered obsolete, not maintained
    - based on precursor specs of stir/shaken, not actually deployed in
      production by carriers
    - located now at:
      https://github.com/kamailio/kamailio-archive/tree/main/src/modules/auth_identity

commit 904a718d15e4a83d752b6d2f0fa692fb10cda4b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 22 15:10:51 2023 +0100

    sms: define size and check lenght for sender and ascii fields

commit 1f5444fd2e25d227ffd70f1087d057a3b8002558
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 22 14:50:59 2023 +0100

    tm: make lookup event_route[tm:local-response] only once
    
    - related to issue #3064 and PR #3687

commit 61efad28eeb84d8b8f80fe7fd38d7bbb634717f4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 10:02:45 2023 +0100

    seas: fix build warning
    
    > CC (gcc) [M seas.so]          encode_contact.o
    > encode_allow.c:40: warning: "_GNU_SOURCE" redefined
    >    40 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit 90df744978ee2a83700d36ef88161f00b2220acb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 10:00:32 2023 +0100

    pv: fix build warning
    
    > CC (gcc) [M pv.so]            pv_xavp.o
    > pv_core.c: In function 'pv_get_cnt':
    > pv_core.c:2841:61: warning: 'ravp' may be used uninitialized [-Wmaybe-uninitialized]
    >  2841 |                                         if(ravp && ravp->val.type == SR_XTYPE_XAVP) {
    >       |                                                    ~~~~~~~~~^~~~~
    > pv_core.c:2776:36: note: 'ravp' was declared here
    >  2776 |                         sr_xavp_t *ravp, *sub_avp;
    >       |                                    ^~~~

commit 86c57ef77848513e3224c73a6d2889e8a2bd6fc3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:58:39 2023 +0100

    db_text: fix build warning
    
    > CC (gcc) [M db_text.so]               dbt_raw_query.o
    > dbt_raw_query.c:23: warning: "_GNU_SOURCE" redefined
    >    23 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit 8bfd6580533b6d6005cd257632a5c0e575f75e39
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:57:25 2023 +0100

    cfgt: fix build warning
    
    > CC (gcc) [M cfgt.so]          cfgt_mod.o
    > cfgt_int.c:22: warning: "_GNU_SOURCE" redefined
    >    22 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit 7562aed2b1c33942b508c6cae9aa7db5ab75196e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:56:08 2023 +0100

    benchmark: fix build warning
    
    > CC (gcc) [M benchmark.so]             benchmark.o
    > benchmark.c:41: warning: "_GNU_SOURCE" redefined
    >    41 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit c413392a3bae1efdc40671b11da83bec173caff5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:53:16 2023 +0100

    jansson: fix build warning
    
    > CC (gcc) [M jansson.so]               jansson_utils.o
    > jansson_utils.c:23: warning: "_GNU_SOURCE" redefined
    >    23 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit 9d4d9c0afce10d00f65eccb3c9bfd3c508bac336
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:51:28 2023 +0100

    auth_identity: fix build warning
    
    > CC (gcc) [M auth_identity.so]         auth_dynstr.o
    > auth_crypt.c:29: warning: "_GNU_SOURCE" redefined
    >   29 | #define _GNU_SOURCE
    >      |
    > <command-line>: note: this is the location of the previous definition

commit 84f6ca9b453b33dba321c11e12a0ebc0b9b8dab4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:49:43 2023 +0100

    main: fix build warning
    
    > CC (gcc) [kamailio]           core/atomic_ops.o
    > main.c:34: warning: "_GNU_SOURCE" redefined
    >   34 | #define _GNU_SOURCE
    >      |
    > <command-line>: note: this is the location of the previous definition

commit 5ebe1758fb3ff03e3a035e7121f40e2539eb2c9c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:32:10 2023 +0100

    ims_qos: fix build warning
    
    > CC (gcc) [M ims_qos.so]               rx_avp.o
    > [...]
    > /usr/include/fortify/stdio.h:122:16: warning: 'int_port_rctp_a' may be used uninitialized [-Wmaybe-uninitialized]
    > [...]
    > /usr/include/fortify/stdio.h:122:16: warning: 'int_port_rctp_b' may be used uninitialized [-Wmaybe-uninitialized]

commit 59dc9b1ba93d4e6a06f87deabf136787a3ab1cf1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:19:50 2023 +0100

    core: fix build warning
    
    > core/parser/parse_diversion.c: In function 'parse_diversion_body': core/parser/parse_diversion.c:60:18: warning: the comparison will always evaluate as 'false' for the address of 'uri_b' will never be NULL [-Waddress]
    >   60 |         if(uri_b == NULL) {
    >      |                  ^~
    > core/parser/parse_diversion.c:51:26: note: 'uri_b' declared here
    >   51 |         static to_body_t uri_b[NUM_DIVERSION_BODIES]; /*
    >      Temporary storage */
    >      |

commit ed0f2e77b80a2719957b1ac43a96dfc57b88f98e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:13:28 2023 +0100

    pkg/kamailio/alpine: remove app_sqlang module [skip ci]
    
    module was moved to kamailio-archive repository

commit 268147a7a7bcf68689a913a94faecc87128187fb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:00:08 2023 +0100

    core: fix build warning
    
    > CC (gcc) [M jansson.so]               jansson_utils.o
    > jansson_utils.c:23: warning: "_GNU_SOURCE" redefined
    >    23 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit ca4509013a123f02d6d9c09d016fce3fea3e3dbe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 08:51:39 2023 +0100

    ndb_redis: replace use of grep -P
    
    PCRE option is been removed in BusyBox #3686

commit 163028549df3abd3173a7c0ac8a9dc666c0e4879
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 08:48:21 2023 +0100

    db_redis: replace use of grep -P
    
    PCRE option is been removed in BusyBox #3686

commit 4c93985437122706bc68143b2f96a9d7f35be16d
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 21 16:08:32 2023 +0000

    pua: fix possible copy/paste error, we should use reginfo_increase_version for reginfo events (GH #3234)

commit ac4fa1129f5fbd1a48aad1b7dc21a2c130ecd164
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 21 16:05:04 2023 +0100

    tmx: use unsigned for bitwise operations

commit 4399fe3966f6774b18e02ea6e54a5ba132c7c4ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 21 13:56:28 2023 +0100

    sms: define buffer size for name field
    
    - check size before copy and trucate large messages

commit b2045d559ed720789df80f543fc00923a07ada83
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 21 11:54:52 2023 +0000

    pv: remove another redunant variable definition related commit 8ed4165fd3b0a33

commit 0547a4becbc6a48fdc473cfd26cdeedfa2a9317d
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 21 11:34:14 2023 +0000

    pv: remove another redunant variable definition (warning: unused variable âinnerIndexâ)

commit 8ed4165fd3b0a331a4580894e2e7f83456b474fa
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 21 11:23:51 2023 +0000

    pv: remove redunant variable definition (warning: unused variable âinnerIndexâ)

commit 64e4288217d4a9dd2441687b56f5dbd02b8549f4
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Dec 20 10:44:40 2023 +0100

    Makefile.groups: add dlgs and sworker to extra modules

commit 9bb1976b4b7d52542a4de37144194bfc24649222
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 10:06:59 2023 +0100

    Makefile.groups: removed app_sqlang from modules list

commit bab926d0b3eb69b5f15e9a49fdc52c937e164612
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 10:04:24 2023 +0100

    app_sqlang: module relocated to kamailio-archive repository
    
    - module is considered obsolete, not maintained
    - app_jsdt should be considered a better alternative, or app_lua,
      app_python3/s
    - located now at:
      https://github.com/kamailio/kamailio-archive/tree/main/src/modules/app_sqlang

commit 943ff442d85a041ba0285cc494ce0697f4dbae59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 09:36:57 2023 +0100

    pipelimit: reformat exported structures

commit 5e1f8e6c93dae914665b2e97b38e8a3a0673d1f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 09:33:17 2023 +0100

    pipelimit: renamed global variable with module prefix
    
    - avoid overlapping global symbols

commit 17e9e3f447867e34b8f320b8b93189f01fbc3f77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 09:30:01 2023 +0100

    sipcapture: removed unused global variable
    
    - renamed local function variable that was conflicting

commit 1068bbbf9a7f2bf96d9ee2cefa1b81fbabac9805
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 19 21:18:03 2023 +0100

    README.md: remove irc reference

commit f036333b756c1021545e70871024561089954a56
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 19 10:50:56 2023 +0100

    ims_dialog: refactored kemi get/set profile functions
    
    - expect final string values in the parameters, not with
      kamailio-specific variables, they can conflict in the external
      scripting languages and also leak pkg memory

commit 19152caf44360eae533508ecd6f3f9e33af14fb7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 19 09:53:34 2023 +0100

    ims_dialog: reformat exported structures

commit 19572a828ffeb08b190dab5ae4aee93f03d9a7f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 19 08:21:10 2023 +0100

    tm: clearer reply code handling for uac dlg

commit 68f653bfc66d8f4ff2e11f5fc9348f4d2632fe8b
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 18 21:31:57 2023 +0000

    github: [skip ci]: bump actions/upload-artifact from 3 to 4
    
    Bumps [actions/upload-artifact](https://github.com/actions/upload-artifact) from 3 to 4.
    - [Release notes](https://github.com/actions/upload-artifact/releases)
    - [Commits](https://github.com/actions/upload-artifact/compare/v3...v4)
    
    ---
    updated-dependencies:
    - dependency-name: actions/upload-artifact
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit b2f1cd6ed2cd5da84fe8ff48db688fc41f129ccb
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 18 21:31:53 2023 +0000

    github: [skip ci]: bump github/codeql-action from 2 to 3
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2 to 3.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/v2...v3)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 0e5b8178de281db5ddfe30af28244a1ebaf12382
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 18 14:06:49 2023 +0100

    msilo: remove redundant condition

commit 2f43510be37c157f800389dfb432b6c52d7435a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 18 12:31:34 2023 +0100

    pv: removed unnecessary condition

commit ca2a9479adf720e67bf50c9d2795cc8937e223dc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 18 12:22:25 2023 +0100

    pv: typo in transformation log message

commit f128db2b85a525ff82c28faffbeec3203f9560c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 17 22:16:05 2023 +0100

    tm: use coherent type int for tm route blocks indexes

commit 678b1a68de86d9539adeaf0262d9735b8d435077
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 16 20:04:08 2023 +0100

    core: srjson - init vars and check scanned values

commit 586ddc6ed3a2b757ad55fb9eb859945b279c415c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 15 21:18:19 2023 +0100

    presence_xml: check for number of read values

commit 68940cc09c999621b1f9a765e190b3207728106e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 15 12:19:25 2023 +0100

    seas: use same type iterator to avoid risk of overflow

commit 2bebff2b27acd8ffa9f9d22409c197b0f0bc168e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 14 21:17:08 2023 +0100

    sms: rework truncating long messages

commit 431b80a1b8313d7457d4bf5fa1770f9465820d39
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 14 19:52:23 2023 +0100

    sms: define size for buffers and check the length on copy

commit a78aeebd66ec63810987555d5bb492fec1979fc8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:52:40 2023 +0100

    smsops: check returned value

commit 49b3b90cd229b7c4da06b61cdfd782450d383cc9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:23:23 2023 +0100

    app_python3: check allocated pointer

commit 077651fa3bfd50e0f654c907f3783b1421497bd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:15:28 2023 +0100

    core: check if conversion could not be done

commit 5d641f56fc1bc342d9be008ecd96959e114fef66
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:08:56 2023 +0100

    registrar: check returned branch pointer

commit 1191ab4e5e03b35714ec1ad9d9bf2dd9665c71fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:02:01 2023 +0100

    tm: check get_t() result for consistency

commit 4e2edcb0acdac56a9c5946525e427cdd44d0289e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 11:38:48 2023 +0100

    sipcapture: signed iterator to cover negative condition

commit cae0f9a1302a79d748155401117e934a5a8e272f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 11:24:24 2023 +0100

    ratelimit: reorder for safer storage size

commit aaeb54c8b630b4aac50df75ff430ad5baea6746c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 12 15:38:33 2023 +0100

    pkg/kamailio/deb: override lintian error on stretch [skip ci]

commit 3fe9a279abecf6f367ce9fd2d4b085c41c87ad77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 12 13:08:18 2023 +0100

    pv: remove extra len increment for some uri transformations

commit 185e7f64668cf4e8de3fa83d482e02e90b4fd3e5
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun May 21 07:02:17 2023 +0000

    kazoo: fixed rabbitmq-c deprecation warning

commit 1b589c2070973ace082205dc0985363570c5b7f6
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun May 21 07:06:54 2023 +0000

    rabbitmq: fixed rabbitmq-c deprecation warning

commit 071f3f8fd1ffd85d872f6048db4750bbf6441cf3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 12 12:33:10 2023 +0100

    ratelimit: init variables and check return of fscanf()

commit ecf5ce88a2de9a2f28b87e1f9a0303e59870c1f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 12 11:40:23 2023 +0100

    nat_traversal: init variables read from string

commit 9cd07110ed59058de27c077574e4a740df068485
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 12 11:24:44 2023 +0100

    presence_dialoginfo: check return for sscanf()

commit 8d3d53f5f698da1357c3475ae136677099b2f702
Author: Sean Bright <sean@seanbright.com>
Date:   Mon Dec 11 10:21:20 2023 -0500

    utils: Prefer `printf` over `echo -e`.
    
    On Ubuntu, `/bin/sh` defaults to `dash` whose built-in `echo` command
    does not support the `-e` flag. `printf`, on the other hand, supports
    backslash escapes by default so we use that instead.
    
    In passing, also clean up some messy ANSI escape codes.

commit 14e763fd15a846d4377214521cac06113ba6888d
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 11 21:04:57 2023 +0000

    github: [skip ci]: bump actions/stale from 8 to 9
    
    Bumps [actions/stale](https://github.com/actions/stale) from 8 to 9.
    - [Release notes](https://github.com/actions/stale/releases)
    - [Changelog](https://github.com/actions/stale/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/stale/compare/v8...v9)
    
    ---
    updated-dependencies:
    - dependency-name: actions/stale
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit ee2ad77aa71326d355e299625ebbd31f67f8ed20
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 11 17:17:05 2023 +0100

    modules: readme files regenerated - jsonrpcs ... [skip ci]

commit af49deacad22b9f2d6502649002d51ad2423f005
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 17:08:08 2023 +0100

    jsonrpcs: doc - fix example for tcp_socket parameter

commit 7eb96925c4bb4664cce589050dff3e1c8b98b6f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 15:51:01 2023 +0100

    siptrace: check sscan() return value

commit 1b7ea63df655246b5b6ca123d9ed25d1764d9402
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 15:37:26 2023 +0100

    core: main - check limit for values of -m and -M

commit 75a7d0d8b1340d292aba9b589263619f5a6e11c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 14:19:04 2023 +0100

    core: route struct - use helper macro to get action address

commit 9c336764f567c873e25792efd813be1806d215d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 13:01:18 2023 +0100

    core: cast to variable type action_u_t*

commit 6aa967eb82fa9092f0a32101e44798e4d66fc708
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 12:54:25 2023 +0100

    debugger: updated dbg_fixup_get_action() to use helper macro for structure address

commit 1b81cbc9f79354aae604e33ac978dece95c0326c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 10 20:25:54 2023 +0100

    tm: use helper macro to get structure address from member

commit ad2e976d9200bd68c88e4a78edc0d250ba4045ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 10 19:31:54 2023 +0100

    core: helper macro to get enclosing struture from a member address

commit 9db18bc48bff0d230e66973a45c8e72e1b7744e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 9 20:07:37 2023 +0100

    dialog: check first the size

commit e614575d53f5e3b7d3a4796a445728f862e60916
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 9 19:53:46 2023 +0100

    sca: check return for snprintf()

commit 804ee651b45498727196886c97cb55d20b254c4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 22:10:36 2023 +0100

    core: parse privacy recompute lenght of rest to parse

commit 5d97afefd2a8f53072a36b6eb8927c180fb984c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 16:23:03 2023 +0100

    core: xavp - info long when skipping serializing a field

commit 1a9b0b63617afebcee2aecb3b2240d7684ecabc2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 12:34:56 2023 +0100

    tls: init early the local lock for memory
    
    - needed to done before mod param init_mode is set
    - runtime uses the modparam to do lock/unlock
    - #3668

commit 73536c5fe93f6f4e41eb92de29d054a0ac38536b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 12:21:40 2023 +0100

    core: msg translator - consider af from advertise structure

commit 59592e0499fbb61ec701a1d7901c357ff5ebc4a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 11:53:45 2023 +0100

    core: consider af from advertise structure to build recv socket uri

commit faf24134a00c1b15933f22e8e7702ec8e0dba35d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 11:43:02 2023 +0100

    core: keep address family indication in advertised structure

commit 975bbde5aa0fd4c2ef4063d906e125911d162ed6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 11:36:32 2023 +0100

    core: use advertise proto when building get_rcv_socket_uri()

commit b02a38e66d3bd198e75103727130906b2ff9786c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 8 11:04:27 2023 +0100

    pv: support for Diversion header in $hfl() and $hflc()

commit ced8d46eddb2bda614eaace98437b7dab2d123e3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 8 11:01:39 2023 +0100

    core: parser extended to handle diversion with multiple bodies
    
    - similar to PAI and PPI

commit 6d14b4e439aec3d046addfa776a4be5f471a33f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 10:20:14 2023 +0100

    lib/srdb1: rework store of long long values as number if value fits
    
    - GH #2106

commit c79f28b11f2683d11aafa72427efb15c95196b8b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Nov 22 15:01:23 2023 +0000

    pv: Add PPI and PAI support to hfl and hflc

commit 10519d199f6cac116399f4473bd82f2b08de72ba
Author: PeÌter BarabaÌs <peter.barabas@securesoft.hu>
Date:   Wed Dec 6 21:16:46 2023 +0100

    uac: fix socket length settings
    
    - set _uac_req.s_sock.len value to 0 in pv_set_uac_req() method in case of "all" case
    - change setting of _uac_req.s_apasswd.len to _uac_req.s_sock.len in pv_set_uac_req() method in case of "sock" case

commit 4b068f49b618dca5fa85a1687bd9054c1d98ae6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 7 13:00:50 2023 +0100

    tls: rework init mode 1 to set PTHREAD_PROCESS_SHARED
    
    - pthread mutex set in shm
    - GH #3635

commit 964c21e16ab4da96d989c230ea18d95872257394
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 7 11:41:44 2023 +0100

    pv_headers: rearrange module parameters
    
    * pvh_ prefix for global variables

commit 890dc5f017084481cd2b0f0d759939393fa115bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 7 08:21:22 2023 +0100

    ims_charging: free local structure in case of errors

commit 8794e509b951658e055cc06374c0e2561debdde3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 6 10:45:10 2023 +0100

    core: tcp - set type for literals usef for time difference

commit 8ca5d90a44166bf1a501680b2e01dfbbab5f5b94
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 6 12:54:50 2023 +0100

    cfgt: rearrange mod parameters
    
    * use _cfgt_ prefix for init_flag

commit b7b3f94f949feed3cf9e2e3adf3b4596e6e20eac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 6 08:42:41 2023 +0100

    core: xavp - serialize long long values
    
    - they are printed as unsigned values, same as for long values

commit e0909ab1c890b11204dd38b26283cba5fad289c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 22:00:43 2023 +0100

    topoh: init vars inside th_build_socket_strings()

commit a096684c69bd121ba5e60f682e236f621f0e343b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 6 01:55:11 2023 +0100

    github: devcontainer support force build parameter [skip ci]

commit 6dd5598fc043fe3d2582e643d7d4ef675c9e6480
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 19:30:21 2023 +0100

    phonenum: Makefile - option to set C standard version
    
    - can be set via option CSTDVER
    - defaults now to c++17
    - GH #3659

commit a9e02966384cbcdf04aa16feb034b87e524352c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 15:08:50 2023 +0100

    core: remove unnecessary condition on msg
    
    - the structure is already used before

commit 3a02bf42bc182e0eb809e63d8fe828e3ece5f1da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 12:26:22 2023 +0100

    ims_charging: log message on db updated error

commit 4f6a2686c01a65fe3a23e4d2057c7940eedcf12a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 12:18:33 2023 +0100

    topoh: reorder conditions for safety of cleaning on error
    
    - in the part related to the new th_build_socket_strings() internal function

commit 0d78a1add4292ff1e10347c0199f0d70d31678ea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 5 12:04:36 2023 +0100

    pkg/kamailio/deb: version set 5.8.0~dev2 [skip ci]

commit 6305adef50079891386a048b986fd27e9b6e7ca1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 12:00:00 2023 +0100

    Makefile.defs: version set to 5.8.0-dev2

commit ca7e1e49aecd3e0f12cc783e3b97868980f1d3d2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 10:27:32 2023 +0100

    dialog: prevent duplicate of leg1 attributes in json for dmq
    
    - reported by #3656

commit 2f98aaca9e4b71b8086abce4c2b41c215fb2a26f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 4 20:33:40 2023 +0100

    ims_ipsec_pcscf: declare vars at beginning of the block

commit 812df26470b50d626ce9ee03b9272373b231ce2a
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Mon Dec 4 20:29:40 2023 +0100

    ims_ipsec_pcscf: handle IPSec registration case where first SIP REGISTER does not have VIA port as 5060

commit 9cb6dae183c7295a3c9753a2747f6b3d92c3ffe8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 1 13:46:54 2023 +0100

    modules: readme files regenerated - ims_ipsec_pcscf ... [skip ci]

commit c39cdcbf0d8a17bc8fc03656faeb80fe231c3499
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 1 13:43:25 2023 +0100

    ims_ipsec_pcscf: docs updated for ipsec_forward()

commit d2b5f34e36e862c6485294f54c87e7184faf00b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 1 13:34:00 2023 +0100

    ims_ipsec_pcscf: options for ipsec_forward() to use Via or try TCP
    
    - option to use Via attributes for routing reply
    - option to try over TCP if correxponding UDP socket is not found
    
    Co-authored-by: Supreeth Herle <herlesupreeth@gmail.com>

commit 580915bade64db034a2ee25c616addc38220c183
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 30 21:01:45 2023 +0100

    ims_ipsec_pcscf: reparse request buffer to get contact when handling reply
    
    - clone aor in pkg to store the value
    - trim aor value when the parameters start
    
    Co-authored-by: Supreeth Herle <herlesupreeth@gmail.com>

commit 57794cd14205a16ed6c649fadb4efffca1561986
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 30 18:58:07 2023 +0100

    ims_ipsec_pcscf: fill_contact() check for port size in alias

commit 2dc4a4297b0c9e6a693a82f0fe95df4d1572d7df
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Nov 30 11:16:57 2023 +0100

    modules: readme files regenerated - ims_ipsec_pcscf ... [skip ci]

commit e4b4b95c8933796b2cf8d5ad478e66347aa8ebf0
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Wed Nov 29 20:00:24 2023 +0100

    ims_ipsec_pcscf: add q value to Security-Server header for IPSec

commit bb35e0aa112f9c60779692c67f42b6ef2cb1b0c2
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Wed Nov 29 19:55:07 2023 +0100

    ims_ipsec_pcscf: cope better with some broken In-Dialog routing

commit 006cca915275f8ca3ea52a9d978961e0842f1dcd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 29 19:39:45 2023 +0100

    ims_ipsec_pcscf: docs for ipsec_destroy_by_contact()

commit 0a6e742e7d189dbf1bc2a61cdb638458b49873f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 29 15:41:55 2023 +0100

    ims_ipsec_pcscf: use core fixup helper functions
    
    - remove unused parameter for w_destroy_by_contact()

commit 279454ff8d4e5804d92a8690c4de3a507efbc44f
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Wed Nov 29 15:39:39 2023 +0100

    ims_ipsec_pcscf: new function to destroy IPSec based on Contact and received IP and port
    
    - the default ipsec_destroy() cannot be used to used destroy IPSec in any route and
      needed to be used exactly after all the de-registration process was complete. But,
      as per the kamailio P-CSCF config script, ipsec_destroy() was used in reply route of
      NATPING, which didn't have any idea about SIP Register message used for de-registration.
      Thus, resulting in IPSec not being destroyed even after de-registration was complete.
    - the newly introduced function ipsec_destroy_by_contact() takes domain, contact, received host
      and received port in order to determine the exact UE's IPSec tunnel to destroy.

commit c10d50e10bc5f2c3f6a73dc685f631b3367f2481
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Wed Nov 29 15:30:23 2023 +0100

    cdp: fix for CER not containing Host-IP-Address AVP

commit 663be945f41d026c1a16f498544a12e2fb58c53c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 29 15:18:20 2023 +0100

    ims_qos: docs for dialog_direction parameter

commit adbb2bc992d1582aece9d075da6329e0643fb5e3
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Wed Nov 29 14:09:02 2023 +0100

    ims_qos: option to set DLG_MOBILE_ORIGINATING for rx_add_media_component_description_avp()
    
    - alternative to DLG_MOBILE_REGISTER that can be set with mod param
      dialog_direction

commit aced7f10a13dc7c578191514c29b2c8e060e11d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 29 13:50:11 2023 +0100

    ims_qos: docs for recv_mode parameter

commit b00190ff6927d5ddfcc0ed78a0eb701627eaadbb
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Wed Nov 29 13:27:10 2023 +0100

    ims_qos: option to use received ip, port and proto from via
    
    - can help with Rx_AAR_Register when EPC is behind a NAT
    - there could be an Rx AAR failure due to wrong IP address
    in Framed IP address field of Rx AAR message when EPC is behind a NAT

commit 9a552096eea7e78baeb16d32278ebd4d586eef82
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 29 13:11:50 2023 +0100

    ims_registrar_pcscf: docs for delete_delay parameter

commit bc3e758fb32285ba8d0f9f9e1a1489dd1894468d
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Wed Nov 29 13:08:06 2023 +0100

    ims_registrar_pcscf: option to delay record expiration instead of immediate delete
    
    - new parameter delete_delay

commit 3b2bffc92ab0f684f8731c02f080d8df4392de5d
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Wed Nov 29 12:38:53 2023 +0100

    ims_usrloc_scscf: improve contact lookup for an IMPU
    
    -

commit e49469c0ce534879a7d366c71374356e7883c6f2
Author: Supreeth Herle <herlesupreeth@gmail.com>
Date:   Wed Nov 29 12:26:00 2023 +0100

    kamctl: mysql/ims_usrloc_scscf-create.sql - support for larger record_route values

commit e1d9bec0e16727325330c822c21ae29237c7812a
Author: Kristian Hogh <kfh@uni-tel.dk>
Date:   Thu Nov 30 06:19:15 2023 +0000

    nathelper: add Max-Forwards headers which is mandatory for OPTIONS according to RFC 3261 (GH 3657)
    
    - add Max-Forwards headers which is mandatory for OPTIONS according to RFC 3261
    - similar patch is used from several large customer installations since many years
    - GH #3657 with small formatting change

commit aef29af56cabaf626e2ae552ae69c3cd2f692a27
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 29 17:21:59 2023 +0100

    Makefile.groups: fix ktls when KTLS_INCLUDE_TLSA is not set
    
    fix #3660

commit 2b27aba7f4f396e4ebd894255abfa8ce20950313
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 28 13:21:01 2023 +0100

    topos: use defined values for internal contact mode

commit 1194f59738e87fcbf0d61c95d1d481e5fbb46784
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Nov 21 15:30:03 2023 +0100

    core: timer_proc don't execute timers on shutdown phase

commit 9117e5ddbffe2a202d24eb39a509835f14090486
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Nov 28 10:32:15 2023 +0100

    modules: readme files regenerated - jansson ... [skip ci]

commit 3b47b566477baedf687635b2b3f0e2525987e709
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 28 10:19:01 2023 +0100

    jansson: rename parameter for janssonmod_get_field()
    
    - more suggestive relation with the meaning of the field name parameter

commit 9eeab4396d8ec57781244ab80c4a96539d7338ec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 28 10:16:28 2023 +0100

    jansson: docs updated for jansson_get_field()

commit d7b76608595046001cab3ced06d29c1e9a84cb99
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 28 08:01:53 2023 +0100

    jansson: use key as field name for jansson_get_field()
    
    - do no try to evaluate it as json path

commit 525dc4523ac411e1154c3ae8af1ec6f8678d1dbc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 28 07:36:55 2023 +0100

    jansson: reformat exported structures

commit 48034ab61482f6b3d9e77ccfc9e0743c44ff4458
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 28 07:31:57 2023 +0100

    jansson: added path evaluatian mode for helper functions

commit 870e4dc86dec7bf51a513bb1a716ad2417a12fa9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Oct 5 10:06:45 2023 +0800

    pkg: RPM packaging add kamailio-tls_wolfssl subpackage

commit 4840ea7536610d07ad6fda76da60ded04dfeabc7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 27 19:23:36 2023 +0100

    .github/CONTRIBUTING.md: section for issue and pr automatic management

commit 96300556ea4787f6f99926dcc7305ec6e4e3df75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 27 17:11:53 2023 +0100

    .github/ISSUE_TEMPLATE: notes about expiration of items and how to reopen

commit 5a65791e3959439a699d746ce8e63d438e8db0a5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Nov 27 14:17:09 2023 +0100

    modules: readme files regenerated - topoh ... [skip ci]

commit e479abe5a56e0576b5d5707fbdd7b65d33cf3599
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Nov 27 14:06:15 2023 +0100

    github: rework labels workflow [skip ci]

commit 949b00795d748aa6b6af64c4ced8a3e8de369021
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 27 14:02:25 2023 +0100

    topoh: mask_ip initialized again to 127.0.0.8
    
    - docs updated
    - code formatting updated by pre-commit hooks

commit 52cee630d367287daa4b15c042b25bec76192e80
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Nov 27 14:02:31 2023 +0100

    modules: readme files regenerated - topoh ... [skip ci]

commit 026e90350d0b4ec64695c373b70fa554d9337c34
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Nov 27 12:53:47 2023 +0100

    github: react to PR/issue comments [skip ci]
    
    ``/notstale`` will remove ``stale`` label
    ``/notexpired`` will change the status to ``open``
    
    > https://github.com/marketplace/actions/github-script

commit 8bfe55c68a06492c93a327eff6813fa0da8399dd
Author: TorPetterson <32388321+TorPetterson@users.noreply.github.com>
Date:   Mon Nov 27 13:50:09 2023 +0100

    topoh: uses socket IP when no mask_ip is defined (#3341)
    
    * topoh: uses socket IP when no mask_ip is defined
    
    If the parameter mask_ip is not defined the module finds the socket IP
    and uses that as mask IP for the message.
    If the socket has an advertised IP it is used, otherwise the socket IP is used.

commit 31e86a9250acf276217e514c4ea15269bbae4458
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Nov 25 11:17:04 2023 +0100

    modules: readme files regenerated - lost ... [skip ci]

commit f7caef5d4ba3fde04425b6480badcacc14f4f6e6
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Sat Nov 25 11:06:21 2023 +0100

    lost: support of shape representations (as in RFC5491) and new 3d parameter
    
    - A Presence Information Data Format Location Object (PIDF-LO) may
      contain one of the shape types as listed in RFC5491. A LoST
      findService request currently contains only a profile for
      two-dimensional geodetic location information, which
      is the default setting for this 3d parameter. The parameter
      can be set to 1 if a LoST server supports 3d, otherwise a
      3d location is reduced to 2d by the module.

commit 1e6b51a1fb6c3ee2f2fc6c0ea2b8f7ac6270d958
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 24 12:45:15 2023 +0100

    core/mem: qm - use mem_add_size value

commit 5430f7e1ea98f268b0ba7aef88a7e471e6940c4d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 24 12:14:14 2023 +0100

    core: added core parameter mem_add_size
    
    - default value 0
    - to be used to add extra space to allocated chunks for safety purposes
      when external libraries expose buffer overflows

commit 4b500ae453df1695aec7f7251a7ca4cead3cfe06
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 24 12:49:29 2023 +0100

    pkg/kamailio/deb: don't build tlsa for xenial [skip ci]
    
    We are getting errors on build:
    > gcc -shared -g -m64 -Wl,-O2 -Wl,-E  -Wl,-Bsymbolic-functions -Wl,-z,relro -pthread -rdynamic "-ldl" -Wl,-Bsymbolic-functions tls_domain.o tls_cfg.o tls_init.o tls_verify.o tls_locking.o tls_select.o tls_dump_vf.o tls_bio.o tlsa_mod.o tls_server.o tls_rpc.o tls_ct_wrq.o tls_rand.o tls_map.o tls_util.o tls_config.o  -lm /usr/lib/x86_64-linux-gnu/libssl.a /usr/lib/x86_64-linux-gnu/libcrypto.a   -o tlsa.so
    > /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libssl.a(s3_meth.o): relocation R_X86_64_32 against `.rodata' can not be used when making a shared object; recompile with -fPIC
    > /usr/lib/x86_64-linux-gnu/libssl.a: error adding symbols: Bad value
    > collect2: error: ld returned 1 exit status
    > ../../Makefile.rules:191: recipe for target 'tlsa.so' failed

commit 90692361c5158516bf9570dcdd139204e3ccf4df
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 24 10:44:06 2023 +0100

    pkg/kamailio/deb: include tlsa in tls package [skip ci]

commit a49c8d8d968e31a539e47db6c06a0756e4be55e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 24 10:38:49 2023 +0100

    Makefile.groups: tlsa in packaging group ktls if KTLS_INCLUDE_TLSA=yes
    
    - if not, then it is in separate group module_group_ktlsa

commit 93609b53d70df84788741800fc2b80c5502a3358
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:48 2023 +0100

    websocket: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 186ae3eef7f3e1b5ad6222c98a2f35a487deb316
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    usrloc: use literal module name for stats group
    
    - prevent conflicts with global exports

commit a9d29645ab417c9b0f7afc6745e6dd54bdac07b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    tsilo: use literal module name for stats group
    
    - prevent conflicts with global exports

commit d4c0e1bbcb0e423a545650aad4fbb4b2da8bb488
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    tmx: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 96bdd69945af9f08e6c89fb725248b8b268ee71a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    sst: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 92cdcb4bd280850743b3a952f1b6003be69daaf2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    siptrace: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 01abed3ef17f6a5f0f215675a2980f0b9a4267fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    sipcapture: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 0516fb802628ddb659a130aa2959df5b0b8e0c96
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    registrar: use literal module name for stats group
    
    - prevent conflicts with global exports

commit a951cb44ecbcd0f9cba937176ea5117c6a1d15b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    p_usrloc: use literal module name for stats group
    
    - prevent conflicts with global exports

commit f35f327a528670dcca0d7a767643a222f1aebd89
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    nat_traversal: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 609960812c572d2d19ba774b064fdf7e2ac45765
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    msilo: use literal module name for stats group
    
    - prevent conflicts with global exports

commit d29b3d6515f74d4cd7417dc9030d8ca53d57054e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    ims_usrloc_pcscf: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 641d29820f8536247c49d5fb4caa882764dbd9af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    ims_registrar_scscf: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 39514660001b37eabfe3af6818949586fae9a4bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    ims_icscf: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 524eeca084e0a0e61ad80f349ea79f8b1c3031f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    ims_auth: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 407168804cc1806b857c2ce78399e02a81692d1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    imc: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 40dd9f4e0fbe54046b7786e3572b491103af03d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    http_async_client: use literal module name for stats group
    
    - prevent conflicts with global exports

commit d434270933f06b4de43cdf6d4b464bd264a3cb92
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    dialog: use literal module name for stats group
    
    - prevent conflicts with global exports

commit 26d57116abc86e5d10bb1e5fe05c555e70e731c4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Sep 14 12:34:58 2023 +0200

    sca: update rr if necessary for subscriptions

commit e45c97d112c7c396ae0a11b7a431582a71361e5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:52:59 2023 +0100

    dialog: do not print module name in log messages
    
    - it is added automatically

commit 463d5b34390e330a2b733deb673c1c77e5be9fcb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:52:18 2023 +0100

    avp: do not print module name in log messages
    
    - it is added automatically

commit 89a95ce1abefd772c0f09054473b07bbfc5426bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:26:23 2023 +0100

    avpops: do not print module name in log messages
    
    - it is added automatically

commit ba1c0424732f1f2ab01bfd078ee272221a6b3e10
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:20:13 2023 +0100

    textops: do not print module name in log messages
    
    - it is added automatically

commit 145659f9b81a0d489548fa8a0f75c0bd05660e2e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 22 14:50:21 2023 +0100

    github: set ``expired`` label when closing PR or issues automatically [skip ci]

commit 65322a8ea66ed18fb2d089ade54702341e064944
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:02:59 2023 +0100

    app_ruby: use module name prefix for exports structure

commit a81e3c45dad338378fc8cf417bb0e9da1172a854
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 13:59:14 2023 +0100

    app_jsdt: use module name prefix for exports structure

commit e59c4415707f0995a0d5315b5601ae518b4f1ed5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Nov 22 10:17:01 2023 +0100

    modules: readme files regenerated - ims_ipsec_pcscf ... [skip ci]

commit 57ed2639259f7116795f6214ca505cc86bb7ccb5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 10:06:24 2023 +0100

    ims_ipsec_pcscf: do not change msg r-uri with ipsec_destroy() param
    
    - only changing r-uri shortcut inside sip msg field can have side
      effects, avoid it by providing the parameter to fill_contact()
    - use core fixup function for handling config parameter for aor

commit ef3f50db619490509f127eba87b75190a98a1b3e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 09:50:14 2023 +0100

    ims_ipsec_pcscf: docs updated for ipsec_destroy()

commit e3f6c3c8d23b379779369005f7a4b56ba8e0a588
Author: bishoja <james.bishop@ec.europa.eu>
Date:   Wed Nov 22 09:44:35 2023 +0100

    ims_ipsec_pcscf: add optional AoR argument to ipsec_destroy()

commit ba3eca2b41091e169a279be30827495d8269a1a0
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Nov 22 09:47:01 2023 +0100

    modules: readme files regenerated - ims_charging ... [skip ci]

commit 48f0e7fc9bd95b509e8fb619d8aafb59c125d2c8
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Wed Nov 15 12:50:56 2023 +0100

    cdp: Avoid deadlock for callback on diameter timeout
    
    Callback function might do an operation which creates a new transaction,
    which will result in a deadlock.
    
    Fixes #3641

commit e17b554ba918dc33c60f41c2cee50ad2578fbbd3
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Tue Nov 14 10:12:16 2023 +0100

    ims_charging: Various changes to make module compatible to other charging servers
    
    - Use origin-host of CCR response as destination-host of subsequent CCR requests,
      to make sure those requests are routed to the same charging server (when using relay).
    - use str_dup and str_free from ims_getters instead of locally defined.
    - Honour AVP_Time_Quota_Threshold in CCR response, as an alternative to static configured
      modparam "timer_buffer".
    - Add new modparam "strip_plus_from_e164" to enable sending subscription id with correct
      format according to specified type in the AVP.
    - Moved subscription id formatting into a common function.
    - Handle CCR response without AVP_Validity_Time set correctly. Was interpreted as
      immediate expire.
    - Handle IMS_RAR (Re-auth) request from charging server. Triggers an immediate interim
      update if the session is alive.
    - Handle IMS_ASR (Abort) request from charging server. Triggers an immediate termination
      of the session/call.
    - Fixed issue with signed/unsigned int related to check for Expires header.
      cscf_get_expires_hdr() returns signed (-1 for not found), while that value was added
      to the outgoing diameter request unsigned. That again resulted in an Expires AVP with
      a really large value, and was rejected by the charging server.

commit 6cd9f310a0af9bf6024696d436b6b96491808832
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Fri Nov 10 10:40:59 2023 +0100

    cdp: Add support for re-auth on ro sessions initiated from charging server
    
    - handle missing valid_for in CCA correctly, for chargings server not using it
    - add AVP_Time_Quota_Threshold AVP, to support server controlled CCR-U threshold

commit 70449bfcb04eb44260fc8bd80ab6b77a86e82339
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 09:01:28 2023 +0100

    topos: reformat exports structures

commit 35e191e1bea5463e766cb6f8f2ffb4862bd812a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:43:11 2023 +0100

    app_lua: use module name prefix for exports structure

commit c6feb52c97bbd3fc33dc837d2b23e56c75f09583
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:39:21 2023 +0100

    app_lua: reformat exports structures

commit ebe77a2068c5073b436a1f8fefdfd689c9010816
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:35:04 2023 +0100

    app_python3s: use module name prefix for exports structure

commit 9fb9cbddee8974a1733b999807cc1943248753f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:32:57 2023 +0100

    app_python3s: reformat exports structures

commit 114d6fe510d7c1876782054ed89e4017d39d5f69
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:29:49 2023 +0100

    app_python3: use module name prefix for exports structure

commit 042bb9d10e12a256f9e4461031347e09b89fbe98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:26:23 2023 +0100

    app_python3: reformat exports structures

commit 1623f9ed1728455b72abf0a74f06bfd24365cefb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:14:39 2023 +0100

    core: resolve - variables initialisation

commit dc7f2eca21eb6493f3c215eeb21e0a37a6e813c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 14:33:29 2023 +0100

    core: tcp - init local variables and define function only when needed

commit d0a353342b559191aafc732174773e132554694a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 13:57:52 2023 +0100

    core/mem: tlsf - cast to char* for pointer operations

commit 30c42aab767d777e3beb1493165458489957e92d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 13:30:26 2023 +0100

    core: resolve - cast after pointer operations for RES_AR

commit 2da8060f67f09949e11f77a281fcb4e3e5def582
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 13:27:24 2023 +0100

    pipelimit: init cpu load metrics and check returned value of fscanf()

commit d439a0400caee337419cb2645b549d4926ede04e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 12:58:17 2023 +0100

    sms: more printing to buffer with size limit

commit 1ded1730c7fe81596d874fdc314dab64a7dab25b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 12:04:01 2023 +0100

    mediaproxy: print to buffer with size limit

commit 7a2ad1190553911770e3a78246ef037c6de49e5c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 11:49:12 2023 +0100

    sms: print to buffer with size limit

commit 20b690a31ee0d3fbaa86fdf87790d842a982bcf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 11:35:21 2023 +0100

    topos: open db connection in mod init only when checking table version

commit 650117ebc0a3e0369dd47015f7e96358515fedc9
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Nov 21 11:32:12 2023 +0100

    modules: readme files regenerated - topos ... [skip ci]

commit dab123bf9c19bbd67eab05cbadf9efea5682c0dc
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Nov 20 14:37:50 2023 +0000

    topos: Add version_table documentation

commit 356f4f9e1319ecfdede4b46f636de3143b85ca5e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Nov 20 14:26:32 2023 +0000

    topos: Add version_table parameter

commit 132a0024394494da8766c31c94f42822c79a0a51
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Nov 15 12:15:39 2023 +0000

    topos: Close db connection

commit c06390319a7afcca498a4a72cdcd0c11b7bb2ff2
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Nov 13 16:31:31 2023 +0000

    topos: Add db version check

commit 26ba1d9f42c77362de5ceb185d2fc1d1bb3f2d0c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Nov 15 09:44:15 2023 +0000

    dmq: Add find dmq node by IP
    
    - Add find_dmq_node_ip
    - Add cmp_dmq_node_ip
    - Add check in notification peer

commit 775b819bc90a46d33d231572013bf82fb021f004
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Nov 21 08:33:23 2023 +0100

    pkg/kamailio/deb: set WOLFSSL_INTERNAL=no

commit 159f476265ba9ee37650c3dc6aadd7b73f7612ec
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Nov 21 08:15:37 2023 +0100

    pkg/kamailio/deb: introduce wolftls package

commit 10aa4442ac68024e062f7776000cfc0b93129c5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 13:52:03 2023 +0100

    core: cfg.y - copy number string value with memcpy()

commit 4b11820cb4337718854f1b80963e204764bc23b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 13:27:33 2023 +0100

    rtpproxy: print the ip address directly to local buffer
    
    - avoid extra copy

commit 71969c6126e6885f2ba312c692c9c646d8f870ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 13:03:52 2023 +0100

    mohqueue: switch to use snprintf() for a couple of string formatting cases

commit 1eb943773f52ea659c8dd812226ad07bcd15caaa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 10:43:19 2023 +0100

    core: review and update/remove old comments

commit 34edbfa0194ba29e0e671551d44df3710beb93b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 10:18:58 2023 +0100

    core: tcp_main - remove old comments

commit e51ccd11fe51f2d53dd7719b8fdec561a6ba7494
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 10:07:50 2023 +0100

    core: set proto on fixing forward actions

commit c9fbf2640ad74e9f42b43bded80877f8c4ce3f5d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:42:50 2023 +0100

    xcap: clang format

commit a84e8bf031994d1b8d71e7b778204df0cbd7475b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:42:50 2023 +0100

    srdb2: clang format

commit 4d4311b355b111ec4b22c748f8d9dd0960ae4c4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:42:50 2023 +0100

    srdb1: clang format

commit 3893cea9ebf83513ed68d2064113dd4fa67900bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:42:50 2023 +0100

    shm_regex: clang format

commit 3539a0c4d3579055172f1c12a81bb804d3fabbe7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:42:50 2023 +0100

    print: clang format

commit 62fafc2501bb6f213e8bc68f5485a25f8737b0bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:42:50 2023 +0100

    presence: clang format

commit dbe5851eaab6de1e56caf2eb3063a487d23bbd2c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:42:50 2023 +0100

    ims: clang format

commit f21732981789fa8317327a7e8c8edd7901df6d74
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:42:50 2023 +0100

    cds: clang format

commit e70a52944af73fba31981f529101b28fe635e16e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:42:50 2023 +0100

    binrpc: clang format

commit c99f0f49a5aca0181a5d24e5798361b37a28cea3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:32:24 2023 +0100

    lib/trie: clang format

commit f967d2ba2f0f6699fddf25c587fa007493d9b727
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 09:25:41 2023 +0100

    lib/trie: proper support for very long numbers

commit a59bc67cd4bd1df3e81bdb494896b5a076f9d40d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 18 15:57:17 2023 +0100

    pv: transformation number parmeter kept long value to match pv field type

commit 6cc8f126391476a05f8d90a35d6d57eec7c4e8d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 17 19:34:51 2023 +0100

    app_jsdt: length checks for resolving js module path

commit e54a41874de6393d71b50368ffb8a4982aed2d2d
Author: SPChan <shihping.chan@gmail.com>
Date:   Sat Nov 18 19:21:40 2023 +0800

    tls_wolfssl: enable building with external package
    
    - build with git submodule: make ...WOLFSSL_INTERNAL=yes... - the default
    - build with external package: make ...WOLFSSL_INTERNAL=no...
    
    Debian recommended environment is libwolfssl41 5.6.4, libwolfssl-dev 5.6.4

commit 38aa7e5fffcb68979a9bb5771aaa6ef9e14b517d
Author: SPChan <shihping.chan@gmail.com>
Date:   Sat Nov 18 19:07:59 2023 +0800

    tls_wolfssl: update internal submodule to v5.6.4, and target 5.6.x for distro package

commit dea9b25299ee273e45b0e08acacff8de87b7ceb9
Author: SPChan <shihping.chan@gmail.com>
Date:   Sat Nov 18 12:21:03 2023 +0800

    tls_wolfssl: re-enable optimizations as qm/fm default to 16-byte alignment

commit 9898c586095bd75cd31f0ca383ba0a347bfc4891
Author: frederic <frederic.gaisnon@mmtt.fr>
Date:   Thu Nov 16 14:25:46 2023 +0100

    topos: BYE sent by caller before call was connected was badly managed
           regression introduced by patch 091dc9a76bcec5c8a4bc73e863ed10b1b9d76c92
           topos: fix early-dialog b-side UPDATE requests routing (GH #3437)

commit c26e9877419ac53fb109a24aefb3fcd711fae1d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 16 19:50:13 2023 +0100

    core: copy the value between quotes for #!defexps
    
    - GH #3631

commit 996b61ebfdabcae8729725b5d06f268aefcd33a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 16 18:26:27 2023 +0100

    kamctl: missing space from previous commit

commit 64cd9336039bc05944fd9693e08edfab5fbd2f14
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Nov 16 10:09:18 2023 +0000

    kamctl: Fix source order
    
    - Add check for already sourced rc file in kamctl

commit 06ce65a2bbea826b890a3712cf1ac4f8b53e54cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 16 08:09:31 2023 +0100

    topos: detect direction for early dialog NOTIFY

commit 243951bc487c5c67c81062445d4f4d7ee725684f
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Nov 16 11:27:21 2023 -0500

    core: fix indentation on tcp_main.c

commit 34054fbd144102d414318249de217cedf8e5bd39
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Nov 16 09:29:00 2023 -0500

    core: fix compilation for older kernels

commit 4e614ba6b7a5663bd88f353a3ce7a0976d8e878f
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Nov 15 22:45:34 2023 -0500

    pua_dialoginfo: safety check for request pointer

commit b7aecd5a6ad7e1c8102ace0cc0fab69820a8c729
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:12 2023 +0100

    xprint: docs - removed trailing spaces

commit daf0e24b009070928b2ff179b24db14767c3549e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:12 2023 +0100

    xmpp: docs - removed trailing spaces

commit 8fb54d6b92a1248789ad974abca4b0fbface927c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:12 2023 +0100

    xmlops: docs - removed trailing spaces

commit b49e0c99a16ca3463e7a943a608d95944463695c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:12 2023 +0100

    xlog: docs - removed trailing spaces

commit 111675c15a17bec29b19010f970ef0f988e00530
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:12 2023 +0100

    xhttp_rpc: docs - removed trailing spaces

commit e23ab76d7b76f3359ef6b45a11fba2f5d6f6c8e0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:12 2023 +0100

    xhttp_prom: docs - removed trailing spaces

commit 65a1c779ba58fa92bd3e20c11902db0a991de177
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    xhttp_pi: docs - removed trailing spaces

commit 6ef1e0da887737e9d3538ed1ffa54d2756f4badc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    xhttp: docs - removed trailing spaces

commit f0c5c413f8b8615386ae462067da9ccaa6e1d43e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    xcap_server: docs - removed trailing spaces

commit 0559b9eecb83415e69b9243715199b37d16af185
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    xcap_client: docs - removed trailing spaces

commit 9d3a4903a81bbc614cf296ec6468654ff46c742c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    websocket: docs - removed trailing spaces

commit f65336962e7969857eba0c9d09082ed972bfa4a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    uuid: docs - removed trailing spaces

commit 83484821e43f6d8e31e99683d7ed06fc233b364d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    utils: docs - removed trailing spaces

commit 847a0f2edb62b3a1ceb8bdd9fbd32f3bea8d7953
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    usrloc: docs - removed trailing spaces

commit 1cd2f20fc62597e76e4c347ad7343da74986811f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    userblocklist: docs - removed trailing spaces

commit 0a93d0930c1021bbd5f6c0b867865654ef8b3df9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    uri_db: docs - removed trailing spaces

commit 29dc670f3ba4a148d2ea8be7a4317ff6dce7dd68
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    uid_uri_db: docs - removed trailing spaces

commit 3de666db926f6235199a3b0b456c91a4016a6e21
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    uid_gflags: docs - removed trailing spaces

commit d8cbd0969a36474a84b4b81d042a767221d75367
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    uid_domain: docs - removed trailing spaces

commit 16219f9f0418ca99ec5af6c39dc5cef5cd96b6e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    uid_avp_db: docs - removed trailing spaces

commit acfcbf39c7214367dee0fb01257138eff9b123f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    uid_auth_db: docs - removed trailing spaces

commit 309c7b525a0141fc2e35259830313e5be317b8e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    uac_redirect: docs - removed trailing spaces

commit 07efcaec57f1d28d0c398af9d2f268f6dc205945
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    uac: docs - removed trailing spaces

commit 6a3fe1d72d02d5f35aaa5ed695735f75b3f222c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    tsilo: docs - removed trailing spaces

commit d1b97f91445561b2f0acd362ebcb7f4d881980f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    topos: docs - removed trailing spaces

commit e9005cc999fe8b00dda5b1dc107a4cd2f3b02fcf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    tmx: docs - removed trailing spaces

commit 904636632c2ed13688e5a2202d8d9f9c5a197cc4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:11 2023 +0100

    tmrec: docs - removed trailing spaces

commit 07c5e3b4f9a8fa4986d4414c6691792af5f12121
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    tm: docs - removed trailing spaces

commit 3bbbc39a32db95e0faaaf440e3369fb0a419734d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    tls: docs - removed trailing spaces

commit f15b88c5c054a8286a149d13ae59629be0201bbc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    textopsx: docs - removed trailing spaces

commit 15fa5db61a4baa7a01ceea7b5c492fce8705e046
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    textops: docs - removed trailing spaces

commit da569f99deb12b8c6b636e586833db9c348f3c6c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    tcpops: docs - removed trailing spaces

commit 1861bb8b0e6e81fe77f526b53ae4c0729feda3fe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    stun: docs - removed trailing spaces

commit d220239083e7b85b211b6209f53178d6e5ad4003
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    stirshaken: docs - removed trailing spaces

commit 52db0859dc71a93757a5f01f8659ce8e35ad5236
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    statsd: docs - removed trailing spaces

commit 51fce41ae4064e6d89350d56cd9638e9f5787de1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    statistics: docs - removed trailing spaces

commit ac328ba6bff81d5a76fae7a4f30a061c0172b0f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    sst: docs - removed trailing spaces

commit d57e3c4f9a62bca0ff86af5e885395b41274ace1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    sqlops: docs - removed trailing spaces

commit b7e9bfe1e5f648c7585d702f28fc1d23bd5d92f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    snmpstats: docs - removed trailing spaces

commit b0a37464485a86cbec459a8fd096ebcea7526169
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    smsops: docs - removed trailing spaces

commit 99d43051d548e339b7aaf454010958aef48b646a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    sms: docs - removed trailing spaces

commit f0deffa60d94710f683a9131f3826cf0726fff43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    sl: docs - removed trailing spaces

commit e69484a11c9fd0ecfa975a3953c8cbfd1c83e52a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    siputils: docs - removed trailing spaces

commit 0e4c3e1c0572a99360e4abb821c0022c12f3f51c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    siptrace: docs - removed trailing spaces

commit 1e57dc7178cca5245e86c85ed237c48313c09ce5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    sipt: docs - removed trailing spaces

commit 8a2a56fc0007638b771a5ba0852f5678cb46098d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    sipcapture: docs - removed trailing spaces

commit ebbc9f470f7860f0efb5ac448b563a7d49efd22c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    secfilter: docs - removed trailing spaces

commit 0640ad52cabfbb16334387a5ebe4c1488eca5b35
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:10 2023 +0100

    seas: docs - removed trailing spaces

commit 785a8c2dc13c7c99487f51ba9718827c4c57fe48
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    sdpops: docs - removed trailing spaces

commit 4f962480259a8530feb284076f99a2f1ae623f23
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    sctp: docs - removed trailing spaces

commit 3b2a1e0920a7655a442fafe24b1750e83685734c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    sanity: docs - removed trailing spaces

commit cb07964b535cb2563b8e188128dc6c2d038eae50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    rtpproxy: docs - removed trailing spaces

commit e2b79a7226eaa03f76a3874c9facebe989290fc4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    rtpengine: docs - removed trailing spaces

commit 176dfae5babb5c601186cb62bd45f5598194559a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    rtp_media_server: docs - removed trailing spaces

commit 13ae71d4a3209add4f63b88c14fb7c4f6dd640a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    rtjson: docs - removed trailing spaces

commit ecb4a6558e2c58aeb1a649c0eb40b490dbee2ee4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    rtimer: docs - removed trailing spaces

commit 58460ede458d7a784d22c3a80e4884af604feb33
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    rr: docs - removed trailing spaces

commit 31282c6d799fd67229e82a781a8d43da2b60845c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    rls: docs - removed trailing spaces

commit ad521b06959729893a7a84934bfdf00869b91762
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    registrar: docs - removed trailing spaces

commit 8dab772bb15934119384d7a13010bc3e7d2c4b6b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    regex: docs - removed trailing spaces

commit 5aae3ddc58f147a3c59dc5d6a1be93a461e08fff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    ratelimit: docs - removed trailing spaces

commit 68ebc2a4d190c8bc912ac186a14af229ea3d0662
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    rabbitmq: docs - removed trailing spaces

commit 9645efb7937ab944eb0ef671b892225c35235f11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    qos: docs - removed trailing spaces

commit 06f32c1291f8be836a4fb2c4aa1c8584b248fe10
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    pv_headers: docs - removed trailing spaces

commit 87f623c93e8eec0ad3d080a44584f20428376ab6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:09 2023 +0100

    pv: docs - removed trailing spaces

commit 0d4ec6aaefcc1f059b15d836369be3c81691d572
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pua_xmpp: docs - removed trailing spaces

commit bf79c325e179ee9f02fe86096a09408fa5383e08
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pua_usrloc: docs - removed trailing spaces

commit 4839c998d77d9d94cba28278e73642d6b93d8832
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pua_reginfo: docs - removed trailing spaces

commit e88a299fc4e87233ce5a193f7a2b35aeaa18e4af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pua_json: docs - removed trailing spaces

commit 6fddcdfa24a81dc859d2aa2ce7f7c0f6f71424c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pua_dialoginfo: docs - removed trailing spaces

commit 37c6b2513535e8e2f6ca7de9814b0363db6fa8ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pua_bla: docs - removed trailing spaces

commit 4ac5ab55f8b3be12cf6c48104082ebb162699879
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pua: docs - removed trailing spaces

commit ee0c084f2945a9c180cc72ba80083f81c7463bd7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    print_lib: docs - removed trailing spaces

commit cbf367dc21cb92893ed33cc3cd4cb60799a51d0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    print: docs - removed trailing spaces

commit 6b8907bea375a794a49c677097d4677ec4aaf221
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    presence_xml: docs - removed trailing spaces

commit 23daf2155a6797e3dc4c80d60e9733d6180e60f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    presence_reginfo: docs - removed trailing spaces

commit 224b1fb6b996166a4e86362f8ded24fe706a2081
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    presence_profile: docs - removed trailing spaces

commit 1314b7ddd2464d99fe7e067801bbadb15dc65fac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    presence_mwi: docs - removed trailing spaces

commit 638549475635090c02ceeb093a40d68b6a0b6d91
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    presence_dialoginfo: docs - removed trailing spaces

commit 8c289179ab814b75485c3a616b496294f35a1211
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    presence_conference: docs - removed trailing spaces

commit 41d60bdddbbd11045ceb8a7f2f50f407f2bf6c65
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    presence: docs - removed trailing spaces

commit 3011e9df28decefaece9fa8dafbc2439c8a68c17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    prefix_route: docs - removed trailing spaces

commit da7c1920aa5e1dd45ece49c421690cb16b205193
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pipelimit: docs - removed trailing spaces

commit 6b0ffbd7d3735b5343dac78794a8bf93ff04c1c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pike: docs - removed trailing spaces

commit c5f378f1255e7989460b25390b4286a8e037b239
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    permissions: docs - removed trailing spaces

commit a5b3106a404af39fdb05013e0a14a7c5566db5f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    peering: docs - removed trailing spaces

commit 27f996ccf7afe802c8db9c9d16959b0c4b95b8f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pdt: docs - removed trailing spaces

commit e1f268aca59457159b197d02b746ce5e188e5a61
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    pdb: docs - removed trailing spaces

commit 98c93e89b432eda707d85178fdfa755443ee2075
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    path: docs - removed trailing spaces

commit 7d2ad3f4987acaa38a34b1c253fe1cab510d7e01
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:08 2023 +0100

    p_usrloc: docs - removed trailing spaces

commit 117d8112dfae599536988964dc8987bf5fbd7423
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    outbound: docs - removed trailing spaces

commit e1653d87b44f1fc1a06bfc163870889dbc269507
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    osp: docs - removed trailing spaces

commit 762f3edcd0dbc3e60efa3b4ce42491230446ec1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    nsq: docs - removed trailing spaces

commit 1dcd50ec375040d2e62b872f6c354690762dfbfc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    nosip: docs - removed trailing spaces

commit 7e58b377e0e20362e22dd132d81c7b6babc95cff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    ndb_redis: docs - removed trailing spaces

commit 4af553b12968f3cebd7c2d6f32dae58e30d2eae6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    ndb_mongodb: docs - removed trailing spaces

commit 7cce695361f0e782820a2a332357aa13e73cce65
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    ndb_cassandra: docs - removed trailing spaces

commit d3f11edebfe850729544304078180216654a2ec3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    nathelper: docs - removed trailing spaces

commit d0ac71154dbd8010065bc1754049ee40e01ed54f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    nat_traversal: docs - removed trailing spaces

commit 515ca5a0c55a5cba201934638f83db45c8de8fc6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    mtree: docs - removed trailing spaces

commit f5526422fcc6c9c42326e9e7e31e117bbd796f43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    msrp: docs - removed trailing spaces

commit a4c0c8269a4c67fb92c44b39270d4459d4b7e693
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    msilo: docs - removed trailing spaces

commit 073cd20f24119c11c403669d60b8ee2228ca2f2f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    mqueue: docs - removed trailing spaces

commit 2b317a03f36a292cecc8ec982f815d26b5183a10
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    mqtt: docs - removed trailing spaces

commit 924ad9d99321f986b06d8f6d85a0466dc12870d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    misctest: docs - removed trailing spaces

commit 1a7e3306bb4d6eb64506ad6b4172e1c99451de71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    misc_radius: docs - removed trailing spaces

commit 0cb995e314501d5572a77e67e650013f644a7222
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    memcached: docs - removed trailing spaces

commit 9a915c58b0828e70659cd8b0fed2eebc7c5f617b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    maxfwd: docs - removed trailing spaces

commit ad2f94d4aa31c7d968dcdd4834639e20be55d87d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    matrix: docs - removed trailing spaces

commit c62d56fba007fcdaa9e96f32e1b1115b4af1bc73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    mangler: docs - removed trailing spaces

commit 816cb22463a733438bfd354c1e2a1c7e1b05773d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    lrkproxy: docs - removed trailing spaces

commit 502e636514c2e1a20b83f89cbb52a215bdcba248
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    lost: docs - removed trailing spaces

commit 261d93a4b6ee56a2e95c30a56b0be3837d90b644
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    log_systemd: docs - removed trailing spaces

commit 7e8d5fa0fe841cdc422872ed8735c02ee9439e17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    log_custom: docs - removed trailing spaces

commit b0f99cb538a2a3e2f7328fb310d2296a8686e989
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    ldap: docs - removed trailing spaces

commit 9adfc9c660e9ed2c17ab3c8e40cf41c13dbdbfc3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:07 2023 +0100

    lcr: docs - removed trailing spaces

commit 522c4577c49a3bedf26f22d4cc8a481f12c93021
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    kex: docs - removed trailing spaces

commit ca72119d36e97d62c6ccb5e3f836fbeb8ad9f8b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    keepalive: docs - removed trailing spaces

commit 2375d9d870cf602b416fbf5ebd9e25290466c500
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    kazoo: docs - removed trailing spaces

commit 8928cd94211e95699de2708912c0debd1ff10cdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    kafka: docs - removed trailing spaces

commit d942b4156668aa69782c45570f99e065ed843d23
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    jsonrpcc: docs - removed trailing spaces

commit 4aaa25e5ae661e729ee2a5e312af70c703ea7ce6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    json: docs - removed trailing spaces

commit 3d3fecc1067664250b70a6f2473229723fb2485f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    janssonrpcc: docs - removed trailing spaces

commit 59d1358c0cd82feaa29e7695a5fcfae3fe3a1565
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    jansson: docs - removed trailing spaces

commit 37ed51906cfdb49ccbe1d7dd6d032d79d915ce71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ipops: docs - removed trailing spaces

commit 8540902ccb3eda13ec81b38e37410a1951acfbad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_usrloc_scscf: docs - removed trailing spaces

commit e6f84a515297853303aeeaf6d7a803bd7ef27ebf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_usrloc_pcscf: docs - removed trailing spaces

commit 5526ee6bb2f2bcf9aa2a117fd541a165c7d86794
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_registrar_scscf: docs - removed trailing spaces

commit 9fe7e64cb64458f59a879e2b699222ec16eced4e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_registrar_pcscf: docs - removed trailing spaces

commit 68b692a2c7a4a0c4014ddbf4c51aa3002dc35848
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_qos: docs - removed trailing spaces

commit 8627d7e9e782a5aade7dd3ea945b767665f50678
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_ocs: docs - removed trailing spaces

commit 5bcd7204b5e3ac6d314df6a080389ba76f4512ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_isc: docs - removed trailing spaces

commit 64c8375f9acb06bc0d7ddd3495ba81fde9020fdd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_icscf: docs - removed trailing spaces

commit 7ebb5db566ace70e04c6a35c74e1626bf07f5846
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_diameter_server: docs - removed trailing spaces

commit 135ec859b11c64dce63068ce284959e5c94f2de1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_charging: docs - removed trailing spaces

commit adbaa6130e20422f9738544efb3718310df3929b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    ims_auth: docs - removed trailing spaces

commit 5b33e3544da65ba44f6131eace5d3d73c8a6c1f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    imc: docs - removed trailing spaces

commit 7019d4d3713b541bf319815dfcd701b8e605efd0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    http_async_client: docs - removed trailing spaces

commit 288fe44bfdf4d7afeb1682eb629cc149e8fb849a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    htable: docs - removed trailing spaces

commit 0a5329f80817430703c17c382e05d8c217544985
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:06 2023 +0100

    h350: docs - removed trailing spaces

commit 49709926f03c6ecc78e172e18fdbb0efe4f8061a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    gzcompress: docs - removed trailing spaces

commit 0702a904ee07ba248aa23290cf57b77a96715137
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    group: docs - removed trailing spaces

commit b6a01d88c4b4817966a4c9b19865ef103e683aca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    geoip2: docs - removed trailing spaces

commit 3cd9db9bab7206444213063b2fdc66aa749af602
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    geoip: docs - removed trailing spaces

commit f63951c203dbf7a7f66e26502a0fb143d86f5048
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    exec: docs - removed trailing spaces

commit 519d614dbaf856ed05dc56a9495a9ecadc600094
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    evapi: docs - removed trailing spaces

commit a16fb200156a45d29981221b3e4b69ff3bea376b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    erlang: docs - removed trailing spaces

commit 3d808df3cb2d5cdf8e07d76cc708a85dfd4c76b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    enum: docs - removed trailing spaces

commit a4762436d4ce365162d0c76157dacc071219facf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    domainpolicy: docs - removed trailing spaces

commit d0e7e8e947be29db66c85fad8c0449e73d907b0f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    domain: docs - removed trailing spaces

commit e717b2b665b0d236c4d8e8334c66b8397421f83a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    dnssec: docs - removed trailing spaces

commit fa816a371591d71bf01cfcf01e784c5fea7ce724
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    dmq_usrloc: docs - removed trailing spaces

commit c2ca6be1e6b59202dfb348baed15ed1c724ff8d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    dmq: docs - removed trailing spaces

commit 22bc428a36d37cbd1e8598f59079a9f23a441f72
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    diversion: docs - removed trailing spaces

commit 35be076aa1a8c74d75eb26e261da4b910988da2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    dispatcher: docs - removed trailing spaces

commit 7e461f6f30c6c4627f6f3ccf7124a16c7c313dd3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    dialplan: docs - removed trailing spaces

commit 34a51df3726016faca735bf434de263a49e02a7f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    dialog: docs - removed trailing spaces

commit 8dd4eedd85a9c1b4fbddfe734647fcd56c8a5b64
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    debugger: docs - removed trailing spaces

commit ca806610f2540b8d82a8f79a30860817d7c22fac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    db_unixodbc: docs - removed trailing spaces

commit 3c085a3835ba13b9018802ef51424a28f5169378
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    db_text: docs - removed trailing spaces

commit 5643032d87490c1f24c83326cb4b4ff39e4eab4b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    db_postgres: docs - removed trailing spaces

commit 1bd546394faebdc0701439b1098a6a7fe8c5b938
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    db_perlvdb: docs - removed trailing spaces

commit e07004bbbd8df4dfcc5783d42c4b9bce0278e279
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    db_oracle: docs - removed trailing spaces

commit 40d7260d54032d3c1a949a03d949a77da6bf0a9f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    db_mysql: docs - removed trailing spaces

commit 09d4a5baac4db13afde696fa81e1b7957888156d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:05 2023 +0100

    db_mongodb: docs - removed trailing spaces

commit 480d79f96378de2f620c5cdebb524d7a84051d8b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    db_flatstore: docs - removed trailing spaces

commit 1a1840e8358c9e36fc5a28fc2fefb5c173e6546d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    db_cluster: docs - removed trailing spaces

commit d877d67833d36fc9d5fec992a6dbe7079955fe5f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    db_cassandra: docs - removed trailing spaces

commit 072335aa8bad9ede26c221f6c8930651c0837ed0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    db_berkeley: docs - removed trailing spaces

commit 5ccb10b79140154c92b7c29a5f73a39b5aa5f495
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    db2_ops: docs - removed trailing spaces

commit aa4fb1f9f738979d0f6fcfd65e3922b8dbaf1376
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    db2_ldap: docs - removed trailing spaces

commit 7be3f5f32772374df5b6912c2d89505266c32f3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    ctl: docs - removed trailing spaces

commit bd423bb6591f856edf951de0251d61431277ae0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    crypto: docs - removed trailing spaces

commit c6fe3ce9d340928df7db0c0336cbdd5c586c6089
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    cplc: docs - removed trailing spaces

commit d0c5adba50e36af4903cbacb0fc5ed7ef91fac10
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    counters: docs - removed trailing spaces

commit 7a3c97061b957595639fac6616103b321346d8bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    corex: docs - removed trailing spaces

commit a23bcb93029c69b5ce8f675cf40b14a833b753b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    cnxcc: docs - removed trailing spaces

commit 790b03f751e60dcf1b14c2f3102f8154394ae376
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    cfgutils: docs - removed trailing spaces

commit cffaf03a269eec91161bbec011b2b9785c827a94
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    cfgt: docs - removed trailing spaces

commit b58ac929a08d89ba950c062befa1816680118a9f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    cfg_db: docs - removed trailing spaces

commit 8ac7b71721ebdf859d0536251744ee2b5c7981c2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    cdp_avp: docs - removed trailing spaces

commit 3d58521685c859d205b43bc5f7fbbcf078d865d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    cdp: docs - removed trailing spaces

commit a2fdd7c8918b83555d58e63f81bfc053d1e842b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    carrierroute: docs - removed trailing spaces

commit ca61f326f33264c75f4dd04029d2e2731715e074
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    call_obj: docs - removed trailing spaces

commit 096d723c5cde3da0a385c2025564565bcd06a401
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    call_control: docs - removed trailing spaces

commit 58b13b8cef853e6a6fb705ceadcf37eab2272ed9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    blst: docs - removed trailing spaces

commit 3d6d44e2cb485ef9d0e7b03aff7bab42d9977c80
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    benchmark: docs - removed trailing spaces

commit e6a918767c9d08a4f94ee87a54a9354eb95e78b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    avpops: docs - removed trailing spaces

commit 24f6515431c298860419cb153acff30513b0e8d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:04 2023 +0100

    avp: docs - removed trailing spaces

commit 062cf5eb7297bd30d030aa8e8d0c993f39396eec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    auth_xkeys: docs - removed trailing spaces

commit d1430e3fe47d900cf20be729766cc07f631019d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    auth_radius: docs - removed trailing spaces

commit 250b8df7525138796786fbf052adcd91fa977ebc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    auth_identity: docs - removed trailing spaces

commit 5548cce15e392eef9900b5db9afcb31a3eaf0639
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    auth_diameter: docs - removed trailing spaces

commit 39ac631e8585f3ad28bf92fdf12f658447853082
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    auth: docs - removed trailing spaces

commit a8e23f7f67406769a071bf95551e264c148a0173
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    app_python3: docs - removed trailing spaces

commit c4af9c560e5fb2444894f8c6f6b637c13a64d663
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    app_python: docs - removed trailing spaces

commit d7b8e382555a9f6ecc8f322021cc98cfb56a8c21
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    app_perl: docs - removed trailing spaces

commit cd142be4598c9dbd01aae8ac1cb11705f251faa9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    app_mono: docs - removed trailing spaces

commit b9017f5a286880adc10961a93b1d31d825d7fb63
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    app_lua_sr: docs - removed trailing spaces

commit 1c96f978f667f395eb3fc5295f282adc616db12e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    app_lua: docs - removed trailing spaces

commit 9284827387f2df0a0d931c77a79aa940d5ef0fa5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    app_java: docs - removed trailing spaces

commit 0d6ee69bb74f67c3b40035157ce84ff7948ce234
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    alias_db: docs - removed trailing spaces

commit 8bd1c1e20217d88c702caf100234e4fa3404f65e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    acc_json: docs - removed trailing spaces

commit fff71f15cc5a299a5318c2b3ce12c6c1ab24290c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:36:03 2023 +0100

    acc: docs - removed trailing spaces

commit 3764c79c2133473a465b2e188a0106cbbf8cf4fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:33:45 2023 +0100

    test/mod_httpapitest: removed trailing spaces

commit 892c21deb2fb0a0cdd7bfa578f8f5e62fcc42549
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:33:27 2023 +0100

    utils/pdbt: removed trailing spaces

commit a7b5d55f051519788b51658fc53ad9cc1492f449
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:33:07 2023 +0100

    utils/db_oracle: removed trailing spaces

commit 34b823772cf3ee92f6bb5957413a1f51ce0ea75f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:32:49 2023 +0100

    utils/db_berkeley: removed trailing spaces

commit 4b10338c23dd5c3e3e36f9c3270a28a145f8691f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:32:01 2023 +0100

    test/misc/code: removed trailing spaces

commit 275b9e1b87df15a2e6ab1c7d51dfe63348a905ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:31:30 2023 +0100

    lib/xcap: removed trailing spaces

commit 8764ba09ee16e1793c747f96c6a78bbecaec9ced
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:31:14 2023 +0100

    lib/srdb2: removed trailing spaces

commit fd9ccb42845058808049186cc9b7bb165d823a69
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:30:49 2023 +0100

    lib/srdb1: removed trailing spaces

commit c278d4dbfa7d14071d90b3e8002567ed84a58d88
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:30:24 2023 +0100

    lib/print: removed trailing spaces

commit f6f258591f455d2147159d1dbb372a18f0df8670
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:29:49 2023 +0100

    lib/presence: removed trailing spaces

commit 7d8ba21a20f78d781f8aec69054a32ac34012531
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:28:36 2023 +0100

    lib/ims: removed trailing spaces

commit 1cff98a0131e3f11d4c027ad9bf2073759bdd6a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:28:10 2023 +0100

    lib/cds: removed trailing spaces

commit 6ffa465f0a4968e820b440431f989a8897fe96dc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:27:52 2023 +0100

    lib/binrpc: removed trailing spaces

commit 831407a82a250e8951e24c7e471477db40c6d2ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:27:22 2023 +0100

    core: removed trailing spaces

commit db1e37699be9f72dd0124b20edab8e8b6f6d0532
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:26:32 2023 +0100

    misc/tools: pike_top - removed trailing spaces

commit ae89b59ed837892bc1d29159786cd841f47ca820
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:56 2023 +0100

    xmpp: removed trailing spaces

commit 5fd8711e4eca196dd10b9567019bfffeca733733
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:56 2023 +0100

    xlog: removed trailing spaces

commit e7d2024f7ecc20bc496aa19247533563bb93b8d5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:55 2023 +0100

    xhttp_pi: removed trailing spaces

commit 43fade2748ae5968a188235dbd2d047a4cd8e12c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:55 2023 +0100

    xcap_server: removed trailing spaces

commit 37b7d25542da3385e4e0c8caae6f34ddc116964e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:55 2023 +0100

    xcap_client: removed trailing spaces

commit b4043ee89d4410bea5ac90fe71d881fc3025c994
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:55 2023 +0100

    utils: removed trailing spaces

commit 9ad12b5abce6a6d49cc37bee8edc23cd53642a49
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:55 2023 +0100

    usrloc: removed trailing spaces

commit de6011c9a461df739b6b6737a5278d3aac0f7115
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:55 2023 +0100

    userblocklist: removed trailing spaces

commit 12f5581c6ab8584644d9f2e99c82e93be8e5fd83
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:55 2023 +0100

    uri_db: removed trailing spaces

commit d8893cf100936e02e9ce038a6ba1b1b1700fb2c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:55 2023 +0100

    uid_avp_db: removed trailing spaces

commit d2dffc3e79a96e4bf492345cc8fd34c3a57deaa7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 15:23:55 2023 +0100

    uac_redirect: removed trailing spaces

commit e38f06dac2a2b10e0d0284250445060f5d6cedb4
